gtk+3.0 (3.24.41-1~git20240508175526.9c5761a.trixie) trixie; urgency=medium

  [ Jesús Higueras ]
  * gdk/events: don't compress touch update events from different sequences

  [ Guido Günther ]
  * GtkHeaderBar: Don't leak decoration layout
  * gdk/wayland: Take transform into account when setting physical size
  * gtkapplication-dbus: Fetch inital screen saver state async
  * wayland: xdg-activation: Don't assume there's a focus surface
  * wayland: Keep startup_notification_id around long enough
  * application: Switch links to gtk-3-24 branch
  * docs: Switch example to gtk-3-24 branch
  * docs: Use main branch instead of master
  * emojichooser: Actually disable the recent section
  * wayland: Don't return True if we fail to convert a keyval
  * gtkgesture: Preserve accuracy when translating events
  * gdk/wayland: Track last touch serial on seat

  [ Alexander Mikhaylenko ]
  * Adwaita: use transparent borders for popovers
  * theme: Fix decoration background
  * eventcontrollerscroll: Fix the history push condition
  * Adwaita: Revert black decoration background
  * wayland: Fix dnd hotspot movement
  * gestureswipe: Count last event when calculating velocity
  * Revert "Add scaling adjustment for touch dragging a scrolled window"
  * Adwaita: Use transparent black for window border in dark too
  * scrolledwindow: Cancel overshoot on dimension changes
  * Revert "Revert "wayland: Add support for gtk_surface1_titlebar_gesture()""
  * Add GtkHdyAnimation
  * Add GtkHdyShadowHelper
  * Add GtkHdyNavigationDirection
  * Add GtkHdySwipeable and GtkHdySwipeTracker
  * Add GtkHdyClamp
  * Add GtkHdyFlap
  * Add padding for HdyViewSwitcherTitle
  * hdy-flap: Use natural size for folding instead of minimum
  * printunixdialog: Adapt for phones
  * window: Disable window dragging on phones
  * librem5: Make GtkShortcutsWindow adaptive
  * events: Compress touch update events

  [ Adrien Plazas ]
  * ModelButton: Add 'use-markup' property
  * Adwaita: Style separator.sidebar
  * Adwaita: Drop the background of nested headerbars
  * Adwaita: Set selection mode to headerbars if it's on ancestors
  * Adwaita: Fix dropping the backgroud on nested headerbars
  * Adwaita: Fix sidebar separator styling
  * Adwaita: Propagate bg color to titlebar separator descendants
  * gdkpixbuf-drawable: Free the pixbuf on Cairo error
  * Add GtkHdyViewSwitcherButton
  * Add GtkHdyViewSwitcher
  * Add GtkHdyViewSwitcherBar
  * Add GtkHdySqueezer
  * Add GtkHdyViewSwitcherTitle
  * theme: Add libhandy styles
  * aboutdialog: Port to phones
  * Add the view-sidebar-symbolic icon
  * Port file chooser to phones
  * messagedialog: Set orientation based on device
  * dialog: Maximize resizable dialogs on phones
  * window: Maximize resizable pseudo-dialogs on mobile
  * headerbar: Use a back button in dialogs on mobile
  * infobar: Move the action area below on the phone
  * Reduce the font chooser minimum size
  * scrolledwindow: Set deceleration value based on the device

  [ Mohammed Sadiq ]
  * listbox: Fix signal name in documentation
  * textview: Simplify creating bubble action buttons
  * textview: Always show select-all button in touch popup
  * appchooserdialog: Don't fire notify::heading twice
  * appchooserdialog: Fix memory leak
  * widget: Fix example code in doc
  * font-button: Suggest non deprecated function in docs
  * search-bar: Fix link to search-bar example
  * gtkpopover: Fix popover when parent widget is partially visible
  * switch: Fix toggling switch on touch devices
  * entry: Always show 'select-all' button on touch popup
  * entry: Restrict magnifier popover within the entry size
  * text-view: Fix select-all from touch bubble
  * Add org.gtk.Settings.Purism
  * gtkprivate: Add an API to check if phone

  [ Simon McVittie ]
  * Refresh patch series through gbp-pq
  * Add more upstream status information to the patch series
  * Add patches from upstream fixing Wayland client crashes under unspecified circumstances (Closes: #893696)
  * Avoid Unicode in the patch series
  * changelog: Specify patch names
  * Add patch from upstream fixing a NULL dereference
  * Add patch from upstream silencing allocation warnings (Closes: #867427)
  * Team upload
  * Allow stderr in autopkgtests
  * m4macros: Fix underquoting in AC_PATH_TOOL
  * m4macros: Use PKG_PROG_PKG_CONFIG
  * Fix Wayland client crash unmapping a window while gdk is processing
  * Use AC_PATH_TOOL to find pkg-config in deprecated AM_PATH_GTK_3_0
  * Fix crashes on screen blank in some dual-monitor configurations
  * Team upload
  * m4macros: Set a serial number
  * d/p/022_disable-viqr-im-for-vi-locale.patch: Add metadata
  * d/p/0016-imwayland-destroy-objects-only-if-it-matches-our-man.patch: Mark as applied upstream
  * Add patch to set a serial number in gtk-3.0.m4
  * 3.22.30-2
  * debian/libgtk-3-0.bug-control: When bugs are reported against GTK+, include details of various engines, modules and LD_PRELOADs if installed
  * Don't install ChangeLog
  * debian/libgtk-3-0.bug-control: When bugs are reported against GTK+, include details of various engines, modules and LD_PRELOADs if installed
  * Don't install ChangeLog
  * d/p/Revert-imwayland-clear-preedit-on-focus-out.patch: Add
  * debian/libgtk-3-0.symbols: gtk_color_picker_kwin_new() is new in 3.24.0, not 3.24.3 which doesn't exist yet
  * Work around a gdk-pixbuf bug that caused test failures
  * d/gbp.conf: Don't number patches
  * Team upload
  * Use the upstream fix for #908120
  * Cherry-pick 88dc784 to fix warnings in Wayland input method
  * Cherry-pick b1d3bee to fix implicit declaration
  * Build installed-tests
  * d/p/no-accessibility-dump.patch: Drop, no longer needed
  * Stop marking some reftests as known failures
  * d/tests/installed-tests: Run installed-tests
  * Sort dependency lists (wrap-and-sort -a)
  * d/gtk-3-examples.install: Sort file list (wrap-and-sort -a)
  * Note another known autopkgtest failure
  * Use the same Xvfb screen configuration as in the upstream GTK+ 4 Gitlab-CI tests
  * New upstream version 3.24.1
  * Update upstream source from tag 'upstream/3.24.1'
  * New upstream release
  * Bump GLib build-dependency to 2.53.4 as per configure.ac
  * Update d/gbp.conf from glib2.0
  * Rebase patch series
  * Temporarily (B-)D on libgl1-mesa-dev and libegl1-mesa-dev
  * d/rules: Make it clear that we respect nocheck option
  * d/copyright: Fix some lintian warnings
  * Don't install a .la file into installed-tests
  * Update changelog
  * Run a11ystate.test separately and mark it as flaky for now
  * 3.24.1-1
  * d/libgtk-3-0.symbols: Mark gdk_wayland_window_announce_ssd() as Linux-specific
  * d/rules: Generate files from .in counterparts for every package
  * d/tests: Also mark reftests as flaky due to a known failure
  * Revert "Temporarily (B-)D on libgl1-mesa-dev and libegl1-mesa-dev"
  * d/p/reftest-known-fail.patch: Reinstate
  * Make symbolic-icon-translucent-color.ui non-fatal during build-time tests
  * Update changelog
  * 3.24.1-2
  * Add patch from upstream (via Ubuntu) to fix a segfault under Wayland
  * d/tests/build: Mark as superficial
  * Don't build udebs if built under noudeb build profile
  * Remove duplicate MIME headers caused by git-buildpackage #924478
  * New upstream version 3.24.10
  * Update upstream source from tag 'upstream/3.24.10'
  * New upstream release
  * Bump required CUPS version to 1.7
  * d/copyright: Update
  * d/rules: Explicitly select Autotools build system
  * d/rules: Delete more generated files in clean to force them to be regenerated
  * d/tests/python3-gi: Don't fail if gir1.2-gtk-4.0 is installed
  * gdk: Fix some weirdness around generated sources
  * Drop d/p/Revert-Update-some-a11y-test-results.patch
  * Add post-release fixes from upstream gtk-3-24 branch
  * Disable accessibility-dump test (aka a11ytests)
  * Mention more patches in changelog
  * Remove another generated file
  * d/libgail-3-0.symbols: Add Build-Depends-Package
  * d/libgail-3-doc.doc-base.gail-reference: Use /usr/share/doc paths
  * Standards-Version: 4.4.0 (no changes required)
  * Update changelog
  * Upload to unstable
  * Drop patches that partially reverted each other
  * Makefile.msvc_introspection: Delete lists before appending
  * Replace patches with an upstreamable version
  * Install documentation in /usr/share/gtk-doc, with symlinks in /u/s/doc
  * Provide symlinks to gtk-doc documentation in /u/s/d/libgtk-3-dev
  * Refer to GTK rather than GTK+ in packaging files
  * Update changelog
  * Use debhelper-compat 12
  * d/rules: Enable dwz
  * Update changelog
  * CI: Enable X11 and Wayland backends for Autotools
  * CI: Optionally run distcheck, but without actually running the tests
  * d/tests: Return G_SOURCE_REMOVE from timeout callback
  * CI: Enable X11 and Wayland backends for Autotools
  * Move gtk-encode-symbolic-svg from gtk-3-examples to libgtk-3-bin
  * d/tests/build: Use correct compiler for cross-architecture testing
  * d/tests/build: Remove trailing whitespace
  * d/tests/build: Show commands before they are executed
  * d/tests/build: Fail if using an undefined variable ("unofficial strict mode")
  * d/upstream/metadata: Add upstream URLs
  * New upstream version 3.24.14
  * Update upstream source from tag 'upstream/3.24.14'
  * New upstream release
  * Apply gtk-3-24 branch up to 3.24.14-20-g4c027d458b
  * Standards-Version: 4.5.0 (no changes required)
  * d/changelog: Trim trailing whitespace
  * d/changelog: Wrap long lines in old entry
  * Team upload
  * Backport patch from GTK 4 to make the icon cache reproducible
  * New upstream version 3.24.16
  * Update upstream source from tag 'upstream/3.24.16'
  * New upstream release
  * Drop patches that were applied upstream
  * supp: Use a single suppressions file for lib, lib64 and multiarch
  * Add patch to make valgrind suppressions match Debian libraries
  * Update forwarding status for some patches that were sent upstream
  * Build-depend on gdk-pixbuf 2.40 instead of working around an old bug
  * Update changelog
  * Mark some reftests as allowed to fail
  * Update changelog
  * d/README.source: Write down how to inspect reftest failures
  * Sort GDK resources to improve reproducibility
  * Update changelog
  * Release to unstable
  * New upstream version 3.24.17
  * Update upstream source from tag 'upstream/3.24.17'
  * New upstream release
  * Refresh patches
  * Update changelog
  * Release to unstable
  * Apply proposed patches to fix Wayland window-sizing regressions
  * Release to unstable
  * wayland: Guard against nonsense sizes being configured
  * build: Generate gdk.gresource.xml in sorted order
  * Update to upstream gtk-3-24 branch, commit 3.24.17-22-g99bae0fb5f
  * Release to unstable
  * examples: Add exampleapp.desktop to dist tarballs
  * Add miscellaneous unpackaged files to dist tarball
  * New upstream version 3.24.18
  * Update upstream source from tag 'upstream/3.24.18'
  * New upstream release
  * d/copyright: Update
  * d/patches: Drop patches that came from upstream
  * Release to unstable
  * New upstream version 3.24.20
  * Update upstream source from tag 'upstream/3.24.20'
  * New upstream release
  * Depend on librsvg2-common for tests
  * Update changelog
  * aboutdialog: Update precondition checks for new licenses added in 3.24.20
  * aboutdialog: Document the new licenses added in 3.24.20
  * build: Don't export GResource-related symbols with newer GLib
  * Add proposed patch to fix FTBFS with newer GLib versions
  * Mark patch as applied upstream, and update changelog accordingly
  * New upstream version 3.24.21
  * Update upstream source from tag 'upstream/3.24.21'
  * New upstream release
  * Release to experimental
  * New upstream version 3.24.22
  * Update upstream source from tag 'upstream/3.24.22'
  * New upstream release
  * Drop patch that was applied upstream
  * d/copyright: Update
  * Update symbols file
  * Release to unstable
  * Regenerate CSS themes with sassc during the build
  * Release to unstable
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev
  * Standards-Version: 4.5.1 (no changes required)
  * d/copyright: Consolidate similar licenses into one Files stanza
  * d/gtk-update-icon-cache.preinst: Remove
  * Silence some Lintian false positives
  * Add myself to Uploaders
  * Release to unstable
  * New upstream version 3.24.24
  * Update upstream source from tag 'upstream/3.24.24'
  * New upstream release
  * Update versions of (build-)dependencies
  * Update symbols file
  * Release to unstable
  * d/watch: Cope with "+" being escaped to "%2B" in links to tarballs
  * Increase dependency on librsvg2-common from Suggests to Recommends
  * Work around #977961 by adding Build-Conflicts with ImageMagick
  * Revert "Work around #977961 by adding Build-Conflicts with ImageMagick"
  * Update changelog
  * New upstream version 3.24.25
  * Update upstream source from tag 'upstream/3.24.25'
  * New upstream release
  * Release to unstable
  * Merge branch 'wip/3.24.25' into debian/experimental
  * d/libgtk-3-0.symbols: Update
  * Release to experimental
  * d/patches: Backport font settings bug fixes recommended by upstream
  * New upstream version 3.24.28
  * Update upstream source from tag 'upstream/3.24.28'
  * New upstream release
  * d/p/updateiconcache-Sort-list-of-entries.patch: Drop, applied upstream
  * Update changelog
  * d/patches: Add various fixes from upstream
  * Add patch from upstream to fix crashes in X11 drag & drop
  * Add patch from upstream to apply scale factor to blurred shadows
  * Release to experimental
  * New upstream version 3.24.29
  * Update upstream source from tag 'upstream/3.24.29'
  * New upstream release
  * Drop patches taken from upstream
  * Release to experimental
  * Mark a patch as applied upstream to GTK 3 as well as to GTK 4
  * Add more patches from upstream, mostly crash fixes
  * Release to unstable
  * New upstream version 3.24.30
  * Update upstream source from tag 'upstream/3.24.30'
  * New upstream release
  * Drop build-dependencies used for the Google Cloud Print backend
  * Refresh patch
  * d/missing-sources: Add emojibase data in JSON format
  * Update changelog
  * d/rules: Rebuild emoji data from source files
  * Merge branch 'debian/master' into debian/experimental
  * Update symbols file
  * Switch branch to debian/master
  * d/copyright: Add details of emoji data
  * Update changelog
  * Release to unstable
  * d/control.in: Drop unnecessary Build-Depends on gcc:native
  * Normalize permissions in installed-tests
  * Disable gvfs for unit tests
  * Wrap unit tests with dbus-run-session
  * d/tests: Disable AT-SPI for tests that do not guarantee to install it
  * Release to unstable
  * Move org.gtk.Settings.Debug schema from -dev to -common
  * Release to unstable
  * Update changelog
  * Update to upstream commit 3.24.30-129-g6c4cc93121
  * Standards-Version: 4.6.0 (no changes required)
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Use debhelper compat level 13
  * Adjust a Lintian override to match with newer Lintian
  * Add Build-Depends-Package to both libraries in .symbols file
  * Release to unstable
  * New upstream version 3.24.31
  * Update upstream source from tag 'upstream/3.24.31'
  * New upstream release
  * Drop patches that came from upstream
  * d/changelog: Summarize changes
  * d/copyright: Update
  * d/control.in: Update build-dependencies
  * Release to unstable
  * Merge tag 'upstream/3.24.33' into debian/master
  * New upstream release (no significant changes)
  * Release to unstable
  * Add patch to work around a libX11 bug by disabling a test-case
  * Revert "Add patch to work around a libX11 bug by disabling a test-case"
  * New upstream version 3.24.34
  * Update upstream source from tag 'upstream/3.24.34'
  * New upstream release
  * d/copyright: Update
  * Drop patches that were cherry-picked from upstream
  * Update changelog
  * Release to unstable
  * Avoid repeated g_log_set_writer_func in tests
  * Add patch to fix test failure with GLib 2.73.x
  * Standards-Version: 4.6.1 (no changes required)
  * Release to unstable
  * Update Lintian overrides
  * Refer to #1017578 in previous changelog entry
  * d/control.in: Remove support for pre-bullseye versions of gdk-pixbuf
  * Backport reftest comparison machinery from our gtk4 packaging
  * d/rules: Ignore new reftest failure for linear-gradient on any-i386
  * Update changelog
  * Release to unstable
  * (Build-)Depend on libfontconfig-dev, not transitional libfontconfig1-dev
  * d/patches: Update to upstream gtk-3-24 branch commit 3.24.34-204-g2fcc114870
  * Build-/test-depend on dbus-daemon for dbus-run-session, instead of dbus
  * Update changelog
  * Update patch series to 3.24.34-209-gf8d26e2acc
  * build: Define USE_XDG_ACTIVATION conditional when Wayland is disabled
  * Add patch to fix FTBFS for the udeb and non-Linux architectures
  * Release to unstable
  * Merge branch 'wip/smcv/3-24-autotools' into 'gtk-3-24'
  * Mark patch as applied upstream
  * Skip border-image-excess-size reftest on big-endian machines
  * Release to unstable
  * New upstream version 3.24.35
  * Update upstream source from tag 'upstream/3.24.35'
  * New upstream release
  * Drop most patches, included in upstream release
  * Add a missing build file from upstream git
  * Add a post-release bugfix from upstream
  * Update changelog
  * testsuite: Avoid using should_fail
  * Build using Meson
  * testsuite: Try enabling a11y tests, other than those known to be unstable
  * testsuite: Don't create .test files for flaky or failing tests
  * Add proposed patches to improve handling of flaky tests
  * Merge branch 'wip/smcv/xfail-gtk3' into 'gtk-3-24'
  * Update changelog and patch metadata
  * Merge remote-tracking branch 'origin/debian/master' into debian/master
  * Release to unstable
  * d/rules: Return to the print backends we previously enabled
  * d/rules: Remove redundant gtk_doc option
  * d/patches: Update to upstream commit 3.24.35-15-g9c60b8d4d4
  * Remove dpkg trigger on old immodules search path
  * d/rules: Remove redundant --libdir override
  * Install emoji data for non-English languages
  * d/control.in: Disable API documentation under nodoc build profile
  * Disable man pages under nodoc build-profile
  * Move man-page dependencies from B-D-I to B-D
  * Don't depend on gtk-doc-tools under nodoc build-profile
  * Force software rendering during tests
  * Update changelog
  * Release to unstable
  * New upstream version 3.24.36
  * Update upstream source from tag 'upstream/3.24.36'
  * New upstream release
  * Drop patches that were applied upstream
  * d/control: Increase Meson build-dependency to 0.60
  * d/rules: Remove Autotools remnants
  * d/copyright: Add license for cursor images used in Windows builds
  * d/control.in: Explicitly build-depend on Freetype
  * d/copyright: Update
  * d/copyright: Move standalone license stanzas to the end
  * d/tests, d/run-tests.sh: Copy run-with-display from gtk4
  * d/rules: Stop trying to install AUTHORS, no longer shipped upstream
  * d/rules: Install README.md instead of README
  * Release to unstable
  * Reinstate patches added in 3.24.35-3
  * d/patches: Add notes on upstream rejection of !5301
  * Update changelog
  * d/rules: Accept minor rendering differences in label-background test
  * Release to unstable
  * d/patches: Update to gtk-3-24 branch commit 3.24.36-33-g5554113c74
  * Add overrides for lintian/lintian!452
  * Standards-Version: 4.6.2 (no changes required)
  * Clean up unused Lintian overrides
  * Update changelog
  * Reapply GNOME/gtk!5301 for now
  * Update changelog
  * Release to unstable
  * New upstream version 3.24.37
  * Update upstream source from tag 'upstream/3.24.37'
  * New upstream release
  * Drop patches that were applied upstream, update changelog
  * d/patches: Drop interim fixes for GNOME/gtk#5386
  * Release to experimental
  * Remove Lintian overrides for lintian/lintian!452, no longer necessary
  * d/copyright: Remove gtk-text-input.xml
  * Update changelog
  * Add patch to fix incorrect MIME type for file transfer portal
  * d/patches: Update translations from upstream git: gl, he
  * Release to unstable
  * Update changelog
  * Update to upstream gtk-3-24 branch commit 3.24.38-60-gecf3ac115d
  * Release to unstable
  * Fix a copy/paste error in patch metadata
  * Update changelog
  * Substitute GTK_BINVER_DEP as a substvar rather than using sed
  * Stop generating d/control from a template
  * d/rules: Drop some unused sed substitutions
  * libgtk-3-dev: Add Provides for included GIR XML files
  * d/control: Add ${gir:Depends}, ${gir:Provides} substvars
  * d/control: Explicitly build-depend on GIR XML from Gdk-Pixbuf and Pango
  * Release to unstable
  * d/control: Explicitly depend on necessary GIR XML modules
  * d/rules: If cross-compiling, use cross g-ir-scanner (see #1060838)
  * d/control: Make Build-Depends more cross-friendly
  * Update changelog
  * Release to unstable
  * New upstream version 3.24.41
  * Update upstream source from tag 'upstream/3.24.41'
  * New upstream release
  * Drop patches that were included in the upstream release
  * Release to unstable
  * d/tests/manual/1065494: Add a manual reproducer for #1065494
  * d/libgtk-3-0t64.preinst: Remove libgtk-3-0 postrm to avoid file loss
  * d/libgtk-3-0t64.postrm.in: Only clean up immodules.cache during purge
  * d/tests/1065494-futureproofing: Add a test for recurrence of #1065494
  * d/libgtk-3-0t64.postrm: Avoid recurrence of #1065494 in the future
  * Release to unstable
  * d/tests/manual: Add .gitignore
  * d/control, d/tests: Use pkgconf in preference to pkg-config
  * d/control, d/rules: Make it clearer that we are using the correct pkgconf
  * d/tests/manual: Fix a typo in a comment
  * Fix lintian override for libgtk-3-0t64 containing both GDK and GTK
  * Fix mismatched Lintian override for libgail-3-0t64 name vs. SONAME
  * Add a Lintian override for arch-dep-package-has-big-usr-share
  * Update changelog
  * d/control, d/tests/control: Drop dependency on adwaita-icon-theme-full
  * Temporarily disable tests on 32-bit non-i386 architectures
  * d/control, d/rules: Temporarily disable colord on 32-bit non-i386
  * d/control, d/rules: Temporarily disable cloudproviders on 32-bit non-x86
  * Release to unstable
  * Update changelog
  * Revert "d/control, d/rules: Temporarily disable colord on 32-bit non-i386"
  * Update changelog
  * Revert "Temporarily disable tests on 32-bit non-i386 architectures"
  * d/control: Use a concrete version number for the Breaks/Replaces
  * Update changelog
  * Release to unstable
  * reftest_compare_surfaces: Report how much the images differ
  * reftests: Allow minor differences to be tolerated

  [ Loic Minier ]
  * Don't list images from unknown directories in icon cache

  [ Robert Carr ]
  * Do not allow devices in an offscreen hierarchy to take grabs.

  [ Cody Russell ]
  * Don't let offscreen widget do grabbing

  [ Bardia Moshiri ]
  * circleci: add configs

  [ Arnaud Ferraris ]
  * d/gbp.conf: update for Mobian
  * debian: drop udeb package
  * libgtk-3-common: install Purism gschema
  * d/patches: import Purism patches improving adaptive UI
  * d/changelog: release version 3.24.41-4mobian1

  [ Jeremy Bícha ]
  * releasing package gtk+3.0 version 3.24.38-2
  * releasing package gtk+3.0 version 3.24.38-3
  * Have -dev package depend on libcloudproviders-dev on Debian
  * releasing package gtk+3.0 version 3.24.38-4
  * New upstream version 3.24.39
  * Update upstream source from tag 'upstream/3.24.39'
  * New upstream release
  * Drop patches applied in new release
  * Refresh patch
  * releasing package gtk+3.0 version 3.24.39-1
  * emoji: Update data to CLDR v43
  * emoji: Update data to CLDR v44
  * New upstream version 3.24.40
  * Update upstream source from tag 'upstream/3.24.40'
  * New upstream release
  * missing-sources: Update emojibase
  * releasing package gtk+3.0 version 3.24.40-1
  * Cherry-pick 2 commits to fix crash when screen is turned off
  * releasing package gtk+3.0 version 3.24.40-2
  * Revert "d/control, d/rules: Temporarily disable cloudproviders on 32-bit non-x86"

  [ Steve Langasek ]
  * Import Debian changes 3.24.41-1.1~exp1
  * Import Debian changes 3.24.41-1.1

  [ Matthias Clasen ]
  * Add some deprecation annotations
  * fontchooser: Add global keynav
  * Adwaita: Avoid expander<>combobox interference
  * Drop an unused enum value
  * Remove a dead macro
  * file button: Don't leak rows
  * emoji: Skip overly wide fallback rendering
  * tree model sort: Fix initial default sort func
  * tree model sort: Fix set_sort_column
  * font chooser: Small revision of the UI
  * font chooser dialog: Improve sensitivity handling
  * font chooser: Fix property notification
  * Add a test for ::row-changed vs node refs
  * iconview: Fix updates with filter models
  * iconview: Fix a problem with the previous change
  * Merge branch 'gtk-3-22' into 'gtk-3-22'
  * 3.22.27
  * 3.22.28
  * Merge branch 'wip/carlosg/imwayland-3-22' into 'gtk-3-22'
  * Merge branch 'gtk-debug-flags-with-open-display' into 'gtk-3-22'
  * Merge branch 'gtk-3-22' into 'gtk-3-22'
  * Merge branch 'test-fix-a11y-schema' into 'gtk-3-22'
  * 3.22.29
  * Merge branch 'wip/filechooser-non-default-display-gtk3' into 'gtk-3-22'
  * Merge branch 'wip/carlosg/fix-issue-114' into 'gtk-3-22'
  * Merge branch 'wip/xdg-shell-gtk-3-22' into 'gtk-3-22'
  * Merge branch 'gtk-3-22-bz773274' into 'gtk-3-22'
  * wayland: Don't emit signals if nothing changed
  * 3.22.30
  * printing: Be more careful when deserializing
  * Merge branch 'wip/lantw/gtk3-use-dev-evdev-input-h-on-freebsd' into 'gtk-3-22'
  * emoji chooser: Match search terms better
  * Merge branch 'wip/restart-cursor-animation-gtk-3' into 'gtk-3-22'
  * textview: Don't scroll for pastes in another view
  * Merge branch '1053-scroll-cursor-gets-left-behind-if-a-child-widget-steals-the-scroll' into 'gtk-3-22'
  * Add a flatpak manifest for widget-factory
  * Bump the pango requirement
  * font chooser: introduce font chooser levels
  * font chooser: Add a tweak page
  * font chooser: Add font features
  * font chooser: Add properties for font features and language
  * font chooser: Support font variations
  * Remove the "without parent" warning
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * gdk: Add a private api to find sandboxes
  * x11: Don't set NET_WM_PID when sandboxed
  * Merge branch 'gesture-docs' into 'master'
  * Merge branch 'gesture-docs' into 'master'
  * emoji: Improve section scrolling
  * emoji: Hide recent section when empty
  * Export some entry functions privately
  * Add an emoji completion popup
  * entry: Add emoji completion
  * widget-factory: add emoji completion to an entry
  * Drop Ctrl-Shift-e support
  * menu: Remove unstable annotations
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Add a 3.24 version
  * font chooser: Add examples for font features
  * font chooser: Make the language property writable
  * Miscellaneous font chooser fixes
  * Bump version to 3.23.0
  * Update NEWS
  * Merge branch 'wip/move-to-rect-public-gtk-3-24' into 'gtk-3-24'
  * Add gdk_window_move_to_rect to the docs
  * Add new fontchooser api to the docs
  * docs: Add indices for 3.24 api
  * Merge branch '1088-getting-css-properties-defined-in-em-etc-in-px-rounds-toward-0-delivering-1-too-few-pixels' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'wip/tchaik/fontconfig-timestamp' into 'gtk-3-24'
  * Merge branch 'lrn/gks_vk_menu' into 'gtk-3-24'
  * Merge branch 'window-activate-grab-3-again-24' into 'gtk-3-24'
  * Merge branch 'patch-1' into 'gtk-3-24'
  * Merge branch '1160-crash-clearing-gtkentry-icon-tooltip' into 'gtk-3-24'
  * Merge branch 'wip/dboles/searchenginetracker-plug-3' into 'gtk-3-24'
  * Update NEWS
  * Merge branch 'mcatanzaro/#1174' into 'gtk-3-24'
  * Merge branch 'issue1170' into 'gtk-3-24'
  * Don't forget to dist open-type-layout.h
  * Merge branch 'wip/cursor-output-scale-changes-3-24' into 'gtk-3-24'
  * Merge branch 'wip/aplazas/modelbutton-markup' into 'gtk-3-24'
  * Merge branch 'wip/gtk324.win.egl' into 'gtk-3-24'
  * Avoid excess notification for GdkEventControllerScroll::flags
  * Add a simple motion eventcontroller
  * Add x/y to GtkEventControllerMotion::enter
  * Merge branch 'wip/carlosg/controllers-backport' into 'gtk-3-24'
  * Add new API to the docs
  * Fix up version annotations
  * 3.23.1
  * Merge branch 'gtk-3-24-defaultvalues-ignore-more' into 'gtk-3-24'
  * moji chooser: Try harder to avoid fallback
  * Emoji chooser: Also check for hex boxes
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-add-spinner-to-sidebar-row' into 'gtk-3-24'
  * Emoji chooser: Use icons for sections
  * Include Emoji category icons as resources too
  * Updates
  * Merge branch 'issue1214-tooltips-win32' into 'gtk-3-24'
  * Merge branch 'wl_text_input_clean' into 'gtk-3-24'
  * Add a color picker interface
  * color editor: Add a color picker button
  * Add a color picker implementation for portals
  * Add a color picker implementation for gnome-shell
  * color picker: Better debug spew
  * 3.23.2
  * Update a11y test results
  * Deprecate show_all apis
  * Add a kwin color picker
  * Only use the portal color picker when appropriate
  * color picker: Also try kwin
  * Make color picker circular
  * Merge branch 'gtk-3-24-fix-link-error' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-improve-error-message' into 'gtk-3-24'
  * Merge branch 'wip/tooltip-move-to-rect' into 'gtk-3-24'
  * Merge branch 'fix-shifted-scrolling-gtk3' into 'gtk-3-24'
  * Merge branch 'win32-scroll-deltas' into 'gtk-3-24'
  * Deprecate GtkRange::upper/lower-stepper-sensitivity
  * Merge branch 'clear_preedit' into 'gtk-3-24'
  * Fix a typo
  * Merge branch 'fix-warning-combobox-destroy' into 'gtk-3-24'
  * Merge branch 'gtk-3-24.win.updated' into 'gtk-3-24'
  * Merge branch 'app-private-recent-list' into 'gtk-3-24'
  * 3.23.3
  * Add utility functions for portal paths
  * color picker portal: Add request path utility
  * print portal: use request path utilities
  * file chooser portal: use request path utilities
  * GtkApplication: Respect GTK_USE_PORTAL
  * GtkApplication: track screensaver state
  * 3.24.0
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Fix portal path handling
  * Merge branch 'gtk-3-24-fix-glib-dep' into 'gtk-3-24'
  * Merge branch 'clear_preedit_fix' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/issue-1317' into 'gtk-3-24'
  * Add a missing include
  * gtk_application_inihit: allow no reason
  * 3.24.1
  * Merge branch '1397-gtknotebook-built-in-popup-menu-listing-tabs-doesn-t-use-tab-label-text-for-the-last-tab' into 'gtk-3-24'
  * Merge branch '1371-flickering-tooltips-if-no-mouse-cursor-theme-loaded-gtk3' into 'gtk-3-24'
  * Use a simpler sandbox check
  * Add a gdk_should_use_portal helper
  * wayland: Support the settings portal
  * Merge branch 'settings-portal-for-3' into 'gtk-3-24'
  * wayland: Fix a thinko in settings portal support
  * wayland: Adapt to settings portal api change
  * Merge branch 'escape-included-svg' into 'gtk-3-24'
  * Force emoji presentation
  * emoji chooser: Actually force Emoji presentation
  * Fix deprecation warnings
  * Update some a11y test results
  * Skip GdkPixbuf in default-value tests
  * 3.24.2
  * Merge branch '1476-nautilus-does-not-enable-to-connect-to-an-nfs-share' into 'gtk-3-24'
  * Merge branch 'imwayland_enable' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/im-wayland-surrounding-limits' into 'gtk-3-24'
  * Merge branch 'fix-polygon-svg-recolor' into 'master'
  * Fix XChangeProperty calls
  * Merge branch 'wip/nbenitezl/move-bookmark-placeholder-index-3' into 'gtk-3-24'
  * Check for the session bus before using it
  * Wayland: Support key theme setting
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/flowbox-late-claim' into 'gtk-3-24'
  * Merge branch 'issue1507-bis' into 'gtk-3-24'
  * Document icon helper style classes
  * Merge branch 'wip/jimmac/app-icon-helpers' into 'gtk-3-24'
  * Merge branch 'wip/cache-hidpi-cursor-gtk-3-24' into 'gtk-3-24'
  * switch: Always use I/O
  * Merge branch 'io-switch' into 'gtk-3-24'
  * Merge branch 'power-on-switch' into 'gtk-3-24'
  * Update a11y test output
  * Revert a non-working addition
  * Updates for 3.24.3
  * 3.24.3
  * Merge branch 'switch-label-fallback' into 'gtk-3-24'
  * about dialog: Use ::activate-link for license
  * Merge branch 'about-license-linke' into 'gtk-3-24'
  * Merge branch 'wip/long-combo-boxes' into 'gtk-3-24'
  * Merge branch 'mcatanzaro/#1492' into 'gtk-3-24'
  * 3.24.4
  * More updates
  * switch: Avoid problems with glyph availability
  * Merge branch 'switch-glyph' into 'gtk-3-24'
  * Add switch icons
  * switch: use icons
  * Merge branch 'switch-icons-for-3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/present-window-on-wayland' into 'gtk-3-24'
  * switch: Update the .symbolic.png icon too
  * Add an explicit fribidi dependency
  * gdk: Add a copy of pango_unichar_direction
  * gdk: Stop using deprecated pango api
  * gtk: Add a copy of some deprecated pango api
  * gtk: Stop using deprecated pango api
  * Add an explicit fribidi dependency
  * gdk: Add a copy of pango_unichar_direction
  * gdk: Stop using deprecated pango api
  * gtk: Add a copy of some deprecated pango api
  * gtk: Stop using deprecated pango api
  * 3.24.5
  * Link gdk against fribidi
  * Try again
  * Update css node tests
  * Merge branch 'wip/fix-submenu-size' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/toggle-osk-sparingly' into 'gtk-3-24'
  * Merge branch 'issue-1662' into 'gtk-3-24'
  * Merge branch 'issue-1681' into 'gtk-3-24'
  * Merge branch 'cherry-pick-95c0f072' into 'gtk-3-24'
  * Merge branch 'adwaita-typo-fix' into 'gtk-3-24'
  * Merge branch 'adwaita-fix-backdrop-label' into 'gtk-3-24'
  * Merge branch 'clipboard-quartz' into 'gtk-3-24'
  * Updates
  * Merge branch 'control-enter' into 'gtk-3-24'
  * Fix a11y tests
  * 3.24.6
  * Undo the gtk_window_present deprecation
  * 3.24.7
  * Merge branch 'adwaita-remove-selectionmode-assets' into 'gtk-3-24'
  * Merge branch 'wip/kalev/gtk_window_present-runtime-warnings' into 'gtk-3-24'
  * entry: Use a better icon for Caps Lock warning
  * Merge branch 'wip/carlosg/include-constructors-header-3-24' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/startup-notification-fixes' into 'gtk-3-24'
  * Merge branch 'adwaita-headerbar-switch-margins' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/adwaita-selection-checked-buttons' into 'gtk-3-24'
  * color editor: Don't warn if editing is cancelled
  * Merge branch 'fix-gi-build-with-lto' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/list-image-buttons' into 'gtk-3-24'
  * Merge branch 'gtk3-pc-fix-fribidi-private-version' into 'gtk-3-24'
  * Merge branch 'gtk3-fix-gettext-domain' into 'gtk-3-24'
  * Merge branch 'separate-marks-margins-on-scales' into 'gtk-3-24'
  * Application: Support sandboxed session state changes
  * application: Add a query-end signal
  * Merge branch 'portal-session-state' into 'gtk-3-24'
  * Merge branch 'wip/chergert/fix-flowboxchild-crash-on-selection' into 'gtk-3-24'
  * Merge branch 'fix-1788' into 'gtk-3-24'
  * Merge branch 'gdk-gir-include-built-sources' into 'gtk-3-24'
  * Merge branch 'gir-gdkx11-missing-sources' into 'gtk-3-24'
  * Close a documentation gap
  * Merge branch 'issue-137' into 'gtk-3-24'
  * Merge branch 'autotools-remove-gnu-ftw-check' into 'gtk-3-24'
  * Merge branch 'adwaita-selected-row-switch-fix' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-gtkplacessidebar-add-loop-devices' into 'gtk-3-24'
  * Merge branch 'wip/cellrendererpixbuf-fallbacks-3-24' into 'gtk-3-24'
  * Silence a compiler warning
  * 3.24.8
  * Merge branch 'uajain/clean-gtktypefuncs' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-meson' into 'gtk-3-24'
  * widget-factory: Add an Inspector menu item
  * widget-factory: Update copyright line
  * wayland: Avoid using uninitialized memory
  * Merge branch 'wip/carlosg/tablet-cursors-hidpi' into 'gtk-3-24'
  * Merge branch 'fix-dnd-macos' into 'gtk-3-24'
  * Merge branch 'textbuf-serialize-fix-format-string' into 'gtk-3-24'
  * Merge branch 'xdg-output-3-24' into 'gtk-3-24'
  * Merge branch 'wip/ernestask/tree-view-rubberband-null-node' into 'gtk-3-24'
  * css: Use multiple font-family values
  * Add a reftest for multiple font families
  * Merge branch 'header-bar-leak3' into 'gtk-3-24'
  * Merge branch 'gdk-win32-unimplement-vfuncs-3.24' into 'gtk-3-24'
  * emoji chooser: populate incrementally
  * Revert "wayland: Add support for xdg-output"
  * Merge branch 'issue1901-gtk3' into 'gtk-3-24'
  * Merge branch 'mkenums-once-3-24' into 'gtk-3-24'
  * Merge branch 'mkenums-once-3-24' into 'gtk-3-24'
  * Merge branch 'wip/chergert/marshallers' into 'gtk-3-24'
  * Add a gtk-overlay-scrolling setting
  * scrolled window: respect overlay-scrolling setting
  * Merge branch 'wip/chergert/marshalling' into 'gtk-3-24'
  * Merge branch 'overlay-scrolling-for-3' into 'gtk-3-24'
  * Merge branch 'gail-symbols' into 'gtk-3-24'
  * Merge branch 'wip/chergert/marshalling' into 'gtk-3-24'
  * Merge branch 'wip/chergert/gdkprofiler-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/treeview-progressbar' into 'gtk-3-24'
  * popover: Sync parent state when needed
  * Merge branch 'high-contrast-tabs-3-24' into 'gtk-3-24'
  * Merge branch 'popover-state-sync' into 'gtk-3-24'
  * window: Fix focus wraparound
  * Merge branch 'wip/dboles/scrolledwindow-annotations' into 'master'
  * wayland: Explicitly require RGBA8888
  * Merge branch 'wip/mjog/gtk-completion-show-on-complete' into 'gtk-3-24'
  * NEWS: Updates
  * Merge branch 'gtk3-meson-finish' into 'gtk-3-24'
  * Update test output
  * 3.24.9
  * action muxer: Fix gtk_widget_get_action_group
  * Merge branch 'wip/jimmac/variable-colors-and-metrics' into 'gtk-3-24'
  * Fix build with older GLib
  * Skip a11y tests
  * Merge branch 'fix-action-muxer-parent-chain' into 'gtk-3-24'
  * Merge branch 'issue-1961' into 'gtk-3-24'
  * Merge branch 'wip/dboles/overlay-docs-3' into 'gtk-3-24'
  * Add a test for reinserting action groups
  * action muxer: Be safe against reinsertion
  * Merge branch 'issue-1973' into 'gtk-3-24'
  * Merge branch 'wip/chergert/fix-autotools-enable-profiler' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/infobar-revealer-borders' into 'gtk-3-24'
  * Merge branch 'recent-handle-null-content-type' into 'gtk-3-24'
  * Merge branch 'dboles/widget-factory-style-priority' into 'gtk-3-24'
  * Revert "treeview: Remove the pixel cache"
  * 3.24.10
  * Merge branch 'fix-darwin-version' into 'gtk-3-24'
  * Merge branch 'xdg-output-v3-gtk3' into 'gtk-3-24'
  * Merge branch 'implement-choices-file-chooser-native-win32' into 'gtk-3-24'
  * Merge branch 'issue2057-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/fix-synth-crossing-idle' into 'gtk-3-24'
  * Merge branch 'reubengreen73-issue2066' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/osd-color' into 'gtk-3-24'
  * Merge branch 'gdkmonitor-x11-manufacturer-stable' into 'gtk-3-24'
  * Merge branch 'fix-issue-2030' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'wip/clamp-x11-on-resize-too' into 'gtk-3-24'
  * Merge branch '948-patch-renaming-a-file-can-make-it-to-loose-selection_GTK3' into 'gtk-3-24'
  * Merge branch 'fix-opengl-profiling' into 'gtk-3-24'
  * Merge branch 'build-remove-xiproto-xreply-check' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/ensure-selection-notify' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-issue2128' into 'gtk-3-24'
  * Merge branch 'issue1044' into 'gtk-3-24'
  * Merge branch 'remove-gdk-spawn-macros' into 'gtk-3-24'
  * Merge branch 'mingw-iconcache-use-correct-fstat' into 'gtk-3-24'
  * css: Support PANGO_WEIGHT_ULTRAHEAVY
  * Update a11y test results
  * Fix gtk-query-settings test
  * Fix gtk-builder-tool tests
  * 3.24.11
  * Merge branch 'drop-mir' into 'gtk-3-24'
  * Merge branch 'revert-9711c2ad' into 'gtk-3-24'
  * Merge branch 'builder-notify' into 'gtk-3-24'
  * Merge branch 'BUG_tooltip_blocks_combo_GTK3' into 'gtk-3-24'
  * Merge branch 'fix-gtk3-build' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/atk-util-checks' into 'gtk-3-24'
  * Merge branch 'printing-get-ppd-from-original-host-if-needed-gtk-3' into 'gtk-3-24'
  * Merge branch '362-gtk-fileopen-dialog-need-filetype-mime-sort-option' into 'gtk-3-24'
  * Merge branch 'BUG_popover_focus_new_folder_issue_GTK3' into 'gtk-3-24'
  * Merge branch 'BUG_popover_focus_from_another_window_GTK3' into 'gtk-3-24'
  * Merge branch 'gtk-debug-warn-when-built-without-debug' into 'gtk-3-24'
  * Update for 3.24.12
  * 3.24.12
  * Merge branch 'wip/carlosg/tablet-invalid-reads' into 'gtk-3-24'
  * key controller: Don't eat modifier events
  * Merge branch 'wip/carlosg/avoid-selection-clear' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/unbreak-paste-after-copy' into 'gtk-3-24'
  * Merge branch 'issue-2226' into 'gtk-3-24'
  * Merge branch 'issue-61' into 'gtk-3-24'
  * Merge branch 'jjardon/wayland' into 'gtk-3-24'
  * Merge branch 'fix-issue-1646' into 'gtk-3-24'
  * Merge branch 'clipboard-image-miss' into 'gtk-3-24'
  * Merge branch '1630-on3-24branch' into 'gtk-3-24'
  * Merge branch 'sass-no-extend-compound' into 'gtk-3-24'
  * Merge branch 'win32-gl-fullscreen-workaround-gtk3' into 'gtk-3-24'
  * Merge branch 'pg_up_down' into 'gtk-3-24'
  * Merge branch 'gtkq-events' into 'gtk-3-24'
  * Merge branch 'no-objc' into 'gtk-3-24'
  * 3.24.13
  * Fix a11y test output
  * Merge branch 'fix-backdrop-flat-button-styling' into 'gtk-3-24'
  * Merge branch 'wip/muktupavels/opaque-region' into 'gtk-3-24'
  * Merge branch 'wip/exalm/popover' into 'gtk-3-24'
  * Merge branch 'terminal-3-24' into 'gtk-3-24'
  * Merge branch 'wip/sadiq/fix-switch-on-touch' into 'gtk-3-24'
  * Merge branch 'gtk3-fix-gtkgesturerotate-leak' into 'gtk-3-24'
  * accelgroup: Fix a buffer overrun
  * Merge branch 'carlosgc/no-emoji-hint' into 'gtk-3-24'
  * Merge branch 'cherry-pick-6769db16' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-fix-fullscreen-state' into 'gtk-3-24'
  * infobar: Activate default action on clicks
  * Adwaita: Add hover for clickable infobars
  * gtk-demo: Use a default action in the infobars demo
  * Merge branch 'image-surfce-cache-leak' into 'gtk-3-24'
  * Merge branch 'adwaita-cross-fade-fix-gtk3' into 'gtk-3-24'
  * Merge branch 'fix-2378' into 'gtk-3-24'
  * Merge branch 'wip/muktupavels/root-surface-scale' into 'gtk-3-24'
  * Merge branch 'wip/muktupavels/fix-critical-warning' into 'gtk-3-24'
  * Merge branch 'gtk3-fix-gesture-get-center' into 'gtk-3-24'
  * inspector: Avoid an array overrun
  * Merge branch 'wip/jimmac/typography-classes-gtk3' into 'gtk-3-24'
  * Merge branch 'fix-avahi_service_resolver_cb-crash' into 'gtk-3-24'
  * Merge branch 'display-woes' into 'gtk-3-24'
  * Merge branch 'gdk-device-leak-fix-gtk3' into 'gtk-3-24'
  * modelbutton: Update a11y states
  * Merge branch 'model-button-a11y-state' into 'gtk-3-24'
  * Merge branch 'vista_clipboard' into 'gtk-3-24'
  * Merge branch 'mcatanzaro/#2424' into 'gtk-3-24'
  * Merge branch 'ci-msys2-disable-man-pages' into 'gtk-3-24'
  * Merge branch 'wip/muktupavels/info-bar-reftest' into 'gtk-3-24'
  * Merge branch '1464-tree-view-expander-arrows-no-longer-positioned-vertically-centered-correctly' into 'gtk-3-24'
  * Merge branch 'recursive-search' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/simultaneous-clipboard-access-3.24' into 'gtk-3-24'
  * 3.24.14
  * Merge branch 'wip/carlosg/selection-null-checks' into 'gtk-3-24'
  * Merge branch '138-gtk3-install-valgrind-suppressions' into 'gtk-3-24'
  * Merge branch 'tnum-gtk-3' into 'gtk-3-24'
  * Merge branch 'wip/hadess/fix-remote-filechooser' into 'gtk-3-24'
  * Merge branch 'fix-issue-2503' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * testsuite: Handle icontheme test better
  * Merge branch 'ci-gtk3-update' into 'gtk-3-24'
  * Merge branch 'tnum-gtk-3-doc' into 'gtk-3-24'
  * Merge branch 'wip/chergert/gtk3-speedup-char_is_invisible' into 'gtk-3-24'
  * Merge branch 'adwaita-tnum' into 'gtk-3-24'
  * wayland: Support scales up to 400% for cursors
  * Merge branch 'translate-geometry' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/plug-holes-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/hadess/portal-select-folders' into 'gtk-3-24'
  * 3.24.15
  * Don't forget to dist gtktexttagprivate.h
  * 3.24.16
  * Merge branch 'wip/jimmac/HC-redesign-gtk3' into 'gtk-3-24'
  * Merge branch 'BUG_buttons_with_menu_onclick_GTK3' into 'gtk-3-24'
  * Merge branch 'BUG_filechooser_new_folder_focus_GTK3' into 'gtk-3-24'
  * Merge branch 'wip/smcv/libdir-independent-valgrind-suppressions-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/window-state-change-fixes' into 'gtk-3-24'
  * Merge branch 'keyboard-focus' into 'gtk-3-24'
  * wayland: Load .Compose in imwayland too
  * Merge branch '3.24-meson-bump' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/fix-surrounding-text-again' into 'gtk-3-24'
  * Merge branch 'wip/dont-postpone-subsurface-resize' into 'gtk-3-24'
  * Fix build issues with HighContrast theme
  * 3.24.17
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'custom-surface-resize' into 'gtk-3-24'
  * Merge branch 'wip/wayland-unconfigured-cut-shadow' into 'gtk-3-24'
  * Merge branch 'wip/smcv/wayland-configure-positive-sizes' into 'gtk-3-24'
  * Merge branch 'wip/fix-epiphany-and-libreoffice-menus' into 'gtk-3-24'
  * Merge branch 'wip/wayland-unconfigured-cut-shadow-2' into 'gtk-3-24'
  * Merge branch 'wip/warn-less-about-temps' into 'gtk-3-24'
  * Merge branch 'wip/smcv/missing-xinclude-content' into 'gtk-3-24'
  * 3.24.18
  * Merge branch 'fno-common-3-24' into 'gtk-3-24'
  * Merge branch 'fix-issue-2604' into 'gtk-3-24'
  * Merge branch 'window-set-focus-docstring-fix' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Avoid a critical in the Emoji chooser
  * Merge branch 'macos-esc-fix' into 'gtk-3-24'
  * Merge branch 'BUG_filechooser_async_data_loss_GTK3' into 'gtk-3-24'
  * Merge branch 'BUG_sibebarplaces_avoid_click_focus_GTK3' into 'gtk-3-24'
  * meson: bump version
  * Merge branch 'fix-signature-mismatch' into 'gtk-3-24'
  * HighContrast: regenerate css
  * 3.24.19
  * Bump to 3.24.20
  * Merge branch 'ci-version-check' into 'gtk-3-24'
  * Merge branch 'wip/albfan/offscreen-window' into 'gtk-3-24'
  * Merge branch 'win32-new-runner-gtk3' into 'gtk-3-24'
  * Merge branch 'for-3-24' into 'gtk-3-24'
  * filechooser: Translate type column
  * Merge branch 'filechooser-fix-for-3' into 'gtk-3-24'
  * Merge branch 'wip/lantw/meson-Check-for-debug-and-optimization-in-the-same-way-as-GTK-4' into 'gtk-3-24'
  * Merge branch 'wip/sadiq/entry-select-all' into 'gtk-3-24'
  * Merge branch 'wip/exalm/kinetic_scrolling_gtk3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/tablet-disconnects' into 'gtk-3-24'
  * Merge branch 'source-device-testinput' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/tracker3-3-24' into 'gtk-3-24'
  * Merge branch 'BUG_double_popover_focus_filechooser_GTK3' into 'gtk-3-24'
  * Fix the flipping-icons test
  * Merge branch 'wip/exalm/revert-decoration' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'fribidi-include-gtk3' into 'gtk-3-24'
  * Merge branch 'builder-parameters-speedup-gtk-3' into 'gtk-3-24'
  * Merge branch 'michaelweghorn/issue1820_gtkfilechoosernative_get_filter' into 'gtk-3-24'
  * Merge branch 'michaelweghorn/issue1820_gtkfilechoosernativeportal_get_filter' into 'gtk-3-24'
  * Merge branch 'gtk-application-quartz' into 'gtk-3-24'
  * Merge branch 'gtkapplication-quartz-openfiles-fix' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/notebook-legibility-gtk3' into 'gtk-3-24'
  * Add a gtk-cursor-aspect-ratio setting
  * Merge branch 'cursor-aspect-ratio-for-3' into 'gtk-3-24'
  * 3.24.21
  * Merge branch 'quantize-corner-mask-cache' into 'gtk-3-24'
  * Merge branch 'wip/chergert/fix-gtk3-textview-pixelcache' into 'gtk-3-24'
  * Merge branch 'wayland_surface_app_id_changing_3_24' into 'gtk-3-24'
  * Merge branch 'printing-portal-fix' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/tracker3-dist-fix' into 'gtk-3-24'
  * Merge branch 'wip/smcv/gtk3-gresource-internal' into 'gtk-3-24'
  * Merge branch 'wip/sadiq/fix-textview-select-all' into 'gtk-3-24'
  * Merge branch 'wip/sadiq/fix-entry-magnifier' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/large-title-letterspacing-gtk3' into 'gtk-3-24'
  * Merge branch 'gdkkeysyms' into 'gtk-3-24'
  * Merge branch 'wip/Jehan/gio-querymodules-pkg-config' into 'gtk-3-24'
  * Merge branch 'cherry-pick-267ea755' into 'gtk-3-24'
  * Merge branch 'wip/oholy/gtkmountoperation-newline-gtk-3-24' into 'gtk-3-24'
  * 3.24.22
  * widget-factory: Backport error state examples
  * Merge branch 'wip/jimmac/error-entries-and-labels-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/shuffle-font-mouse-settings-3.24' into 'gtk-3-24'
  * Merge branch 'wip/exalm/hotspot-fix-324' into 'gtk-3-24'
  * Merge branch 'fix-resource-leak-in-gdk-display-close' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/last-device-refcount' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/tracker2-fallback' into 'gtk-3-24'
  * 3.24.23
  * Merge branch 'wip/wayland-dummy-resize-configure' into 'gtk-3-24'
  * colorchooser: Backport the new color palette
  * Merge branch 'colorchooser-palette-3-24' into 'gtk-3-24'
  * Merge branch 'cut-finger-3-24' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-inkscape-1879' into 'gtk-3-24'
  * Merge branch 'backport-1793' into 'gtk-3-24'
  * Merge branch '3166-gtk-show-uri-deprecation' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/gtk3-scss-export' into 'gtk-3-24'
  * scrolledwindow: Fix critical when unsetting scroll cursor
  * Merge branch 'issue2591' into 'gtk-3-24'
  * Merge branch 'entry-icon-press-event-type-3.24' into 'gtk-3-24'
  * Merge branch 'cursor-docs' into 'gtk-3-24'
  * Merge branch 'issue2780' into 'gtk-3-24'
  * Merge branch 'BUG_gtktreeview_headers_focus_on_click_GTK3' into 'gtk-3-24'
  * Merge branch 'cloudprovider-crash' into 'gtk-3-24'
  * colorchooser: Bring color names back
  * Merge branch 'scrollto' into 'gtk-3-24'
  * Merge branch 'meson-epoxy-subproject' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * fontchooser: Fix family-only mode
  * Fix the build with older pango
  * expander: Documentation update
  * Fix a11y test results
  * Merge branch 'wip/dont-set-invalid-xdg-surface-geometry' into 'gtk-3-24'
  * Merge branch 'button-fill-var-removal-gtk3' into 'gtk-3-24'
  * 3.24.24
  * Merge branch 'fix-gtk-nautilus-typo' into 'gtk-3-24'
  * Merge branch 'cursor-aspect-ratio-gtk3' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'workaround-win32-intel-blit' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/mark-valid-portal-settings-3-24' into 'gtk-3-24'
  * Merge branch 'gtk_dbg_interactive_gtk3_backport' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/larger-scrollbars' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'uac.meson.3' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * imcontext: Backport compose sequence improvements
  * Merge branch 'im-context-work-for-3' into 'gtk-3-24'
  * imcontextsimple: Fix a crash
  * Merge branch 'fix-imcontext-crash' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/fix-maximized-shadows-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/tiled-shadow-fix-fix-gtk3' into 'gtk-3-24'
  * Merge branch 'frame-request-api' into 'gtk-3-24'
  * Fix distcheck
  * 3.24.25
  * imcontext: Fix a regression in Compose file parsing
  * Merge branch 'fix-compose-comments-for-3' into 'gtk-3-24'
  * imcontext: Be more lenient in parsing Compose
  * Merge branch 'lenient-compose-parsing-3' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/larger-smaller-scrollbar-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/scrollbars-fine-tune-fix-gtk3' into 'gtk-3-24'
  * imcontextsimple: Bring back modifier intent
  * Merge branch 'imcontext-modifier-intent' into 'gtk-3-24'
  * Merge branch 'wip/jimmac/tiled-resize-area-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/font-settings-lookups-3-24' into 'gtk-3-24'
  * imcontext: Make Compose preedit less intrusive
  * imwayland: Tweak preedit text
  * Merge branch 'unintrusive-compose-preedit-3' into 'gtk-3-24'
  * imwayland: Be careful about cursor positions
  * Merge branch 'unintrusive-compose-preedit-3' into 'gtk-3-24'
  * imcontext: Take out the warnings
  * Merge branch 'compose-warning-3' into 'gtk-3-24'
  * 3.24.26
  * imcontext: Fixes to the state machine
  * Merge branch 'libreoffice-input-fix' into 'gtk-3-24'
  * Merge branch 'fix-leak-of-event-structures' into 'gtk-3-24'
  * Merge branch 'wip/exalm/scroll' into 'gtk-3-24'
  * Merge branch 'mutter-css-crash-fix' into 'gtk-3-24'
  * Merge branch 'issue1549' into 'gtk-3-24'
  * Merge branch 'wip/exalm/window-shadow-dark-3' into 'gtk-3-24'
  * Merge branch 'fix-label-link-activate' into 'gtk-3-24'
  * Merge branch 'fix-wintab-whlrot-gtk-3-24' into 'gtk-3-24'
  * Merge branch 'gdk-win32-use-window-from-point-api' into 'gtk-3-24'
  * 3.24.27
  * Merge branch 'ebassi/reproducible-icon-cache' into 'gtk-3-24'
  * wayland: Pass layout information in key events
  * Merge branch 'fix-wayland-keyboard-layout' into 'gtk-3-24'
  * imcontext: Improve dead key handling
  * imcontext: Improve dead key handling more
  * compose-parse: Add a negative lookaside
  * Move compose related tooling to a subdir
  * Regenerate compose sequence file
  * Merge branch 'better-dead-keys-3' into 'gtk-3-24'
  * Merge branch 'issue3715-gtk3' into 'gtk-3-24'
  * Merge branch 'fix-ding-119' into 'gtk-3-24'
  * composetable: Limit algorithmic checking
  * imcontext: Tweak dead key handling
  * Merge branch 'double-dead-keys-3' into 'gtk-3-24'
  * Fix make dist
  * 3.24.28
  * Merge branch 'gtk-3-24-minimize-no-decorations' into 'gtk-3-24'
  * imcontext: Look for Compose file in the right place
  * label: Fix reacting to screen resolution changes
  * Merge branch 'fix-large-text-3' into 'gtk-3-24'
  * spinbutton: Interpret localized digits
  * Merge branch 'spinbutton-localized-digits-3' into 'gtk-3-24'
  * Revert Compose sequence changes
  * Merge branch 'us-intl-compose-for-3' into 'gtk-3-24'
  * wayland: Improve font setting fallback
  * Merge branch 'font-settings-fallback' into 'gtk-3-24'
  * wayland: Improve font setting fallback more
  * Merge branch 'font-settings-fallback' into 'gtk-3-24'
  * Merge branch 'ceo_of_programming-gtk-3-24-patch-54089' into 'gtk-3-24'
  * scale: Fix sporadic criticals
  * Merge branch 'fix-scale-critical' into 'gtk-3-24'
  * Merge branch 'ebassi/hvbox-docs' into 'gtk-3-24'
  * fontchooser: Fix some since annotations
  * Merge branch 'fontchooser-since-fix' into 'gtk-3-24'
  * x11: Be quiet on exit by default
  * Merge branch 'x11-quiet-exit-3' into 'gtk-3-24'
  * imcontext: Eat key events during preedit
  * Merge branch 'demo-manpages-3.24' into 'gtk-3-24'
  * Merge branch 'im-context-event-leak-3' into 'gtk-3-24'
  * Merge branch 'pre.c99' into 'gtk-3-24'
  * Merge branch 'latest.glib.msvc-3' into 'gtk-3-24'
  * overlay: Clarify pass-through docs
  * Merge branch 'cups-local-printer-2.2-only' into 'gtk-3-24'
  * Merge branch 'fix_elcapitan_support' into 'gtk-3-24'
  * Merge branch 'cocoa-access-header' into 'gtk-3-24'
  * Merge branch 'fix-non-overlay-scrollbars-3' into 'gtk-3-24'
  * Fix a possible crash in gtk_show_uri
  * Merge branch 'fix-uri-crash-3' into 'gtk-3-24'
  * x11: Don't beep on untrusted displays
  * Merge branch 'untrusted-beep-3' into 'gtk-3-24'
  * Merge branch 'wip/oholy/placesview-default-location-regression-gtk-3-34' into 'gtk-3-24'
  * iconbrowser: Don't use a nonexistent icon
  * Merge branch 'gtk3-compose-modifiers' into 'gtk-3-24'
  * Merge branch 'icon-browser-icon' into 'gtk-3-24'
  * imcontext: Fix cursor positions
  * Merge branch 'listbox-extend' into 'gtk-3-24'
  * Fix distcheck
  * 3.24.29
  * Merge branch 'mesa.win32-3.24' into 'gtk-3-24'
  * Merge branch 'quartz-drag-crash' into 'gtk-3-24'
  * Merge branch 'wl-phys-transform-3-24' into 'gtk-3-24'
  * emoji chooser: Fix handling of no recent Emoji
  * emojichooser: Allow inserting multiple Emoji
  * emoji: Some work on the conversion tool
  * emoji: Add keywords to the data
  * Do case-folding and tokenization when creating emoji.data
  * Emoji: Drop the shortname field from emoji.data
  * Redo the handling of Emoji data
  * Merge branch 'gtk-3-24+emoji-data-update' into 'gtk-3-24'
  * imcontextsimple: Fix a possible problem
  * Merge branch 'fix-im-reset-3-24' into 'gtk-3-24'
  * imcontext: Ignore NoSymbol key events
  * Merge branch 'ignore-nosymbol-press-3-24' into 'gtk-3-24'
  * Merge branch 'screensaver-async-3' into 'gtk-3-24'
  * imcontext: Ignore more keysyms
  * Merge branch 'imcontext-ignore-more-3' into 'gtk-3-24'
  * Merge branch 'provide-built-dlls-as-gitlab-ci-artifacts' into 'gtk-3-24'
  * Merge branch 'backport-mr2884-to-gtk-3-24' into 'gtk-3-24'
  * Merge branch 'arb_fbo' into 'gtk-3-24'
  * a11y: Fix ref counting in tree views
  * a11y: Plug a memory leak with treeviews
  * Merge branch 'quartz-fixes' into 'gtk-3-24'
  * Merge branch 'wip/otte/for-3-24' into 'gtk-3-24'
  * Merge branch 'add-support-for-windows-pointer-input-stack-apis' into 'gtk-3-24'
  * Merge branch 'pgriffis/remove-cloudprint-gtk3' into 'gtk-3-24'
  * 3.24.30
  * Merge branch 'gdkkeys' into 'gtk-3-24'
  * Use pango from the main branch
  * Merge branch 'pango-main-for-3' into 'gtk-3-24'
  * reftests: Enforce default settings
  * Merge branch 'BUG_filechooserbutton_remote_GTK3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/sequence-accepted-in-group-3-24' into 'gtk-3-24'
  * Merge branch 'fix-cxo-system-build' into 'gtk-3-24'
  * Merge branch 'opengl.win32.fixes' into 'gtk-3-24'
  * Merge branch 'luizfls-gtk-3-24-patch-58754' into 'gtk-3-24'
  * Merge branch 'accepts_dnd_from_finder' into 'gtk-3-24'
  * Merge branch 'wip/kalev/gcc-11' into 'master'
  * Merge branch 'gtk3-docs-fixes' into 'gtk-3-24'
  * Merge branch 'cherry-pick-5044031b' into 'gtk-3-24'
  * Merge branch 'ownoutput' into 'gtk-3-24'
  * Merge branch 'reset-source-id' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'wip/fix-remap-up-left-popup' into 'gtk-3-24'
  * Merge branch 'wip/hadess/quiet-broadway-gtk3' into 'gtk-3-24'
  * Merge branch 'fix-recent-filter-uri' into 'gtk-3-24'
  * Merge branch 'fix-win11-sdk-3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/no-ping-serials-for-input-3-24' into 'gtk-3-24'
  * css: Avoid a crash while parsing radial gradients
  * Merge branch 'compose-cache-symlinks' into 'gtk-3-24'
  * Merge branch 'gtk-3-24_inkscape2932' into 'gtk-3-24'
  * fontchooser: Avoid setting variations needlessly
  * Merge branch 'backport-font-feature-pango-hb' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-bigsur-perf' into 'gtk-3-24'
  * NEWS: Updates
  * Fix distcheck
  * Remove a bunch of failing reftests
  * 3.24.31
  * Update meson build for recent changes
  * Merge branch 'meson-fixes' into 'gtk-3-24'
  * Merge branch 'high-contrast-3' into 'gtk-3-24'
  * Merge branch 'fix-dist' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-issue-4573' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-macos-dock-quit' into 'gtk-3-24'
  * Merge branch 'meson-reftests' into 'gtk-3-24'
  * fontchooser: Fix axis name handling
  * Merge branch 'fontchooser-fix-3' into 'gtk-3-24'
  * Merge branch '4627-printing-Unref-old-spool_io-before-setting-new-one-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/keep-scale-3-24' into 'gtk-3-24'
  * Merge branch 'fix-places-crash' into 'gtk-3-24'
  * Merge branch 'fix-warning' into 'gtk-3-24'
  * Merge branch 'improve-gdk-screen-docs' into 'gtk-3-24'
  * Merge branch 'gtkcellrendererprogress-tabular' into 'gtk-3-24'
  * Merge branch 'tiled-border-fix-3-24' into 'gtk-3-24'
  * Merge branch '3-24-30-api-additions-since-marker' into 'gtk-3-24'
  * Fix a leak of cell accessibles
  * Merge branch 'wip/hadess/app-id-inspector' into 'gtk-3-24'
  * Merge branch 'fix_derefence_fault_gdk_x11_device_xi2_window_at_position' into 'gtk-3-24'
  * 3.24.32
  * 3.24.32
  * 3.24.33
  * Merge branch 'wip/jimmac/legacy-icons-gtk3' into 'gtk-3-24'
  * Merge branch 'mcatanzaro/set-current-folder-file' into 'gtk-3-24'
  * Merge branch 'wip/another-randr-error-trap' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/im-wayland-backports-3.24' into 'gtk-3-24'
  * Merge branch '3-24-build-with-array-bounds' into 'gtk-3-24'
  * 3.24.34
  * Merge branch 'quartz-redraw-pixbuf' into 'gtk-3-24'
  * Merge branch 'wayland-cursor-size' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-fix-gimp' into 'gtk-3-24'
  * Merge branch 'gtk3-adwaita-maximized-ssd-no-border' into 'gtk-3-24'
  * Keep version numbers sequential
  * Merge branch 'bad-popup-extents-gtk3' into 'gtk-3-24'
  * Merge branch 'matthiasc/gtk-bump-fedora' into 'gtk-3-24'
  * Merge branch 'symbolic-hc-3' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'wip/swilmet/improve-style-context-docs' into 'gtk-3-24'
  * Merge branch 'buffer-func-annotation' into 'gtk-3-24'
  * Merge branch 'win32-nahimic-nv-notes-3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/seat-grab-pointer-hint' into 'gtk-3-24'
  * Merge branch 'fix_signal_blocked_on_update_relative_to' into 'gtk-3-24'
  * Merge branch 'static-builds-hinstance' into 'gtk-3-24'
  * Merge branch 'wip/smcv/glib-2-74' into 'gtk-3-24'
  * x11: Add a precondition
  * Fix a critical in GtkFontChooserWidget
  * Merge branch 'gtk3-fontchooser-fix' into 'gtk-3-24'
  * Merge branch 'backport-mr-4776-to-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/titlebar-gesture-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/flush-uncompressed-motion' into 'gtk-3-24'
  * Merge branch 'gtk-cursor-wayland-hotspot' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/xdg-activation-3-24' into 'gtk-3-24'
  * Differentiate keypad keysyms in accelerators
  * Merge branch 'keypad-accels' into 'gtk-3-24'
  * Merge branch 'libwayland-cursor-in-tree-gtk-3-24' into 'gtk-3-24'
  * Merge branch 'replace-deprecations' into 'gtk-3-24'
  * Merge branch 'ebassi/app-default-flags' into 'gtk-3-24'
  * 3.24.35
  * Dist gdk/wayland/cursor/meson.build
  * wayland: Look for cursor themes in $HOME
  * Merge branch 'backport-mr-3708-to-gtk-3-24' into 'gtk-3-24'
  * Merge branch 'example-links' into 'gtk-3-24'
  * label: Tweak selection behavior
  * Merge branch 'backport-mr-5148-to-gtk-3-24' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/convert-mimetypes-to-atoms' into 'gtk-3-24'
  * Merge branch 'backport-mr-5088-to-gtk-3-24' into 'gtk-3-24'
  * Merge branch 'emoji-recent-empty' into 'gtk-3-24'
  * Merge branch 'issue5393' into 'gtk-3-24'
  * Merge branch 'issue5305' into 'gtk-3-24'
  * Merge branch 'ebassi/no-more-autotools-redux' into 'gtk-3-24'
  * Merge branch 'gtk3_fix_chooser_dead_tilde_trigger_location' into 'gtk-3-24'
  * Revert "wayland: Look for cursor themes in $HOME"
  * Revert "Make wayland load cursors on demand"
  * Revert "Revert "wayland/cursor: Sanity check cursor image size""
  * Merge branch 'revert-cursor-changes-3-24' into 'gtk-3-24'
  * Merge branch 'wip/gtk3-fix-delete-surrounding' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-clipboard_eol' into 'gtk-3-24'
  * Revert "Treat XKB_MOD_NAME_LOGO as super key"
  * 3.24.36
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'win-file-ext-3-24' into 'gtk-3-24'
  * Merge branch 'fix-unscaled-fallback-icon' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/startup-vs-focus-3-24' into 'gtk-3-24'
  * gl: Synchronize when calling MakeCurrent
  * Merge branch 'gl-sync-gtk3' into 'gtk-3-24'
  * Revert "wayland: Add support for gtk_surface1_titlebar_gesture()"
  * Merge branch 'revert-titlebar-gestures' into 'gtk-3-24'
  * Merge branch 'revert-5aaa373b' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/no-legacy-im-3-24' into 'gtk-3-24'
  * Merge branch 'backport-mr-5489' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-focus-to-modal-parant-and-transient-for' into 'gtk-3-24'
  * Merge branch 'ebassi/issue-5482' into 'gtk-3-24'
  * Belated post-release bump
  * selection: Support the file transfer portal
  * Add a test client for file transfer portal
  * Mention file transfer in the NEWS
  * Merge branch 'file-transfer-portal-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/activation-regression-fix-3-24' into 'gtk-3-24'
  * Stop using GTestDBus
  * impcontextsimple: Return from GTask
  * NEWS: Updates
  * 3.24.37
  * Post-release version bump
  * selection: Use the right mime type
  * Merge branch 'fix-filetransfer-mimetype' into 'gtk-3-24'
  * Merge branch 'dark_theme_caret_color_evince' into 'gtk-3-24'
  * Merge branch 'ebassi/gtk3-file-attrs' into 'gtk-3-24'
  * inspector: Show the pango backend
  * Merge branch 'wip/jtojnar/inspector-immodule-backport' into 'gtk-3-24'
  * docs: Fix some links
  * Merge branch 'doc-link-fixes' into 'gtk-3-24'
  * Merge branch 'ebassi/issue-5691' into 'gtk-3-24'
  * Merge branch 'notify-initial-setting-change' into 'gtk-3-24'
  * wayland: Don't crash on cursor size 0
  * Merge branch 'backport-mr-5721' into 'gtk-3-24'
  * Merge branch 'mcatanzaro/fix-xdg-activation' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * application: Clean up signal handlers
  * Merge branch 'application-signal-cleanup-for-3' into 'gtk-3-24'
  * Fix a crash
  * Merge branch 'application-signal-cleanup-for-3' into 'gtk-3-24'
  * Disable a few failing reftests
  * 3.24.38
  * Post-release version bump
  * Merge branch 'backport-ftw-struct' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'fix-slow-perf-x11-gl' into 'gtk-3-24'
  * Merge branch 'gtk-3-24+trap-bad-rr-errors' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/pad-detection-3-24' into 'gtk-3-24'
  * Merge branch 'set-transient-for-offscreen-windows' into 'gtk-3-24'
  * Merge branch 'fix-issue-5775' into 'gtk-3-24'
  * Merge branch 'michaelweghorn/gtk-3-24_a11y_fix_cell_position' into 'gtk-3-24'
  * Merge branch 'useless-dpi-settings-notification' into 'gtk-3-24'
  * Merge branch 'wayland-entries-for-keyval' into 'gtk-3-24'
  * Add missing parentheses
  * Merge branch 'unavailable-gl-functions' into 'gtk-3-24'
  * Fix the build
  * Merge branch 'dialog-close-fix' into 'gtk-3-24'
  * wayland: Be more careful when loading cursors
  * Merge branch 'wayland-cursor-fix-3-24' into 'gtk-3-24'
  * Fix a minor issue in the file portal test
  * Merge branch 'cursor-size-tweak' into 'gtk-3-24'
  * Merge branch 'gtk3-wayland-tiled' into 'gtk-3-24'
  * Fall back to the 'default' cursor
  * wayland: Avoid more legacy cursor names
  * Merge branch 'gtk-3-24-cursor-fallback' into 'gtk-3-24'
  * Merge branch 'offscreen-window-fixes-for-gimp-3' into 'gtk-3-24'
  * Merge branch 'work/zzag/avoid-scaling-cairo-surface-twic3' into 'gtk-3-24'
  * Merge branch 'dialog-portal-cherry-pick' into 'gtk-3-24'
  * Merge branch 'gtk3-tooltip-fix-x11-positioning' into 'gtk-3-24'
  * 3.24.39
  * Post-release version bump
  * Merge branch 'gtk3-wayland-suspended' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-emoji-15.1' into 'gtk-3-24'
  * Merge branch 'fix-display-selection-init' into 'gtk-3-24'
  * 3.24.40
  * Post-release version bump
  * Merge branch 'fix/6345' into 'gtk-3-24'
  * Merge branch 'wip/davidk/gtk3-casts' into 'gtk-3-24'
  * Merge branch 'lcrippa-gtk-3-24-patch-37647' into 'gtk-3-24'
  * 3.24.41

  [ lorenzo crippa ]
  * fix gtk-shell protocol handling

  [ Michael Wyraz ]
  * Use xorg 'monitor' the right way. See #2013
  * Rework to get rid of get_monitor_by_output
  * Rework after first review
  * Free monitor name on finalize
  * don't free monitor->name twice (fixes #6345)
  * Fix for #6342

  [ David King ]
  * meson: Remove missing reftests
  * meson: Install example schema XML
  * Revert "meson: simplify builtin_immodules build option"
  * meson: Do not install reftests
  * tests: Add GdkEvent casts in testinput
  * testsuite: Fix casts in reftests

  [ Emmanuele Bassi ]
  * Add AGPL3-only licence to GtkAboutDialog
  * x11: Balance an error trap
  * broadway: Cast g_object_ref() to the right type
  * Remove stray format character
  * a11y: Cast g_object_ref() to the right type
  * deprecated: Cast g_object_ref() to the right type
  * accelgroup: Do not use deprecated API
  * docs: Properly deprecate gdk_keymap_get_default()
  * Ignore deprecations for gdk_flush()
  * placessidebar: Move declaration inside conditional block
  * selection: Disable deprecation warnings
  * toolbar: Use gdk_display_flush()
  * Do not use deprecated error trap API
  * gtk: Cast g_object_ref() to the right type
  * docs: Use the appropriate deprecation for properties
  * Add missing private header to the build
  * docs: Add proper deprecation text for GtkStatusIcon
  * Merge branch 'wip/smcv/ac-path-tool-2' into 'gtk-3-22'
  * docs: Fix the Git links for the example apps
  * docs: Link to GResource
  * Merge branch 'm4macros-gtk3' into 'gtk-3-22'
  * Merge branch 'gtkplacesview-finalization-fixes-master' into 'master'
  * Merge branch 'stack-set-name-guard' into 'gtk-3-22'
  * Bump up the dependency of libepoxy
  * x11: Query whether we have GLX support
  * build: Do not dist generated files
  * wayland: Allow a NULL inhibitors hash table
  * Merge branch 'gtksocket-scale-3-22' into 'gtk-3-22'
  * Merge branch '324.win32.build' into 'gtk-3-24'
  * Merge branch 'issue1507' into 'gtk-3-24'
  * Merge branch 'wayland-key-theme-for-3-24' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Use power symbols for GtkSwitch labels
  * Add fallbacks for GtkSwitch state labels
  * Merge branch 'wip/iainl/pointer-type-casts-3-24' into 'gtk-3-24'
  * switch: Take gadget clip into account
  * switch: Take gadget clip into account
  * menu: Fix condition check
  * popover: Disable deprecation warning
  * container: Disable deprecation warnings
  * Terminate strncpy() buffers correctly
  * sw: Do not cast clear function in g_clear_pointer()
  * Merge branch '3-24-warn-fixes' into 'gtk-3-24'
  * Use C locale when building gtktypefuncs.c
  * treeview: Don't show empty tooltips
  * Merge branch 'tchaik/gtk-menu-accel-group-prop' into 'gtk-3-24'
  * Merge branch 'master' into 'master'
  * Move the gtkunixprint.h include in the gtk-doc stanza
  * Merge branch 'issue-1746' into 'gtk-3-24'
  * Use GLSL 3.30 shaders
  * Merge branch 'gl3-shaders' into 'gtk-3-24'
  * Set the a11y name of the "create folder" button
  * Merge branch 'autotools-remove-gail-checks' into 'gtk-3-24'
  * meson: Preserve compatibility with Autotools build
  * meson: Update versions
  * Detect CUPS ≥ 1.7
  * cups: Use non-deprecated API
  * Require CUPS >= 2.0
  * docs: Fix the override for GdkAtom
  * Merge branch 'issue-302' into 'gtk-3-24'
  * Merge branch 'cups-check-cleanup' into 'gtk-3-24'
  * Add private getter for a monitor connector
  * Fix regression in GdkScreen.get_monitor_plug_name()
  * Relay the xdg_output.name to GdkMonitor
  * Set the monitor's connector under X11
  * Do not add empty strings to GtkFileFilter
  * Merge branch 'gtk3-meson-use-cups-dep-type' into 'gtk-3-24'
  * Merge branch 'add-some-functions-to-gtk3-sections-txt' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-support-tcrypt-with-proxy-handler' into 'gtk-3-24'
  * Merge branch 'fix-gdkconfig' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-add-TCRYPT-options-to-ask-password-dialog' into 'gtk-3-24'
  * Merge branch 'fix-deprecation-warning-in-menu' into 'gtk-3-24'
  * Freeze notify queue when building objects
  * Bump up the version in the Meson build file
  * Merge branch 'wip/carlosg/key-controller-fixes' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/scroll-controller-fixes' into 'gtk-3-24'
  * Revert "Refresh checks and radios"
  * Merge branch 'revert-theme-change' into 'gtk-3-24'
  * ci: Allow msys2 jobs to fail
  * docs: Clarify when to replace old boxes with Grid
  * Merge branch 'update-libepoxy-wrap' into 'gtk-3-24'
  * Do not crash when icon themes do not have a context
  * Merge branch 'issue-2111' into 'gtk-3-24'
  * Document handling both discrete and smooth scrolling
  * Merge branch 'issue-2048' into 'gtk-3-24'
  * Merge branch 'Gtk-3-24_Check_radio_refresh' into 'gtk-3-24'
  * Merge branch 'fix-menu-check-radio-styling-gtk3' into 'gtk-3-24'
  * Ensure that cached surface sizes are 1x1
  * Merge branch 'issue-183' into 'gtk-3-24'
  * Ensure we have a client window before using it
  * Merge branch 'issue-1077-backport' into 'gtk-3-24'
  * ci: Update to Fedora 31
  * ci: Add libXtst-devel
  * ci: Update the Docker image
  * Update the list of tests that may fail
  * Merge branch 'ci-update-gtk3' into 'gtk-3-24'
  * Document the CSS class used for the ScaleButton popover
  * Merge branch 'doc-scale-button-css' into 'gtk-3-24'
  * Merge branch 'wip/muktupavels/issue-1084' into 'gtk-3-24'
  * Merge branch 'wip/muktupavels/work-areas-v3-3-24' into 'gtk-3-24'
  * Revert "Force the loadable module suffix on the print backend modules."
  * Merge branch 'meson_warn' into 'gtk-3-24'
  * Merge branch 'private-code' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'infobar-content-area-type' into 'gtk-3-24'
  * ci: Build both static and shared libraries at once
  * ci: Backport the changes to the Docker script
  * ci: Add a Debian-based image
  * ci: Add a Debian build
  * ci: Build API reference separately
  * docs: Remove redundant gtk-doc stanza
  * Use ifdef when checking G_ENABLE_DEBUG
  * Fix build when G_ENABLE_DEBUG is undefined
  * Handle a missing enumeration value
  * Silence compiler warnings in release builds
  * Silence a compiler warning
  * testsuite/gtk: Add xfail tests
  * Merge branch 'respect-text-len' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/fix-surrounding-text' into 'gtk-3-24'
  * Merge branch 'wip/hadess/no-gauto-portal' into 'gtk-3-24'
  * Merge branch 'wip/smcv/reproducible-resources' into 'gtk-3-24'
  * docs: Update the links in the FAQ
  * Merge branch 'docs-urls' into 'gtk-3-24'
  * Merge branch 'jjardon/3_24_more_licenses' into 'gtk-3-24'
  * Add check on build system version
  * Merge branch 'ci-version-check' into 'gtk-3-24'
  * Add interface age to the version check
  * meson: Sync up the interface age
  * Add check-version.py to the Autotools dist
  * Merge branch 'missing-dist' into 'gtk-3-24'
  * Merge branch 'wip/smcv/aboutdialog-licenses' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * docs: Update the link to the GtkBuilder schema
  * Merge branch 'issue-2820' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-gtk_file_chooser_set_current_name-fix-type' into 'gtk-3-24'
  * Merge branch 'protocol' into 'gtk-3-24'
  * Merge branch 'gtk3-fix-menu-touch' into 'gtk-3-24'
  * Merge branch 'wip/mbiggio/quartz-device-axes-reset' into 'gtk-3-24'
  * Merge branch 'gesture-nullable-sequence-3.24' into 'gtk-3-24'
  * Merge branch 'socketplug' into 'gtk-3-24'
  * Merge branch 'file-chooser-docs' into 'gtk-3-24'
  * Merge branch 'wip/exalm/screensaver' into 'gtk-3-24'
  * Merge branch 'notebookpage_child' into 'gtk-3-24'
  * Merge branch 'pixbuf-from-surface-leak' into 'gtk-3-24'
  * Merge branch '324.c89' into 'gtk-3-24'
  * Merge branch 'type-int-cairo-format' into 'gtk-3-24'
  * docs: Remove mentions of decommissioned services
  * docs: Fix closing tag
  * docs: Remove any reference to GtkGrid in Gtk[HV]Box
  * Merge branch 'mg/macosx-version-max-allowed' into 'gtk-3-24'
  * Merge branch 'mg/iterator' into 'gtk-3-24'
  * Merge branch 'filechooser-a11y' into 'gtk-3-24'
  * Merge branch 'glib-main-gtk-3-24' into 'gtk-3-24'
  * Merge branch 'gtk3-a11y-leak' into 'gtk-3-24'
  * docs: Escape the XML tags in the Widget class description
  * docs: Fix gtk_tree_selection_get_selected()
  * docs: Fix gtk_tree_selection_get_selected_rows()
  * Merge branch 'gtk3-selection-docs' into 'gtk-3-24'
  * ci: Update Debian image to current stable
  * ci: Update the Debian CI image
  * Merge branch 'gtk3-debian-ci' into 'gtk-3-24'
  * Merge branch 'filesearch3' into 'gtk-3-24'
  * Merge branch 'wip/fix-randr-race-3-24' into 'gtk-3-24'
  * Merge branch 'fix-cell-accessible-leak' into 'gtk-3-24'
  * Merge branch 'meson-use-gnome-post-install' into 'gtk-3-24'
  * Merge branch 'dont-dist-gresource-srcs' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/translate-string-selections' into 'gtk-3-24'
  * Do not use new G_APPLICATION_DEFAULT_FLAGS enum value
  * Merge branch 'gtk-issue-4456' into 'gtk-3-24'
  * build: Replace deprecated get_pkgconfig_variable()
  * build: Add missing argument to add_languages()
  * build: Use a recent version of Meson
  * build: Add missing 512 icons to the Autotools build
  * build: Drop Meson version checks
  * build: Don't dist generated example files with Autotools
  * Drop unnecessary volatile modifier
  * wayland: Fix argument's constness
  * Remove unnecessary gitignore file
  * Use the same argument name in the header and source files
  * Add missing annotation for GdkAtom
  * Use the right type when calling GtkWidget methods
  * broadway: Remove unused file
  * x11: Remove unused header file
  * docs: Update installation instructions
  * ci: Dist using Meson
  * build: Conditionally generate introspection
  * build: Remove the Autotools build
  * docs: Update the installation instructions
  * docs: Update the README
  * docs: Update the build instructions
  * docs: Replace HACKING with a contribution guide
  * docs: Remove outdated files
  * docs: Remove old, pre-1.0 news file
  * docs: Remove the separate commit document
  * Merge branch 'basename' into 'gtk-3-24'
  * Merge branch 'fix-4913-for-gtk3' into 'gtk-3-24'
  * Mark surface as dirty before flushing it
  * Check for attribute availability before accessing it
  * Merge branch 'fix-issue-5678' into 'gtk-3-24'
  * gdk: Swap Cairo calls when reading back from a GdkWindow
  * docs: Try to steer people away from gdk_pixbuf_get_from_window()
  * Fix _gtk_get_slowdown()
  * Merge branch 'gtk-3-24-fix-filechooser-with-webdav' into 'gtk-3-24'
  * Merge branch 'fix/monitor-name' into 'gtk-3-24'

  [ Yaron Shahrabani ]
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation

  [ Ekaterine Papava ]
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation

  [ Gaël Bonithon ]
  * GtkClipboard: Reset a source id to prevent double free
  * GtkRecentFilter: Do not unset the uri if it is needed
  * searchengine: Add missing sanity check
  * searchengine: Emit a simple warning when tracker init failed
  * gdkscreen-wayland: Notify initial setting change from org.gtk.Settings
  * gdkdisplay-wayland: Init selection before roundtrips

  [ Anders Jonsson ]
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation
  * Update Swedish translation

  [ John Ralls ]
  * [Quartz] Hardcode screen resolution for text at 96.0.
  * Update GDK_OSX versions to current MacOS release.
  * Use [NSGraphicsContext CGContext] instead of graphicsPort after Yosemite.
  * Modify Quartz gtk_drag_begin_internal to match 4172138.
  * GdkQuartz: Handle NULL from [NSGraphicsContext currentContext].
  * Merge branch '1411-handle-null-from-nsgraphicscontex' into gtk-3-24.
  * Fix indentation.
  * Reset the Quartz resolution to 72.0 dpi.
  * Reorder virtual method assignments and fill in missing ones.
  * Remove commented-out code copied from X11 implementation.
  * Replace convertBaseToScreen & convertScreenToBase.
  * Prevent crash from passing NULL style provider.
  * Don't attempt to dereference icon_theme until after checking it.
  * Implement the GdkMonitor/GdkDisplay API.
  * Replace the deprecated GdkDisplayManager with GdkSeat.
  * Replace NSInputManager for MacOS 10.6 and later.
  * Clean up some unused variables.
  * Move the CGDisplayReconfigurationCallback to gdkdisplay-quartz.c.
  * Fix Cocoa style and event constants for MacOS X 10.12 and later.
  * Add compile-time check for NSGraphicsContext graphicsPort/CGContext.
  * Replace deprecated gestalt for 10.10 and later.
  * Make _gdk_quartz_window_flush a no-op for MacOS 10.14 and later.
  * Remove 2 unused functions.
  * Complete GdkQuartzDisplay Implementation.
  * Fix crash if there are no grabs in place.
  * Prevent crash if display->touch_implicit_grabs is NULL.
  * Silence enum type warning in 10.9.
  * Merge branch 'quartz-monitor' into gtk-3-24
  * Don't make initializing return_val conditional.
  * Refine GdkQuartzNSWindow convertPointToScreen:
  * Fix copy-paste error.
  * Merge  Ignacio Casal Quintero's quartz-scale-factor' into gtk-3-24.
  * [Quartz]Check mode before setting the monitor scale factor.
  * [GtkSearchEngineQuartz] Limit the returned hits.
  * [GtkSearchEngineQuartz] Don't run off the end of the results array and crash.
  * [IMQuartz] Get the GdkWindow from the NSKeyEvent.
  * [imquartz] Return event window for mouse events in keypress filter.
  * [imquartz] Fix incorrect GdkEvent window member name.
  * Merge branch 'suyuan/fix-macos-accented-char-input' into gtk-3-24.
  * Remove unnecessary casts and silence may-not-return-value warning.
  * Silence incompatible type warning.
  * [quartz] Full-screen only "normal" windows and splashscreens.
  * Merge branch 'aux-window' into gtk-3-24
  * Fix crash when closing a fullscreen window.
  * Restore switching keyWindow when changing windows.
  * Don't scan the seat's slave list for keyboards.
  * Change computation of coordinates.
  * Switch quartz monitors collection from hash table to ptr array.
  * Reverse signs on gdk <-> ns x coordinate transforms.
  * Use n_displays for all monitor counts.
  * [GtkSearchEngineQuartz] Limit the scope of the Spotlight search.
  * [GtkSearchEngineQuartz]Don't create file paths from NULL.
  * Force a window resize if the content view frame changes.
  * [GdkQuartz] Set the toplevel for the pointer if it's NULL.
  * [Quartz] Fix some compile warnings in gtkclipboard-quartz.c.
  * [GdkQuartz] Fix two build issues
  * Don't call g_object_ref on NULL, it whines.
  * Replace obsolete GdkScreen-based method of finding the toplevel at point.
  * Require Harfbuzz only for Wayland and X11 backends.
  * Hide Objective-C from outside GdkQuartz.
  * "]Quartz] Set the popup menu type hint before realizing the popup."
  * Prevent compile error for pressedMouseButtons when using SDK < 10.6.
  * Redo the fullscreen MacOS version control to allow building on 10.6
  * Disable Quartz Native Filechooser when running earlier than MacOS X 10.6
  * Merge branch 'fix-2004' into 'gtk-3-24'
  * Silence compiler type warnings about converting enums to gboolean.
  * Don't set G_ENABLE_CONSISTENCY_CHECKS on all debug builds.
  * Force the loadable module suffix on the print backend modules.
  * Fix visibiity of gdkselection-quartz.c exported gtk-only functions.
  * Handle NSException from removeItemAtIndex.
  * Ensure that GtkDragDestSite is inited to 0.
  * Check target list not null to prevent segfault.
  * Match returns annotation on quartz version of gtk_drag_dest_get_target_List.
  * Merge branch 'issue2225' into gtk-3-24
  * Merge Thomas Holder's  'gtk-3-24-fix-gdkcursor-quartz' into gtk-3-24.
  * Merge branch MR1570 into gtk-3-24.
  * Merge Thomas Holder's raise transient window into gtk-3-24.
  * Use NSTextInputContext discardMarkedText when MacOS is Lion or later.
  * Fix symbol deprecation warning.
  * [Quartz] Only normal toplevels should be in the Windows menu.
  * [Quartz] Correct availability macro name.
  * [Quartz]Silence type mismatch warning.
  * [Quartz]Fix some deprecation and unused variable warnings.
  * Accommodate macOS 11.0 Big Sur in gdk_quartz_osx_version.
  * [imquartz] Set the filter key to passthrough regardless of selector.
  * [Mac Keybindings] Removed duplicate lines.
  * [Mac Keys] Restore command-key bindings.
  * Don't try to create local cups printers before CUPS 2.2
  * Add a public header for Cocoa access functions.
  * Ensure gdk_quartz_drag_source freed on all paths.
  * [quartz] Fix incorrect include path for gdkquartz.h
  * Let gdkquartz-cocoa-access.h find gdkquartz.h during build.
  * Move includes of gdkinternal-quartz.h from headers to impl files.
  * Update Quartz version detection for macOS 12.
  * [quartz]Use the absolute value of Scale values for CGContextScaleSCM
  * Merge Lukas Oberhuber's 'fix-retina-cursors' into gtk-3-24.
  * [quartz] Fix use-before-init.
  * [quartz] Restore setting QUARTZ_RELOCATION in meson build.
  * Quartz: Don't crash trying to release a NULL CGContext.
  * quartz: Clean up two macOS deprecation warnings.
  * quartz: drop beam sync penalty code
  * quartz: add CVDisplayLink based frame clock
  * [quartz] Draw needs_display_region if available
  * Draw window to image_surface and apply to CALayer.
  * Use a CVPixelBuffer instead of a CGImage.
  * [quartz] Manage implementation surface lifetime.
  * [quartz] Handle scale changes using NSView::shouldInheritContentsScale.
  * [quartz] ensure that the copy region is fully enclosed by the drawn surface.
  * [quartz] Ensure GdkWindowQuartz members are either valid or NULL.
  * [quartz] Ensure valid GdkWindowImplQuartz references.
  * [quartz] Fix build on macOS versions before 10.14.
  * [quartz] shouldInheritContentsScale from 10.7+ instead of 10.14+.
  * [quartz] Remove extra reference on layer's cairo_surface.
  * [quartz] find_toplevel_under_pointer should not return _gdk_root
  * [quartz] Fix some compile warnings.
  * [quartz]Use new (since 10.5) NSTrackingArea instead of older tracking rect.
  * [quartz] Update known and latest macOS version to macOS 13 Ventura.
  * [quartz] Work around macOS 13 not sending trackingArea events.
  * [quartz] Set GdkQuartzView wantsLayer.
  * [quartz] Fix typo to call function.
  * [quartz] GdkWindow, GdkNSView frame and cairo surface same size.
  * [quartz] Set the sRGB colorspace on the IOSurface.
  * [quartz] Silence two compiler warnings.
  * [quartz] Convert frame_link, windows_awaiting_frame to GSList.
  * Merge branch 'issue5593' into gtk-3-24
  * Finally resolve gdkquartz.h include path issue.
  * [quartz] Remove unused variable.
  * [quartz] Pad both the content rect and the window width.
  * Merge Antoine Martin's MR 5648 into gtk-3-24.
  * Merge Jiří Techet's 'include_fix' into gtk-3-24.
  * [gdk-quartz] Set POPUP_MENU type hint for  GDK_WINDOW_TEMP.
  * Use consistent coordinates in get_toplevel_from_ns_event.

  [ Yosef Or Boczko ]
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation
  * Update Hebrew translation

  [ sudip ]
  * add bengali language bn.data for gtkemojichooser
  * add hi-ja-et-fi-nb-th for gtkemojichooser

  [ Kévin Commaille ]
  * emoji: Fix the convert-emoji program
  * emoji: Update data to CLDR v40
  * emoji: Add more locales

  [ Carlos Garnacho ]
  * wayland: Improve EOF detection when reading selections
  * Merge branch 'wip/carlosg/fix-issue-1' into 'gtk-3-22'
  * gdk/wayland: Add GdkDisplay call to query available globals
  * modules: Add wayland IM implementation
  * imwayland: Avoid TOGGLE_INPUT_PANEL requests if there's no focus
  * Merge branch 'gtk-3-22' into 'gtk-3-22'
  * Merge branch 'bz780422' into 'gtk-3-22'
  * gtk: Add GtkEventControllerScroll
  * gtkeventcontrollerscroll: Add some docs
  * gtk: Remove CONSTRUCT_ONLY flag from GtkEventControllerScroll::flags
  * gtk: Add GtkEventControllerKey
  * eventcontrollerkey: Add function to forward stuff elsewhere
  * gtkeventcontrollerkey: Add get_group() call
  * gtkeventcontrollerkey: Add ::focus-in/out signals
  * gtk: Add GtkGestureStylus
  * demos: Add "Paint" demo
  * sm scroll
  * gtksettings: Remove leftover code
  * Merge branch 'wip/chergert/imwayland-leak' into 'gtk-3-24'
  * gdk/wayland: Avoid idempotent wl_subsurface.set_position calls
  * modules: Check current context before retrieving surrounding
  * Merge branch 'imwayland_serial' into 'gtk-3-24'
  * imwayland: Collect return value from ::delete-surrounding signal
  * imwayland: Plug leaks
  * imwayland: Respect maximum length of 4000 Bytes on strings being sent.
  * Merge branch 'wip/wacom-tool-type-from-property-3.24' into 'gtk-3-24'
  * revealer: Fully set the target state if unmapped during animation
  * flowbox: Accept multipress gesture late
  * Merge branch 'wip/chergert/controller-motion-coordinates' into 'gtk-3-24'
  * wayland/protocol: Update gtk-shell protocol to v3
  * gdk/wayland: Implement gdk_window_present()
  * gdk/wayland: Set a startup notification
  * imwayland: Toggle OSK more sparingly
  * gdk: Include copy of glib/gconstructor.h
  * gtkapplication: Stash DESKTOP_STARTUP_ID on a constructor
  * gdk/wayland: Preserve stored startup id for gtk_surface1.request_focus
  * Merge branch 'wayland_window_menu' into 'gtk-3-24'
  * Merge branch 'startup-id-private' into 'gtk-3-24'
  * Merge branch 'event_window' into 'gtk-3-24'
  * gdk/wayland: Listen to wl_surface events on tablet cursors
  * gdk/x11: Store idle ID, and ensure it is eventually unset
  * gdk/wayland: Emit GDK_SELECTION_NOTIFY on all failure/unset paths
  * gdk/wayland: Unset clipboard/primary if giving up selection ownership
  * Merge branch 'fix-2070' into 'gtk-3-24'
  * a11y: Avoid clobbering AtkUtilClass vmethods
  * gdk: Fix wl_output accounting on tablet devices
  * gdk: Avoid poking possibly freed memory
  * scrollcontroller: Set scroll event mask on scroll controller
  * gtkwidget: Forward unhandled scroll events through controllers
  * gdk: Shuffle the situations where a selection is unset
  * gdk: Do not call gdk_selection_owner_set() internally to the backend
  * keycontroller: Fix ::key-released signal argument
  * gtkwidget: Ensure to run key controllers in the bubble phase
  * Revert "gdk: Do not call gdk_selection_owner_set() internally to the backend"
  * gdk: Do not change the windowing selection when cancelling source
  * gdk/wayland: Handle simultaneous selection requests
  * Merge branch 'enable' into 'gtk-3-24'
  * gdk/wayland: Avoid invalid memory access on cancellation
  * gdk/wayland: Harden against NULL selection content
  * imwayland: Fix typo in code
  * Merge branch 'imm-context-use-after-free' into 'gtk-3-24'
  * imwayland: Clamp the surrounding string end correctly
  * gdk/wayland: Handle disorderly tablet/pad disconnects
  * gtksearchengine: Add "got_results" argument to ::finished
  * gtksearchengine: Add autoptr handler for this type
  * gtksearchengine: Add tracker3 search engine
  * gtksearchenginetracker3: Pre-fill GFileInfo from query
  * Merge branch 'wip/Jehan/GtkIMContextWayland' into 'gtk-3-24'
  * autotools: Teach about tracker3 search engine
  * gdk/wayland: Look for font settings in gsettings-desktop-schemas
  * gdk/wayland: Use double-click/drag-threshold settings from g-d-s
  * gdk: Keep a reference on the last source device
  * searchengine: Prepare for apps linking to Tracker 2.x
  * Merge branch 'wip/exalm/swipe' into 'gtk-3-24'
  * Merge branch 'wip/exalm/accumulate-scrolling-backport' into 'gtk-3-24'
  * Merge branch 'avoid-pointer-reset' into 'gtk-3-24'
  * Merge branch 'fix-tablet-3.24' into 'gtk-3-24'
  * gdk/wayland: Mark matched settings from the portal as valid
  * Merge branch 'touch-scroll-scale' into 'gtk-3-24'
  * gdk/wayland: Look for font settings recursively
  * Merge branch 'wip/exalm/overshoot-changes-gtk3' into 'gtk-3-24'
  * gtkgesture: Apply gesture group state after setting up sequence
  * gdk/wayland: Do not use xdg_wm_base.ping serials as "user input" serials
  * Merge branch 'wayland-clipboard-fix' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-x11-xi2.4-gestures' into 'gtk-3-24'
  * Win32 IME: Use CFS_EXCLUDE to specify cursor position
  * gtk/imwayland: Use serial to control outbound messages
  * imwayland: Do not defer commit() after set_surrounding_text()
  * imcontextwayland: Ignore preedit updates from NULL to NULL
  * gdk/wayland: Drop motion hint mask from seat grab event masks
  * Merge branch 'work/zzag/kde-dnd' into 'gtk-3-24'
  * wayland: Translate STRING/UTF8_STRING selection atoms to mimetypes
  * gdk: Ensure GdkFrameClock::flush-events with uncompressed motion
  * gtkimcontextwayland: Refactor handling of client updates
  * gtktextview: Shuffle the places doing IM reset
  * gtkentry: Shuffle the places doing IM reset
  * gtkentry: Avoid early IM reset on updates
  * gtkentry: Avoid early IM reset on updates
  * gtkentry: Also reset IM context after IM surrounding text deletion
  * gtktextview: Also reset IM context after IM surrounding text deletion
  * gtkimcontextwayland: Shuffle full resets after IM changes
  * Merge branch 'wl-ime-lockscreen-fixes' into 'gtk-3-24'
  * gdk/wayland: Support the xdg-activation wayland protocol
  * wayland: Use xdg-activation for non-startup initiated focus requests
  * gdk/wayland: Dispatch GdkAppLaunchContext activation token in its own queue
  * gdk/wayland: Check the GdkSurface wl_surface before using it for activation
  * gdk/wayland: Convert selection mimetypes back to atoms, if needed
  * gtkwindow: Minor refactor
  * gdk/wayland: Perform xdg_activation on gdk_window_set_startup_id
  * gdk/x11: Emit "remove" s-n message from gdk_toplevel_set_startup_id
  * gtkwindow: Shuffle gdk_window_set_startup_id() calls
  * gtkapplication: Do not call gdk_display_notify_startup_complete()
  * Merge branch 'fix-xdg-activation-set-surface-gtk-3-24' into 'gtk-3-24'
  * input: Drop legacy text input module
  * gtkwindow: Fix fallbacks through xdg_activation_v1
  * gdk/wayland: Create pad devices on enter
  * gdk/wayland: Ensure device-added/removed emission in GdkSeat
  * gdk/wayland: Return pad devices querying for all devices
  * gdk/wayland: Switch behavior of BTN_STYLUS/STYLUS2 as middle/right click
  * Merge branch 'wip/carlosg/switch-stylus-buttons-3-24' into 'gtk-3-24'
  * Merge branch 'touch-accuracy' into 'gtk-3-24'

  [ Olivier Crête ]
  * pathbar: Handle webdav where is the root is a path

  [ velsinki ]
  * GtkTooltip: Fix tooltip positioning on X11

  [ Luca Bacci ]
  * Gdk-Win32: Correct handling of transient state changes
  * Check for NULL priv->popup_window in gtk_combo_box_popdown()
  * Win32: Fix typo on compilation speedup macro define
  * docs: Add gtk_file_chooser_add_choice and related functions to gtk3-sections.txt
  * Fix a string leak
  * Implement choices for GtkFileChooserNativeWin32
  * GtkStatusIcon/w32: Also set the tooltip on taskbar_created_msg
  * autotools: dist the subprojects directory
  * Small syntax fix for win32 CSS theme
  * Update libepoxy wrap
  * Fix message dialog not shown when the user tries to create a folder but a file with the same name exists
  * Fix function signature
  * Quantization for corner mask cache
  * Limit corner mask cache
  * GdkW32: remove klassTEMPSHADOW
  * GdkWin32: Fix mouse events in presence of transparent windows on the desktop
  * Fix leak of event structures
  * Backport 'fix integer overflow in monitor refresh rate calculation' to GTK3
  * Provide built DLLs as Gitlab CI artifacts
  * Wintab: set the right device field in the event structure
  * Wintab: Set the CXO_SYSTEM option
  * Add support for Windows Pointer Input Stack
  * Add winpointer.h to Makefile.am sources list
  * Use WindowFromPoint to find DND target window
  * GdkWin32: Use a signed integral type for the DPI scale
  * GdkWin32: Ensure a consistent order of operations when handling DPI scale and GDK screen offset
  * GdkWin32: Initialize _gdk_offset_x / _gdk_offset_x to unscaled values
  * Merge branch 'gdk-win32-ensure-correct-order-of-operations-when-handling-dpi-scale-and-gdk-screen-offset' into 'gtk-3-24'
  * Merge branch 'vs2022-vcproj' into 'gtk-3-24'
  * Merge branch 'win32-gl-reorg-3' into 'gtk-3-24'
  * Merge branch 'gtk3-dnd-find-dest-window-fix' into 'gtk-3-24'
  * GdkWin32: Make OLE2 DND work in monitors with different OS scales
  * Win32: Fix print dialog custom widget measurement
  * Merge branch 'gdk-win32-custom-print-dialog-widget-measurement' into 'gtk-3-24'
  * Merge branch 'ole2-dnd-ipc-window-follows-the-cursor-monitor' into 'gtk-3-24'
  * Merge branch 'win32-theme-fixes' into 'gtk-3-24'
  * Quartz: Fix keyboard layout notification
  * Merge branch 'quartz-fix-keyboard-layout-notification' into 'gtk-3-24'
  * Merge branch 'fix-printoperation-win32' into 'gtk-3-24'
  * Merge branch 'win32-rewrite-keymap-v2' into 'gtk-3-24'
  * Merge branch 'fix_gtk_switch_cleanup' into 'gtk-3-24'
  * Add hid.lib to GDK .pc file
  * Merge branch 'more-vs2022-fixes' into 'gtk-3-24'
  * Merge branch 'fix-4565' into 'gtk-3-24'
  * Merge branch 'fix_windows_build' into 'gtk-3-24'
  * Add GTK grab when opening GtkFileChooserNativeWin32
  * Winpointer: Fix keyboard state
  * Merge branch 'filechoosernative-win32-invisible' into 'gtk-3-24'
  * Merge branch 'winpointer-fix-key-state' into 'gtk-3-24'
  * Merge branch 'msvc-project-improvements' into 'gtk-3-24'
  * Merge branch 'improve-font-features-msvc' into 'gtk-3-24'
  * Merge branch 'win32-theme-flat-button-fix' into 'gtk-3-24'
  * Merge branch 'fix-4610' into 'gtk-3-24'
  * Merge branch 'win32-keymap-fixes' into 'gtk-3-24'
  * GtkFileChooserNativeWin32: add GTK grab only when modal
  * Merge branch 'file-chooser-native-win32-grab-only-when-modal' into 'gtk-3-24'
  * Merge branch 'win32-fix-altgr-gtk3' into 'gtk-3-24'
  * Meson: Use gnome.post_install
  * Merge branch 'revert-fd6ce997' into 'gtk-3-24'
  * Merge branch 'win32-keys-ignore-ctrl' into 'gtk-3-24'
  * Merge branch 'win32-fix-ctrl-shift' into 'gtk-3-24'
  * GdkWin32: Fix gdk_win32_window_get_frame_extents
  * Merge branch 'fix-issue-3690' into 'gtk-3-24'
  * Merge branch 'gdk-win32-fix-ime-popup-position' into 'gtk-3-24'
  * Fix last error reporting when calling GetClipboardOwner
  * Merge branch 'gdk-win32-fix-issue-1402' into 'gtk-3-24'
  * Merge branch 'win32-fix-4724-gtk3' into 'gtk-3-24'
  * Merge branch 'fix_dllMain_win32' into 'gtk-3-24'
  * GdkWin32: Retrieve module HINSTANCE in static builds
  * Merge branch 'fix_missing_printer_libs_win32' into 'gtk-3-24'
  * Define DLL_EXPORT and _GDK_EXTERN depending on whether we are building a shared or a static library
  * GDK: Avoid using constructors on Win32
  * Merge branch 'msvcproj-nmake-install' into 'gtk-3-24'
  * GdkWin32: Add code for gtk-overlay-scrolling setting
  * Merge branch 'gdk-win32-gtk-overlay-scrolling-gtk3' into 'gtk-3-24'
  * GdkWin32: Fix subclassing for GdkWin32Selection
  * Merge branch 'gdk-win32-fix-subclassing-gdk-win32-selection' into 'gtk-3-24'
  * GtkTooltip: Scale the cursor size on X11
  * Revert "wayland/cursor: Sanity check cursor image size"
  * Make wayland load cursors on demand
  * Remove config.h.meson
  * Remove GTK version / interface age macros in config.h
  * GdkWin32: Correct generation of crossing events when holding an implicit grab
  * GdkWin32: Generate crossing event after button release
  * Merge branch 'backport-mr-4620-to-gtk-3-24' into 'gtk-3-24'
  * GdkWin32GLContext: check for EGL support at runtime
  * Merge branch 'windows-gles-debug-fix' into 'gtk-3-24'
  * Merge branch 'check-egl-support-at-runtime' into 'gtk-3-24'
  * GdkWin32: Zero-out memory of an allocated struct
  * OLE2 DND: Check if move is supported
  * Merge branch 'ole2-dnd-check-for-move' into 'gtk-3-24'
  * GdkWin32: Use scaled coordinates for move_resize_drag()
  * WinPointer: Actually destroy GdkDeviceTools
  * GdkWin32: Fix warning due to changed device count
  * GdkWindow: Check for offscreen windows in set_transient_for ()
  * GtkMenu: Take offscreen windows in account for positioning
  * GtkApplicationImplDBus: Cancel DBus method calls on shutdown
  * GdkWindow: check for same impl class in set_transient_for ()
  * gdk_display_get_monitor_at_window: Check for offscreen windows
  * GtkMenu: Fix positioning when attached to offscreen windows
  * Merge branch 'wormnest/fix-ci-msys2-failure' into 'gtk-3-24'
  * Merge branch 'wormnest/silence-kblayout-warning' into 'gtk-3-24'

  [ Jacob Boerema ]
  * test-msys2-meson: fix pipeline failure on GTK3
  * gdkkeys-win32c: change registry key not found g_warning to g_debug

  [ Emilio Cobos Álvarez ]
  * [gtk3] [x11] Fix coordinate space of rect in gdk_x11_window_get_frame_extents when called on popups.
  * [gtk3] [wayland] Fix hotspot positioning with scaled surface.
  * gdk/wayland: Don't fall back directly to 1 for mismatched cursor sizes.
  * gdk/wayland: Use g_warning_once for cursor scale mismatches.
  * gdk/wayland: Don't notify of settings changes on startup.
  * [gtk3] GtkFileChooserNative: Fix portal close.
  * [gtk3] Support tiled windows from xdg-shell.
  * [gtk3] Cherry-pick gtkfilechoosernativeportal fixes from gtk4
  * [gtk3/wayland] Only request v2 of xdg_wm_base.
  * [gtk3/wayland] Expose XDG-shell suspended state via visibility events.

  [ Vlad Zahorodnii ]
  * gdk/wayland: Fix pointer-gestures version selection
  * gdk/wayland: Update selection's offer before updating dnd targets
  * wayland: Fix wl_buffer size for custom cursors

  [ Arjan Molenaar ]
  * macos: Implement delegate method to silence secure-restore message

  [ Michał Potomski ]
  * gl: Limit glGetTexLevelParameteriv use to supported platforms

  [ Piotr Drąg ]
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in and POTFILES.skip
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in
  * Update Polish translation
  * Update POTFILES.in
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.skip
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Add empty Kurdish Sorani translation of properties
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation
  * Update POTFILES.in
  * Update Polish translation
  * Update Polish translation
  * Update Polish translation

  [ Sveinn í Felli ]
  * Update Icelandic translation
  * Update Icelandic translation
  * Update Icelandic translation
  * Update Icelandic translation
  * Update Icelandic translation
  * Update Icelandic translation
  * Update Icelandic translation
  * Update Icelandic translation
  * Update Icelandic translation
  * Update Icelandic translation

  [ Vasil Pupkin ]
  * Update Belarusian translation
  * Update Belarusian translation

  [ Sabri Ünal ]
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation

  [ Jonas Ådahl ]
  * entrycompletion: Realize popup after setting screen
  * wayland: Add support for xdg-shell stable
  * wayland: Minor whitespace cleanups
  * wayland: Fix restarting cursor animation
  * gdk: Make gdk_window_move_to_rect public
  * wayland: Update cursor surface scale when output scale changes
  * Merge branch 'fix_wayland_csd_announce' into 'gtk-3-24'
  * gdk/wayland: Don't remap non-subsurface as subsurface
  * gdk/wayland: Always map windows 'moved-to-rect' as popups
  * tooltip: Implement positioning using gdk_window_move_to_rect()
  * Merge branch 'wip/carlosg/issue-844' into 'gtk-3-24'
  * wayland/cursor: Rename GdkWaylandCursor variable
  * wayland/cursor: Make sure the cached cursor has the right size
  * wayland/window: Don't remap when handling xdg_popu.configure
  * menu: Don't constrain initial menu size
  * menu: Force resize when remapping
  * menu: Adapt scroll offset if arrow is shown
  * window: Add private API to fixate size
  * window: Add private API to force-resize
  * menu: Force recalculation of size before positioning
  * menu: Fixate size calculated by gdk_window_move_to_rect()
  * Merge branch 'wayland-hotspot-3' into 'gtk-3-24'
  * gdk/x11: Clamp window size both when creating and resizing
  * gtk/icon-theme: Handle lack of SVG loader gracefully
  * Revert "gdk/wayland: go through monitor to compute scale factor"
  * Merge branch 'dnd-coordinates2' into 'gtk-3-24'
  * wayland: Postpone window resize requests until configured
  * wayland: Respect fixed size when resizing
  * wayland: Treat being tiled as maximized when saving size
  * wayland: Add margin to saved size when restoring size
  * wayland: Don't postpone resizes for subsurfaces
  * wayland: Use helpers to add/remove margins from sizes
  * wayland: Always update unconfigured size
  * wayland: Store unconfigured size without margin
  * wayland: Set unconfigured size on impl construction
  * wayland: Don't inhibit premature resize for popups
  * wayland: Always store unconfigured size
  * wayland: Move warning about transient-less temporaries to map()
  * Merge branch 'wl_resize_saved' into 'gtk-3-24'
  * wayland: Emit dummy configure event when resizing while fixed
  * wayland: Bail loudly if invalid geometry is set
  * Merge branch 'gtk-surface-release-3-24' into 'gtk-3-24'
  * Merge branch 'issue3791' into 'gtk-3-24'
  * window/wayland: Reset position when hiding popup
  * Merge branch 'surfaceloop' into 'gtk-3-24'
  * x11: Trap error when getting CRTC info
  * wayland/window: Only update the scale if on any outputs
  * x11: Trap errors happening when getting output properties
  * wayland: Add support for gtk_surface1_titlebar_gesture()
  * Merge branch 'tooltips-x11-scale-cursor-size' into 'gtk-3-24'
  * Merge branch 'gtk-3-24' into 'gtk-3-24'

  [ Kristjan SCHMIDT ]
  * Update Esperanto translation
  * Update Esperanto translation
  * Update Esperanto translation
  * Update Esperanto translation
  * Update Esperanto translation
  * Update Esperanto translation
  * Update Esperanto translation

  [ Benjamin Otte ]
  * css: Add a workaround for gtk_widget_override_font()
  * cssprovider: Only free bytes when they exist
  * x11: Don't call XInput API for core events
  * Merge branch 'style-context-null-widget-guard' into 'gtk-3-22'
  * Merge branch 'text-changed-delete' into 'gtk-3-22'
  * Merge branch 'textview-delete' into 'gtk-3-22'
  * Merge branch 'gtk-3-22' into 'gtk-3-22'
  * colorutils: Remove unused macro
  * examples: Check for error when loading file
  * widget: Add a frameclock_connected boolean
  * fishbowl: Port version from GTK 4
  * Merge branch 'window-activate-grab-3-3' into 'gtk-3-22'
  * Merge branch '169-gtktextview-accesses-already-disposed-object-3-22' into 'gtk-3-22'
  * x11: Set a transparent background on windows by default
  * gtk: Fix reserved pointers
  * Merge branch '1069-thread-1-glade-received-signal-sigfpe-arithmetic-exception' into 'gtk-3-22'
  * x11: Always set None pixmap for no background
  * x11: Add necessary NULL check
  * progressbar: Never stop never stopping
  * window: Update opaque region if background-color changes
  * Merge branch 'wip/muktupavels/deprecate-gtk-css-provider-get-default' into 'gtk-3-24'
  * gdk: Add GDK_DEPRECATED_IN_3_24() macros
  * gtk; Deprecate gtk_render_frame_gap()
  * container: Deprecate focus chains
  * Don't deprecate gtk_widget_show_all()
  * Merge branch 'wip/arnaudb/fix-dashed-border' into 'gtk-3-24'
  * Merge branch 'win32-fix-dnd-info-disposal' into 'gtk-3-24'
  * x11: Be a lot more careful about setting ParentRelative
  * Merge branch 'wip/muktupavels/gtk-status-icon' into 'gtk-3-24'
  * Merge branch 'wip/dboles/revealer-underallocates-gadgets-3' into 'gtk-3-24'
  * Merge branch 'issue-1631' into 'gtk-3-24'
  * Merge branch 'pango-deprecations' into 'gtk-3-24'
  * Merge branch 'treeview-separator-fix-drawing-zero-height' into 'gtk-3-24'
  * Merge branch 'inspector-theme-find' into 'gtk-3-24'
  * gtk: Remove all gtk_widget_set_redraw_on_allocate() calls
  * flowbox: children per line may not be 0
  * window: handle configure request when maximized/fullscreen
  * menu: Modernize code
  * Merge branch 'wip/gtk-icon-theme-no-svg-loader-gtk-3' into 'gtk-3-24'
  * a11y: Include window management buttons in headerbar
  * Merge branch 'headerbar-buttons-a11y' into 'gtk-3-24'
  * CSS: Handle unknown resolution
  * Merge branch 'wip/otte/for-gtk-3-24' into 'gtk-3-24'
  * Merge branch 'can_focus' into 'gtk-3-24'
  * Merge branch 'status-icons-hidpi' into 'gtk-3-24'
  * icontheme: Don't try to scale pixbufs to 0px
  * Merge branch 'wip/albfan/protect-begin_move_drag' into 'gtk-3-24'
  * Merge branch 'benzea/fix-css-update' into 'gtk-3-24'
  * cellarea: Don't shrink area too much
  * Merge branch 'ci-default-settings' into 'gtk-3-24'
  * Merge branch 'wip/hadess/inspector-search-by-pointer' into 'gtk-3-24'
  * liststore: Fix gtk_list_store_iter_is_valid()
  * gdkgl: Check for GLsync before using it
  * Merge branch 'wip/otte/for-gtk-3-24' into 'gtk-3-24'
  * Merge branch 'gles-swapped-colors' into 'gtk-3-24'

  [ Balló György ]
  * OpenGL/ES: Fix 'R' and 'B' bits inverted on all platforms

  [ Daniel Mustieles ]
  * Updated Spanish translation
  * Update Spanish translation
  * Update Spanish translation
  * Update Spanish translation
  * Update Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Update Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Updated Spanish translation
  * Update Spanish translation
  * Update Spanish translation
  * Update Spanish translation

  [ Boyuan Yang ]
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation
  * Update Chinese (China) translation

  [ Ask Hjorth Larsen ]
  * Updated Danish translation of gtk
  * Updated Danish translation of gtk-properties
  * Updated Danish translation
  * Updated Danish translation of gtk-properties
  * Updated Danish translation of gtk
  * Updated Danish translation of gtk
  * Updated Danish translation of gtk-properties
  * Updated Danish translation of gtk
  * Updated Danish translation of gtk
  * Updated Danish translation of gtk-properties
  * Updated Danish translation
  * Revert "Updated Danish translation"
  * Updated Danish translation
  * Updated Danish translation

  [ Changwoo Ryu ]
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation
  * Update Korean translation

  [ Amin Bandali ]
  * Change debian-branch from debian/master to debian/latest

  [ Amn Alam ]
  * Update Punjabi translation

  [ Danial Behzadi ]
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update Persian translation
  * Update fa.po
  * Update fa.po

  [ Jiří Techet ]
  * gdk: quartz: Avoid page up/down getting filtered by gtk_im_context_filter_keypress()
  * quartz: fix compilation problem introduced by !5648

  [ Baurzhan Muftakhidinov ]
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation
  * Update Kazakh translation

  [ Jeremy Bicha ]
  * Initial upstream branch
  * Update Vcs fields for conversion to git
  * New upstream version 3.22.26
  * Update upstream source from tag 'upstream/3.22.26'
  * Drop old files left over from svn conversion
  * Fix file permissions after svn conversion
  * Bump Standards-Version to 4.1.2
  * Update Vcs fields for migration to https://salsa.debian.org/
  * New upstream version 3.22.28
  * Update upstream source from tag 'upstream/3.22.28'
  * New upstream release
  * Drop git_text-view-support-emoji-chooser.patch: Applied
  * Bump Standards-Version to 4.1.3
  * releasing package gtk+3.0 version 3.22.28-1
  * New upstream version 3.22.29
  * Update upstream source from tag 'upstream/3.22.29'
  * New upstream release (Closes: #824606)
  * debian/libgtk-3-0.symbols: Add new symbols
  * releasing package gtk+3.0 version 3.22.29-1
  * Revert "releasing package gtk+3.0 version 3.22.29-1"
  * Mark new Wayland symbol as linux-any
  * releasing package gtk+3.0 version 3.22.29-1
  * New upstream version 3.22.30
  * Update upstream source from tag 'upstream/3.22.30'
  * New upstream release
  * Drop patches applied in new release (numbered 0009-0016)
  * releasing package gtk+3.0 version 3.22.30-1
  * Bump minimum wayland-protocols to 1.12
  * widget-factory: Move app menu contents to primary menu
  * widget-factory: Rename About menu item to About Widget Factory
  * widget-factory: Add Keyboard Shortcuts menu item
  * demos/gtk-demo/combobox: fix typo
  * Stop using gnome-get-source
  * Update debian/gbp.conf
  * Cherry-pick Force-emoji-presentation.patch:
  * Cherry-pick emojichooser-Pass-chooser-to-add_emoji.patch:
  * releasing package gtk+3.0 version 3.24.1-3
  * Cherry-pick Tooltip-Fix-the-used-cursor-size-if-0-in-Settings.patch:
  * New upstream version 3.24.2
  * Update upstream source from tag 'upstream/3.24.2'
  * New upstream release
  * Drop patches applied in new release:
  * Cherry-pick Revert-Fix-deprecation-warnings.patch:
  * debian/libgtk-3-0.symbols: Add new symbol
  * releasing package gtk+3.0 version 3.24.2-1
  * Add Revert-update-some-a11y-test-results.patch:
  * Use xvfb-run for build tests
  * releasing package gtk+3.0 version 3.24.2-2
  * Cherry-pick x11-Fix-deprecation-macro-use.patch:
  * releasing package gtk+3.0 version 3.24.2-3
  * Add -Wl,-O1 -Wl,--as-needed to our LDFLAGS
  * Enable all hardening flags
  * Explicitly disable cloud providers feature
  * Update debian/changelog
  * New upstream version 3.24.3
  * Update upstream source from tag 'upstream/3.24.3'
  * New upstream release
  * Drop patches applied in new release:
  * Add Revert-Update-a11-test-output.patch:
  * Revert "Explicitly disable cloud providers feature"
  * debian/libgtk-3-0.symbols: Add new symbol
  * releasing package gtk+3.0 version 3.24.3-1
  * Add Add-fallbacks-for-GtkSwitch-state-labels.patch:
  * Revert "Add Add-fallbacks-for-GtkSwitch-state-labels.patch:"
  * New upstream version 3.24.4
  * Update upstream source from tag 'upstream/3.24.4'
  * New upstream release
  * releasing package gtk+3.0 version 3.24.4-1
  * New upstream version 3.24.5
  * Update upstream source from tag 'upstream/3.24.5'
  * New upstream release
  * Cherry-pick Update-css-node-tests.patch:
  * releasing package gtk+3.0 version 3.24.5-1
  * New upstream version 3.24.12
  * Update upstream source from tag 'upstream/3.24.12'
  * New upstream release
  * releasing package gtk+3.0 version 3.24.12-1
  * New upstream version 3.24.32
  * Update upstream source from tag 'upstream/3.24.32'
  * New upstream release
  * debian/patches: Refresh
  * New upstream version 3.24.33
  * Cherry-pick gtk-3-24 commits needed for mutter 42.1
  * releasing package gtk+3.0 version 3.24.33-2
  * debian/control.in, debian/tests/control: Depend on adwaita-icon-theme-full
  * Cherry-pick 2 proposed patches to fix app startup regressions
  * releasing package gtk+3.0 version 3.24.35-3
  * Drop patch no longer needed as of 3.24.36
  * New upstream version 3.24.38
  * Update upstream source from tag 'upstream/3.24.38'
  * New upstream release
  * Drop 3 patches applied in new release
  * releasing package gtk+3.0 version 3.24.38-1
  * Build with libcloudproviders

  [ Florentina Musat ]
  * Update Romanian translation

  [ Martin ]
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation

  [ Efstathios Iosifidis ]
  * Update Greek translation
  * Update Greek translation
  * Update Greek translation
  * Update Greek translation
  * Update Greek translation
  * Update Greek translation
  * Update Greek translation
  * Update Greek translation

  [ Michael Weghorn ]
  * filechoosernative: Make get_filter work for (non-portal) native chooser
  * Make gtk_file_chooser_get_filter work for portal case
  * a11y atspi: Fix reporting table cell pos at index (0,0)

  [ totaam ]
  * make gdkquartz-cocoa-access.h usable again

  [ Bruce Cowan ]
  * Update British English translation
  * Update British English translation
  * Update British English translation
  * Update British English translation
  * Update British English translation
  * Update British English translation
  * Update British English translation

  [ Chun-wei Fan ]
  * Visual Studio builds: Fix .pc generation
  * gtk/Makefile.am: Fix Visual Studio project generation
  * Visual Studio 201x builds: Generate gtk/gtktypefuncs.c
  * Visual Studio 201x builds: Fix previous commit
  * Visual Studio 201x builds: Clean up project files
  * Visual Studio 2008 builds: Generate gtk/gtktypefuncs.c
  * gtk/language-names.c: Fix build on non-GCC/CLang
  * gtk/gtkemojicompletion.c: Fix build on C89 and non-GCC
  * gtk/Makefile.am: Dist the newly-added private headers
  * gtk/: Fix build without PangoFT2 and HarfBuzz
  * demos/gtk-demo/gtkfishbowl.c: Include gtk/fallback-c89.c
  * Add a EGL renderer (via ANGLE) for Windows
  * GDK-Win32: Fix glitches when using EGL/ANGLE
  * GDK/Win32: Cleanup and further fix OpenGL/ES glitches
  * gtk/fallback-c89.c: Add C89 fallback for trunc()
  * gtk/gtkeventcontrollerscroll.c: Include fallback-c89.c
  * demos/gtk-demo/paint.c: Fix build on pre-C99
  * builds: Fix introspection with MSVC builds
  * gtkimcontextime.c: Fix Korean input
  * Merge branch 'win10-use-system-font' into 'gtk-3-24'
  * gdkevents-win32.c: Fix GDK_SETTING event notification on IME change
  * Fix "A11y: Add support for AtkTableCell"
  * MSVC builds: Improve introspection build process
  * Visual Studio builds: Improve Introspection build process
  * build/win32/vs10/gtk3-install.props: Remove from tree
  * Visual Studio builds: Use UNIX line endings for projects
  * Update README.win32 on features and Visual Studio support
  * Visual Studio projects: Link to FriBidi
  * Visual Studio projects: Add include path for FriBidi
  * tests: Include system headers appropriately
  * meson.build: Bump version
  * meson: Only use cairo fallbacks when needed
  * meson: Only use fallbacks for PangoFT2 and FreeType when needed
  * gdk/meson.build: Fix typo for GdkWin32 Introspection
  * gdk/meson.build: Force-export gdk_win32_display_manager_get_type()
  * meson: Enable GLES Windows builds via libANGLE
  * meson: Fix Broadway builds
  * demos/gtk-demo/meson.build: Build gtk3-demo-application
  * examples/bp/bloatpad.c: Declare variables at top-of-block
  * testsuite/gtk/stylecontext.c: Declare variables at top-of-block
  * tests/animated-resizing.c: Include gtk/fallback-c89.c
  * tests/: Declare variables at the top-of-block
  * meson: Build the .rc files on Windows
  * meson: Make post-install script a Python script
  * meson: Fix GDK-Win32 build
  * meson: Build the input modules
  * meson: Build libgail-util
  * meson: Really fix Broadway builds
  * meson: Install the icons for the demo programs
  * meson.build: MSVC-Add fallback dep search for HarfBuzz
  * meson.build: Fix generating .pc files
  * meson.build: Output DLL names similar to the MSVC projects
  * meson/MSVC: Copy xxx-3.lib to xxx-3.0.lib upon post-install
  * meson: Fix building with builtin immodules
  * README.win32: Add instructions on Meson builds
  * testsuite/gtk/builder.c: Export the needed symbols
  * meson.build: Fix Visual Studio builds
  * meson.build: Clean up previous commit
  * state-record.c: Include header for write()/close()
  * gtkimcontextime.c: Fix preedit window placement on HiDPI
  * Merge branch 'ime-preedit-hidpi-3' into 'gtk-3-24'
  * Visual Studio projects: Fix generating gtktypefuncs.inc
  * Visual Studio: "Add" Visual Studio 2019 project files
  * Visual Studio 2019 builds: Enable /HIGHENTROPYVA for x64 builds
  * build/win32/detectenv-msvc.mak: Update error message
  * Merge branch 'quartz-no-harfbuzz' into 'gtk-3-24'
  * MSVC projects: Define a default PythonDir for VS2019 builds
  * MSVC Projects: Re-work gtk3-prebuild project
  * MSVC builds: Generate most of the built sources in gdk/
  * Fix previous commit
  * build/win32: Dist forgotten file
  * build/Makefile-newvs.am: Fix rebuilds
  * MSVC projects: Fix demos build
  * MSVC projects: Use NMake to generate the sources in gtk/
  * generate-msvc.mak: Generate gtk/gtkresources.[c|h]
  * generate-msvc.mak: Generate gtk/gtkmarshalers.[c|h]
  * generate-msvc.mak: Allow custom tools for glib-compile-resources
  * MSVC projects: Drop gtk3-prebuild.vcxproj.filters
  * build/win32: Track resouce listings in gdk/gtk
  * build/win32/config-msvc.mak.in: Define a default PREFIX
  * build/win32/config-msvc.mak.in: Add more configurations
  * build/win32/generate-msvc.mak: Generate GResource sources for demos
  * Merge branch 'win32-ime-fixes' into 'gtk-3-24'
  * reftests: Fix building on Visual Studio
  * gdkwindow-win32.c: Fix GLES glitches during un-fullscreen
  * gdkwindow-win32.c: Set WS_BORDER for fullscreen GL windows if requested
  * GDK/Win32: Force GLES if running on ARM64
  * meson.build: Fix generating .pc files for Visual Studio
  * gtkcssshadowvalue.c: Fix build on older Visual Studio
  * gtk/gtkfilechoosernativeportal.c: Fix on C89 compilers
  * Visual Studio projects: move projects to win32/
  * Merge branch 'win32-native-input' into 'gtk-3-24'
  * Merge branch 'gles-windows-arm64' into 'gtk-3-24'
  * Merge branch 'gtk3.win.egl.unfullscreen' into 'gtk-3-24'
  * Merge branch 'move-msvc-projects' into 'gtk-3-24'
  * meson/MSVC builds: Use -utf-8 where available
  * README.win32: Update sections on MSVC builds
  * MSVC Projects: Correct generated files paths
  * MSVC builds: Make file generating less disrupting
  * Visual Studio: Use G_ENABLE_DEBUG for all builds
  * gtk/gtkscrolledwindow.c: Declare variables at top-of-block
  * gtk/fallback-c89.c: Add fallback for fmin()
  * gdkglcontext-win32.c: Workaround Intel glBlitFramebuffer() issues
  * Visual Studio projects: Do not hardcode gdbus-codegen path
  * Visual Studio Projects: Improve search for Harfbuzz headers
  * Visual Studio projects: Support arm64/aarch64 builds better
  * win32/Makefile-newvs.am: Fix 'make dist'
  * Try again to fix 'make dist'
  * Fix 'make dist' again
  * Meson: Avoid UAC on 32-bit Windows for gtk-update-icon-cache
  * Visual Studio 201x projects: Fix generating gtk+-win32-3.0.pc
  * win32/detectenv-msvc.mak: Add linker flag for ARM64
  * win32/config-msvc.mak: Don't hardcode GTK_HOST to i686-pc-vsXX
  * win32/gtk-introspection-msvc.mak: Prepare for ARM64 builds
  * Visual Studio projects: Set GTK_HOST appropriately
  * gdkglcontext-win32.c: Avoid C4715 warning
  * gtkcsscustomgadget.c: Fix build with latest stable GLib with MSVC
  * update-icon-cache.c: Declare variables at top-of-block
  * gtkimcontextsimple.c: Declare variables at top-of-block
  * gdkglcontext-win32.c: Fix running with Mesa drivers
  * Merge branch 'fix-issue-2019' into 'gtk-3-24'
  * Merge branch 'fix-winpointer-h-make-dist' into 'gtk-3-24'
  * Merge branch 'wintab-set-cxo-system-option' into 'gtk-3-24'
  * gdkdevicemanager-win32.c: Fix build
  * GDK/Win32: Fix up OpenGL a bit
  * config.h.win32.in: Define HAVE_SETUP_DI_GET_DEVICE_PROPERTY_W
  * Merge branch 'msvc-prototype' into 'gtk-3-24'
  * GDK-Win32: Reorganize gdkgdlcontext-win32.c
  * gdk/win32: Some further small GL-related cleanup
  * GDK-Win32: Add fallback mode to GLES
  * gtk/generate-uac-manifest.py: Fix UAC manifest .rc
  * gtk: Fix building version resource on Windows 11 SDK
  * Visual Studio projects: "Add" Visual Studio 2022 projects
  * gtkprintoperation-win32.c: Fix build on Visual Studio
  * gtkfontchooserwidget.c: Always enable font features with later Pango
  * Visual Studio projects: Define __MSVC_PROJECTS__
  * gtk-demo: Split out demo sources from Makefile.am
  * win32/generate-msvc.mak: Add rule to regenerate demos.h.win32
  * Font features demo: Port to newer Pango
  * configure.ac: Check for Pango 1.44.0 or later
  * Meson: Enable font features demo on later Pango versions
  * Visual Studio projects: Update README for additional features
  * gdk/win32: Consolidate CPU detection in one place
  * gdk/win32/Makefile.am: Dist gdkkeys-win32.h
  * meson: Make VS2022 builds distinct from VS2019
  * win32/detectenv-msvc.mak: Add section on VS2022
  * gtkfontchooserwidget.c: Fix build with pre-1.44.x Pango
  * demos/gtk-demo/font_features.c: Fix build on Pango < 1.44.x
  * win32: Re-organize NMake Makefiles a bit
  * gdk: Split out public headers listing
  * win32: Support (re-)generating gdkenumtypes.[c|h]
  * Visual Studio projects: Improve generating GDK sources
  * GDK/build: Rename deprecated_h_sources to gdk_deprecated_h_sources
  * gtk/build: Split out part of headers listings
  * Visual Studio projects: Improve generating libgtk sources
  * config-msvc.mak.in: Record the interface age
  * Visual Studio: Make gen-gdkversionmacros-h.py generic
  * Visual Studio projects: Generate versioned sources
  * Visual Studio projects: Simplify building font features demo
  * Revert "Bug 676077: Fix handling of Keyboard Input on Windows"
  * gdk/: Don't distribute the built sources
  * gtk/: Don't distribute the generated sources
  * demos: Don't dist the generated GResource sources
  * win32: Update Visual Studio projects
  * gtk/Makefile.am: Fix distcheck
  * demos: Fix distcheck
  * gdk/win32: Split out sources listing
  * gdk/broadway: Split out sources listing
  * gtk: Rename gtk-mkenums-headers.mak to gtk-sources.inc
  * gtk/Makefile.am: Split out more items
  * libgail-util: Split out sources listings
  * win32/create-lists-msvc.mak: Clean up a bit
  * win32/create-lists-msvc.mak: Pull in the newly-split source listings
  * win32/: Add install-msvc.mak
  * Visual Studio Projects: Use NMake Makefile to copy build results
  * build: Drop gtk3-install.[vsprops|props]
  * Visual Studio projects: Drop unneeded property sheet
  * Visual Studio projects: Drop another property sheet
  * Visual Studio projects: Make property sheets shared
  * win32/vs10/*.vcxprojin: Consolidate project configs
  * win32/vs10/*.vcxproj: Consolidate project configs
  * gdk/: Rename gdk-pub-headers.h to gdk-sources.inc
  * gdk: Move source listings to gdk-sources.inc
  * gtk-sources.inc: Split base sources in two parts
  * gtk: Build: Prefix deprecated source listings
  * build: Write introspection rules directly in NMake Makefiles
  * Drop win32/Makefile.msvc-introspection
  * Visual Studio projects: Make it clear Python 3.x is now required
  * MSVC projects: Make helper NMake Makefiles more robust
  * README.win32: Mention the possibility of using Python-2.7.x
  * Merge branch 'msvcproj-py3-req' into 'gtk-3-24'
  * Visual Studio projects: Speed up build
  * Merge branch 'msvcproj-nmake-robust' into 'gtk-3-24'
  * MSVC Projects: Rename Makefile variable
  * win32/generate-msvc.mak: Split up rule to regenerate demos.h.win32
  * MSVC projects: Generate demo sources in IntDir
  * build: Do not generate gtk3-demo-application MSVC project
  * build: Don't generate icon browser MSVC project
  * MSVC Projects: Generate widget factory GResource sources
  * MSVC Projects: Build widget factory demo
  * Merge branch 'msvcproj-demos' into 'gtk-3-24'
  * MSVC projects: Also "install" the gtk3-demo symbolic icon
  * MSVC projects: Also copy the build auxiliary files
  * MSVC projects: Generate and install Emoji GResource data
  * Visual Studio builds: Add optional rules to generate translations
  * Merge branch 'msvc-proj-more-data' into 'gtk-3-24'
  * README.win32: Add note on using OpenGL on Windows
  * gdk/broadway/Makefile.am: Correct build variable
  * win32/generate-msvc.mak: Add rules to generate broadway headers
  * win32/generate-msvc.mak: Add rules for gtk30[-properties].pot
  * generate-msvc.mak: Improve gtk-demo config message
  * Merge branch 'improve-demos-h-msg' into 'gtk-3-24'
  * Merge branch 'msvc-build-pot' into 'gtk-3-24'
  * Merge branch 'msvc-broadway-improvements' into 'gtk-3-24'
  * Visual Studio: Add .gitignore's
  * win32/generate-msvc.mak: Add rules to create GDK-Win32 MSVC projects
  * win32/generate-msvc.mak: Support generating all GDK projects
  * generate-msvc.mak: Add rules to copy the static VS2010 projects
  * config-msvc.mak.in: Regroup items
  * generate-msvc.mak: Support generating libgtk/gailutil projects
  * win32/generate-msvc.mak: Clean up a bit again
  * win32: Split out MSVC project generating
  * win32/gen-version-items.py: Retrieve version info from configure.ac
  * win32: Add NMake Makefile to bootstrap projects
  * Visual Studio build instructions: Use MarkDown
  * README_FEATURES_MSVC.md: Mention about enabling EGL
  * README.win32: Mention about (re-)generating project files
  * Merge branch 'msvcproj-git' into 'gtk-3-24'
  * README.win32: Convert to MarkDown
  * win32/generate-msvcprojs.mak: Simplify enabling PangoFT2
  * win32/config-msvc.mak: Improve flexibility
  * README.win32.md: Improve Visual Studio build instructions
  * Merge branch 'more-vs-proj-updates' into 'gtk-3-24'
  * README.win32.md: Update build instructions
  * meson: Clean up FreeType2 dependency search
  * gdkglcontext-win32.c: Fix running under GLES
  * Merge branch 'fix-issue-5877' into 'gtk-3-24'

  [ Jordi Mas ]
  * Update Catalan translation
  * Update Catalan translation
  * Fix to Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Fix to Catalan translation
  * Fix to Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Fixes to Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Fixes to Catalan translation
  * Update Catalan translation
  * Fixes to Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Fixes to Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation
  * Update Catalan translation

  [ Dušan Kazik ]
  * Update Slovak translation
  * Update Slovak translation
  * Update Slovak translation
  * Update Slovak translation
  * Update Slovak translation
  * Update Slovak translation
  * Update Slovak translation
  * Update Slovak translation
  * Update Slovak translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Daniel Boles ]
  * HighContrast: Avoid expander↔combobox interference
  * themes: Regenerate CSS to reflect recent commits
  * ScrolledWindow: add() before remove() in snippet
  * Adwaita: Fix typo lenght => length in SASS
  * Window: Clarify resize() doc about titlebar widget
  * Window: Mention GtkHeaderBar in set_titlebar() doc
  * HeaderBar: Explain use in conjunction w/ GtkWindow
  * GdkMonitor: Fix link to nonexistent Display method
  * Widget: Don’t call reset() on NULL EventController
  * testinfobar: Add simple test of :visible/:revealed
  * InfoBar: Be most specific in new Since annotations
  * ListBox: Avoid ::row-activated/Row::activate ambig
  * testinfobar: Test more properties, response signal
  * FileChooserWidget: Avoid crash freeing static str
  * FileChooserWidget: Fix leaks in .get_subtitle()
  * testspinbutton: Orient box orthogonally to Spins
  * testspinbutton: Add button to toggle wrap on Spins
  * SpinButton: Redraw +/- buttons after :wrap changes
  * Notebook: Don’t show raw underline/markup in popup
  * Merge branch 'searchbar-double-border-fix' into 'gtk-3-22'
  * _common.scss: Use : for properties in new comments
  * gdkrgba: Add a missing apostrophe in a doc comment
  * HighContrast: Regenerate CSS missing from !50
  * HighContrast: Honour .monospace set by GtkTextView
  * emojichooser.ui: Reuse headings as button tooltips
  * themes: Make disabled Expander arrow look disabled
  * ProgressBar: Drop leftover "superimposed" mention
  * GLArea: Remove wrong transfer annotation on new()
  * tests/testmodelbutton: Add this
  * ModelButton: Protect against nonsensical gbooleans
  * ModelButton: Properly update indicator on set_role
  * testmodelbutton: Add explanatory comments to CSS
  * ModelButton: Fix type Wether => Whether
  * ModelButton: Use WARN_INVALID_PROPERTY, not assert
  * testmodelbutton: Fix wrongly overridding MB child
  * Revert "ModelButton: Properly update indicator on set_role"
  * testmodelbutton: Test :centered, :icon, :inverted
  * AccelGroup: Remove @See_also of deleted function
  * CellEditable: Fix grammar error in doc synopsis
  * CellEditable: Move arg description to right place
  * CellEditable: Clarify doc on lifecycle of editable
  * CellRenderer|Editable: Don't @See_also subclasses
  * CellRenderer: Entry is not the only CellEditable
  * CellRenderer: Clarify doc of .start_editing()
  * CellRenderer: Link to CellEditable.start_editing()
  * Merge branch '154-documentation-lifecycle-of-editables-inside-gtkcellrenderers-is-not-clear' into 'gtk-3-22'
  * MenuShell: Typecheck the instance @ select_first()
  * MenuShell: Sanitise take_focus bool via public API
  * Menu: Typecheck before dereferencing to get ->priv
  * Menu: Typecheck AccelGroup passed via public API
  * Menu: Document/annotate nullability of 2 API args
  * Menu: Remove redundant typecheck in private func
  * Menu: Sanitise @torn_off gboolean in public API
  * Menu|Item: Fix FIXME re non-const interned strings
  * Range: Add should_invert_move() for scrolls & keys
  * Range: Use should_invert_move() to scroll value
  * UIManager: Document deprecation; link replacements
  * gdkselection: Clarify that X is only a design base
  * Entry: Show optional style classes in node diagram
  * Stock: Emphasise deprecation; explain alternatives
  * docs/running: Document the GTK_OVERLAY_SCROLLING env var
  * MenuButton: Drop ref to Popover on its ::destroy
  * MenuButton: Clarify NULL popup/over/menu/model doc
  * MenuButton: Disconnect newly added signal handler
  * MenuButton: popover connects to menu_deactivate_cb
  * themes: Fix swapped borders on RTL PathBar buttons
  * themes: Fix a new comment
  * testentrycompletion: Avoid a compiler cast warning
  * ScrolledWindow: Unset cursor if child takes scroll
  * Menu: cleanups for previous commit and nearby
  * ProgressBar: Fix typo in doc comment
  * Range: Up should only mean ++ if we are a GtkScale
  * ProgressBar: Fix typo in doc comment
  * Range: Up should only mean ++ if we are a GtkScale
  * StyleContext: Don't advise using invalidate()
  * StyleContext: Add a missing apostrophe
  * GdkWin: Avoid leak if bailing from process_updates
  * SpinButton: Fix an obviously wrong arg description
  * gdkdnd: Fix 2 typos in docs
  * CssGadget: Round px values up for min-width|height
  * a11y/entry: Fix copy-pasteo re 2ndary icon tooltip
  * searchenginetracker: Don't leak the hits' GFiles
  * HC: Avoid same BG/FG colors in flat treeview entry
  * InfoBar: Fix wrong type in copy-pasted param doc
  * gtk3-sections: Add GtkInfoBar.[gs]et-revealed()
  * HC: Avoid excessive selectors from prev commit
  * Adwaita: Regenerate CSS for emoji completion popup
  * Adwaita: Don't use a property that GTK+ 3 lacks
  * EmojiCompletion: Use Box:spacing instead of CSS
  * EmojiCompletion: Avoid un/signed compare warnings
  * defaultvalue test: Remove obsolete properties
  * defaultvalue: Stop warnings via new g_object_ref()
  * defaultvalue: Ignore property to actually pass
  * defaultvalue: Fix some very broken indentation
  * themes: Remove Raleigh
  * PlacesSidebar: Fix warning about signal parameters
  * ScrolledWindow: Add missing apostrophes
  * ScrolledWindow: Fix/improve doc of key bindings
  * ScrolledWindow: a couple of spelling/grammar fixes
  * ModelButton: Add Since annotation on new prop
  * Adwaita: Drop some unneeded overrides
  * NEWS: Remove an accidental tab
  * SidebarRow: Set ::no-show-all on end_icon_widget
  * Tooltip: Fix the used cursor size if 0 in Settings
  * gtk-demo/main: Suppress implicit fallthru warning
  * Notebook: Don't notify 2x from set_tab_label_text
  * Notebook: Ensure menu_label updates with tab_label
  * Adwaita: Regenerate CSS for new window.devel style
  * TreeMenu: Don't manually reinvent g_list_index()
  * Popover: Minimally document the ::closed signal
  * Box, Grid: Improve various bits of documentation
  * Revert "Fix deprecation warnings"
  * x11: Fix deprecation macro use
  * EventControllerKey: Add missing docs from master
  * RGBA: Fix example to_string output for reality/CSS
  * RGBA: Consistently use “” around inline arg names
  * RGBA: tiny grammar improvements in to_string doc
  * testrevealer: Make filler text actually big enough
  * Revealer: Don’t (under)allocate child if not shown
  * Fix 'Fix "A11y: Add support for AtkTableCell"'...
  * Adwaita: Fix bg of backdrop:disabled spinbutton +-
  * HC: Fix fgcolor of backdrop:disabled spinbutton +-
  * [GtkSearchEngineQuartz] Resolve the path to a GtkFile* for the hit list.
  * searchenginequartz: Fix naming of Beagle @ comment
  * testsuite/a11y/about: Fix exp. output per e56a9e6c
  * Merge branch 'dboles/issue1949' into 'gtk-3-24'
  * Window: Hyperlink to GtkBuildable from its section
  * ListBox: Document buildable child type placeholder
  * FileChooserButton: Document the CSS nodes & class
  * Overlay: Document overlay children aren't measured
  * Overlay: Improve overly brief blurbs @ child props
  * Overlay: Use @index_, not @position, in reorder()
  * ShortcutsSection: Fix tiny grammar-o "in for"→"in"
  * widget-factory: Use correct StyleProvider priority
  * Builder: Fix typos and unended sentence in docs
  * ScrolledWindow: Frame on viewport is not optional,
  * Popover: Clarify/guard out rect of get_pointing_to

  [ Timm Bäder ]
  * window: Avoid redundantly getting the GDK window
  * scrolledwindow: Fix code sample compilation
  * notebook: Make a code snippet compile
  * treeviewcolumn: Make a code snippet compile
  * expander: Make a code snippet compile
  * menuitem: Make a code snippet compile
  * searchbar: Make a code snippet compile
  * liststore: Make a code snippet compile
  * widget: Make all code snippets compile
  * entry: Remove some questionable code examples
  * Make a few more code samples compile
  * menu: Guard against NULL toplevel
  * separatormenuitem: Don't create label widget in get_label
  * Revert "file chooser: Allow activating without double-click"
  * expander: fix sizes in resize_toplevel
  * emojichooser: Only measure reference emoji once
  * infobar: Keep GParamSpecs around
  * infobar: Add :revealed property
  * demo: Add widgetbowl demo
  * widget: Only print allocation warnings with --enable-debug
  * Merge branch 'wip/chergert/no-compressed-ui' into 'gtk-3-24'
  * eventcontrollerscroll: Emit ::scroll for -1/+1 discrete steps
  * gesturestylus: Clarify a documentation comment
  * Merge branch '628-text-view-width' into 'gtk-3-24'
  * emojichooser: Pass chooser to add_emoji
  * Merge branch 'cherry-pick-9946dd2a' into 'gtk-3-24'
  * Merge branch 'plug_race' into 'gtk-3-24'
  * Merge branch 'wl-framework' into 'gtk-3-24'
  * Merge branch 'bye-app-menu-gtk3' into 'gtk-3-24'
  * Merge branch 'fix-issue-1366' into 'gtk-3-24'
  * Merge branch 'more-nullable-gtk3' into 'gtk-3-24'
  * Merge branch 'gdk-cursor-new-deprecated-for' into 'gtk-3-24'
  * Merge branch 'emit-transient-for' into 'gtk-3-24'
  * Merge branch 'demo-combobox-typo-gtk3' into 'gtk-3-24'
  * Merge branch 'cherry-pick-5b049364' into 'gtk-3-24'
  * Merge branch 'wip/carlosg/revealer-fix-interrupted-animations' into 'gtk-3-24'
  * Merge branch 'wip/sadiq/750-gtk3' into 'gtk-3-24'
  * Merge branch 'wip/muktupavels/listbox' into 'gtk-3-24'
  * imcontextwayland: (Hopefully) fix if expression
  * Merge branch 'fix-non-csd-menu-corners-gtk3' into 'gtk-3-24'
  * treeview: Remove the pixel cache
  * Merge branch 'gtk3-remove-pixel-cache-from-treeview' into 'gtk-3-24'
  * treeview: Remove in_scroll flag
  * Merge branch 'fix-issue-2014' into 'gtk-3-24'
  * Merge branch 'docs-old-boxes' into 'gtk-3-24'
  * reftests: Fix css-multi-state test
  * Merge branch 'dont-color-labels-directly-gtk3' into 'gtk-3-24'
  * Merge branch '3-24-fix-imwayland-cursor' into 'gtk-3-24'
  * label: Skip updating link state if we have no layout
  * scrolledwindow: Always add other scrollbar size...
  * Merge branch 'wip/hadess/box-guards' into 'gtk-3-24'
  * popover: Remove useless if case

  [ Martin Wilck ]
  * gtkmountoperation: avoid SEGV after bad password input

  [ Marco Trevisan (Treviño) ]
  * stack: protect set_visible_child_name from NULL stack
  * gtkemojichooser: Do not leak the data loaded from resources
  * emoji: Use a portable and configuration-dependent path to load the data
  * gtk: Include emoji data when using autotools and msvc build systems
  * gtkemojichooser: Use retrocompatible format for saving recent-emoji
  * emoji: Update data to CLRD v39
  * x11: Trap XRandr errors when getting outputs during init and update

  [ henry ]
  * This commit fixes a performance issue on X11 systems in regards to drawing on an OpenGL surface in GTK/GDK.

  [ liulinsong ]
  * Fix a typo

  [ liiulinsong ]
  * Make sure that the charcode is signless

  [ Руслан Ижбулатов ]
  * GDK W32: send a DELETE selection when using LOCAL selection protocol
  * Merge branch 'lrn/issue-82_3-22' into gtk-3-22
  * imcontextsimple: ensure W32 code only runs on W32 displays
  * gtkselection: ensure W32 functions used only for W32 displays
  * gtkselection: ensure W32 functions used only for W32 displays (v2)
  * GDK W32: Don't forget to check VK_MENU and set MK_ALT
  * GDK W32: Don't let TEMP surfaces cause zorder side-effects
  * GDK W32: Use SWP_NOOWNERZORDER everywhere it can be applied
  * GDK W32: Support smooth scrolling
  * GDK W32: send both smooth and discrete scrolling events
  * GDK W32: Support switching input modules at runtime
  * GDK W32: Be honest about supported clipboard formats
  * gtkselection: add a W32 tip about image/bmp support
  * Fix GtkDragSourceInfo disposal
  * DnD: fix setting icon in drag-begin
  * Fix UAC manifest RC file
  * GDK W32: Test for IME correctly
  * GDK W32: Fix property setting to correctly use static strings
  * Inspector: Find themes the same way GtkCSSProvider does
  * W32: Ensure paper size/orientation is preserved
  * GDK W32: Use Vista+ clipboard API
  * GDK W32: no "GDK_SELECTION" event for clipboard
  * Revert "GDK W32: Use SWP_NOOWNERZORDER everywhere it can be applied"
  * GDK W32: Remove stacking functions
  * GDK W32: Correctly infer gtk-xft-antialias & gtk-xft-rgba
  * GDK W32: Use SPI_GETFONTSMOOTHINGTYPE instead of SPI_GETCLEARTYPE
  * Use correct stat struct for ftw()

  [ Leônidas Araújo ]
  * Update Brazilian Portuguese translation

  [ Gianvito Cavasoli ]
  * Update Italian translation

  [ Fran Dieguez ]
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Updated Galician translations
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation
  * Update Galician translation

  [ Мирослав Николић ]
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation

  [ Alexander Shopov ]
  * Update Bulgarian translation
  * Update Bulgarian translation
  * Update Bulgarian translation
  * Update Bulgarian translation

  [ Nart Tlisha ]
  * Add Abkhazian translation
  * Update Abkhazian translation
  * Update Abkhazian translation
  * Update Abkhazian translation
  * Update Abkhazian translation
  * Update Abkhazian translation
  * Add Abkhazian translation
  * Update Abkhazian translation
  * Update Abkhazian translation
  * Update Abkhazian translation
  * Update Abkhazian translation

  [ Aleksandr Melman ]
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation

  [ Aurimas Černius ]
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Updated Lithuanian translation
  * Update Lithuanian translation
  * Update Lithuanian translation

  [ Phil Stopford ]
  * Address issue 5711 by checking that the context is not NULL.

  [ Michael Catanzaro ]
  * imwayland: Fix a small leak
  * wayland: Avoid crashes inside wl_proxy_marshal()
  * Revert "Revealer: Don’t (under)allocate child if not shown"
  * filechoosernative: forward current_filter to delegate dialog
  * filechoosernativeportal: remove redundant casts
  * filechoosernativeportal: stuff the current filter into options
  * window: prepare for window destruction after gtk_window_close()
  * gtkfilechooser: add missing nullable annotation
  * Merge branch 'gtk-3-gles' into 'gtk-3-24'
  * wayland: Don't crash without xdg_activation_v1

  [ Emin Tufan Çetin ]
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation
  * Update Turkish translation

  [ Guillaume Bernard ]
  * Update French translation
  * Update French translation
  * Update French translation

  [ Nathan Follens ]
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation
  * Update Dutch translation

  [ Asier Sarasua Garmendia ]
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation
  * Update Basque translation

  [ Kukuh Syafaat ]
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation
  * Update Indonesian translation

  [ Balázs Úr ]
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation

  [ Hugo Carvalho ]
  * Update Portuguese translation
  * Update Portuguese translation
  * Update Portuguese translation
  * Update Portuguese translation

  [ Christian Kirbach ]
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Christian Hergert ]
  * treeview: respect expander-size style property
  * build: use xml-stripblanks with .ui resources
  * imwayland: fix potential leak of attr list
  * eventcontrollermotion: translate event to widget coordinates
  * quartz: release linked list as we process it
  * quartz: release linked list as we process it
  * flowbox: check for flowbox when updating selection
  * marshallers: ensure g_cclosure_marshal_VOID__VOIDv is used
  * gtk: rely on default marshallers
  * gtk: fix all uses of g_cclosure_marshal_generic
  * va_marshaller: add various va_marshallers
  * gdk: backport GdkProfiler
  * build: fix --enable-profiler=no
  * texttagtable: move private functions to gtktexttagtableprivate.h
  * texttag: avoid use of g_signal_emit_by_name()
  * textbtree: short-circuit visibility check when possible
  * textview: invalidate pixelcache for some invisible changes
  * quartz: squash compiler warning about enums
  * inspector: add im-module

  [ Daniel ]
  * Updated Spanish translation
  * Updated Spanish translation
  * Revert "Updated Spanish translation"

  [ Nelson Benítez León ]
  * appchooserwidget: search text using g_str_match_string()
  * gtkplacessidebar.c: move bookmark at the placeholder index
  * GtkFileChooser: add a sortable "Type" column
  * filechooser: keep file selected after being renamed
  * popover: fix focus when inside an unfocused window
  * Fix popovers not restablishing default widget
  * tooltips: hide tooltips before showing popups
  * filechooser: set default widget early for 'Rename' popover
  * gtkfilechooserwidget: set 'New folder' button focus-on-click
  * GtkMenuButton: disable focus-on-click
  * GtkFilechooserWidget: prevent oblivious selection of file
  * GtkPlacesSidebar: avoid location clicks to grab focus
  * FileChooserButton: query 'display name' also for unbookmarked files
  * GtkTreeviewColumn: don't focus-on-click header buttons
  * Fix open location entry when pressing '~'
  * dark theme: create $caret_color and use it

  [ Alan Mortensen ]
  * Updated Danish translation of gtk
  * Updated Danish translation
  * Updated Danish translation of gtk-properties
  * Update Danish translation

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix outdated screen state on screenshots.
  * Finalize changelog and release to unstable.

  [ hrdl ]
  * Fixes incorrect grabbing behaviour causing subsequent rejection of input
  * Remove warning

  [ Joan Bruguera ]
  * gdk/wayland: Enable xdg-activation only if wayland-protocols >= 1.21
  * gdk/wayland: set requesting surface to xdg-activation

  [ Brian J. Tarricone ]
  * Take UI scale into acount when loading "image-missing" fallback

  [ Matteo Percivaldi ]
  * gtkcssanimatedstyle: Fix return of new_advance()

  [ robxnano ]
  * filechoosernativewin32: Set default extension

  [ Thomas Jost ]
  * tests: make accel tests easier to debug
  * Treat XKB_MOD_NAME_LOGO as super key

  [ Staudey ]
  * Fix build_gir logic

  [ Ignazio Pillai ]
  * clipboard: improve EOL conversion of plain text

  [ Alynx Zhou ]
  * menu: Fix touch support by using pointer emulation under X11
  * Remove platform specific code
  * gtkimcontextwayland: Convert byte based offset to char based offset in delete_surrounding_text

  [ Ross Burton ]
  * modules/input: don't dist generated protocol sources
  * Use @basename@ in enumeration type templates

  [ Olga Smirnova ]
  * Add Interlingue translation
  * Add Interlingue translation

  [ Po Lu ]
  * Treat XKB_MOD_NAME_LOGO as super key

  [ Rafael Fontenelle ]
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation

  [ Thomas Zajic ]
  * Flush drawable surface when getting a pixbuf

  [ Akbarkhon Variskhanov ]
  * examples, tests: Replace deprecations

  [ Kjartan Maraas ]
  * Update Norwegian Bokmål translation
  * Update Norwegian Bokmål translation
  * Update Norwegian Bokmål translation
  * Update Norwegian Bokmål translation
  * Update Norwegian Bokmål translation
  * Update Norwegian Bokmål translation
  * Update Norwegian Bokmål translation

  [ Fabio Tomat ]
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation
  * Update Friulian translation

  [ Goran Vidović ]
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation

  [ Zurab Kargareteli ]
  * Update Georgian translation
  * Update Georgian translation
  * Update Georgian translation

  [ Dominique Martinet ]
  * gdk_wayland_display_init_gl: use GLES API if required

  [ Nate Eldredge ]
  * Recognize "stylus" devices as GDK_SOURCE_PEN

  [ Balázs Meskó ]
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation
  * Update Hungarian translation

  [ Cheng-Chia Tseng ]
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation

  [ Sergio Costas ]
  * Unblock signal on update_relative_to in Gtk.Popover
  * Remove unneeded unblock
  * Further simplification

  [ Quentin PAGÈS ]
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation
  * Update Occitan translation

  [ Cédric Krier ]
  * Keep window without decoration miniaturizable
  * Fix annotation of serialize and deserialize function
  * Remove annotation for GError

  [ Sébastien Wilmet ]
  * docs: improve doc of gtk_style_context_get()

  [ Xu Shaohua ]
  * gtkmodifierstyle.c: Release symbolic color memory

  [ Florian Müllner ]
  * Adwaita: Leave .circular .osd buttons alone!
  * appchooserdialog: Don't show broken subtitles
  * gdk/wayland: Support new `high-contrast` key
  * gdk/display-wayland: Don't bypass portal for theme entries
  * ci: Bump Fedora base image
  * wayland/screen: Don't force HighContrast icon theme

  [ Sebastian Keller ]
  * gtkscrolledwindow: Consider shift key presses when decelerating
  * GtkCssImageSurface: Plug cache surface leak
  * gdkseatdefault: Unref removed slave devices
  * gdk/x11: Properly unref removed device in XI2 device manager
  * wayland: Remove unused fribidi include
  * wayland: Signal gtk-shell surface destruction to the server
  * settings: Support loading float values from keyfiles
  * stylecontext: Add style property fallback for gtk-cursor-aspect-ratio
  * textview: Use correct aspect ratio when invaldiating cursor
  * Adwaita: Ensure SSD decorations do not change size when losing focus
  * Adwaita: Hide SSD box-shadow border on maximized windows

  [ Lukas Oberhuber ]
  * gdkquartz: fix crash on uninitialized attribute
  * macOS: Big Sur performance patch
  * macos: correctly handle retina cursors
  * macos: Fix to offscreen window selections in Gimp 2.99

  [ Peter Bloomfield ]
  * gtkimmodule: make match_backend() query
  * text-view: Do not double-allocate borders
  * file-system-model: Avoid use-after free
  * file-system-model: Refactor a helper
  * gtkshow: Document that gtk_show_uri is deprecated
  * gtkimagedefinition: Check array bounds
  * gtkimagedefinition: Extend commit b38266c0

  [ Charles Monzat ]
  * Update French translation
  * Update French translation
  * Updated French translation
  * Update French translation
  * Update French translation
  * Update French translation
  * Update French translation
  * Update French translation
  * Update French translation
  * Update French translation
  * Update French translation

  [ Rūdolfs Mazurs ]
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation
  * Update Latvian translation

  [ Campbell Jones ]
  * GtkTooltip: Prevent tooltips from appearing offscreen

  [ Milo Casagrande ]
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation
  * Update Italian translation

  [ Jakub Steiner ]
  * Merge branch 'expander-size-3' into 'gtk-3-24'
  * Merge branch 'nested-headerbar-3' into 'gtk-3-24'
  * Merge branch 'separator-sidebar-3' into 'gtk-3-24'
  * Merge branch 'selection-mode-ancestor-3' into 'gtk-3-24'
  * Merge branch 'wip/adwaita/linked-entry-error-state-fix-3-24' into 'gtk-3-24'
  * Merge branch 'adwaita-fixes-3' into 'gtk-3-24'
  * Adwaita: backport nightly styling
  * Adwaita: prevent devel styling break selection mode
  * Adwaita: help fullcolor app icons
  * Adwaita: use new HIG colors
  * Merge branch 'wip/jimmac/hig-colors' into 'gtk-3-24'
  * Adwaita: fix osd bg color
  * Adwaita: use HIG grey for bg_color
  * Revert "Adwaita: help fullcolor app icons"
  * Adwaita: tone down purple cast
  * Adwaita: list buttons
  * Adwaita: tone down borders, buttons
  * Adwaita: help fullcolor app icons
  * Adwaita: app icon shadow fix
  * Adwaita: buttons & headerbars
  * Adwaita: tune button & hederbar colors
  * Adwaita: flatten the headerbar again
  * Adwaita: sync headerbar styling for devel mode
  * Adwaita: headerbar backdrop state
  * Adwaita: button tweaks
  * Adwaita: active state for dark buttons
  * Adwaita: unbreak icon-shadow again
  * Adwaita: shade buttons
  * Adwaita: updated switch control
  * Adwaita: buttons & headerbar tweaks
  * Adwaita: lower selection border contrast
  * Merge branch 'context_menus_gtk-3-24' into 'gtk-3-24'
  * Adwaita: regenerate CSS
  * Adwaita: buttons
  * Adwaita: gradient undershoots
  * Adwaita: special case round buttons
  * Adwaita: tone down $base_color saturation
  * Adwaita: selected borders darker for :dark
  * Theme: add helper class names for Adwaita
  * Adwaita: revert all gnome 3.32 changes
  * Merge branch 'wip/dboles/spinbutton-button-backdrop-disabled-3' into 'gtk-3-24'
  * Adwaita: GNOME 3.32 changes
  * Adwaita: round buttons
  * Adwaita: hide close separator
  * Adwaita: squash buttons as per reqs
  * Adwaita: buttons cast a shadow
  * Adwaita: no 'chin' for buttons
  * Adwaita: increase window radius
  * Adwaita: modals also need the rame rounding
  * Adwaita: slightly larger radius for windows
  * Adwaita: move button shadows down a pixel
  * Adwaita: a *hair* lighter shadows
  * Adwaita: window radius
  * Adwaita: headerbar radius
  * Adwaita: non-square buttons rejiggle
  * Adwaita: no hardsh bottom shading
  * Adwaita: rounding of popovers
  * Adwaita: colored/darker button tweaks
  * Adwaita: remove chin from circular buttons
  * Adwaita: selection dropdown vcentering
  * Adwaita: darker active state for buttons
  * Adwaita: button-alt toning down
  * Adwaita: tone down the window roundounding
  * Adwaita: make switcher buttons' active darker
  * Adwaita: update image assets
  * Adwaita: don't do undershoot
  * Adwaita: expand the headerbar button styling
  * Adwaita: headerbar togglebuttons backdrop
  * Adwaita: headerbar buttons separators
  * Adwaita: do show labels on switches
  * Merge branch 'Menus_based_on_wip/jimmac/adwaita-3-32' into 'wip/jimmac/adwaita-3-32'
  * Adwaita: darken dark mode
  * Adwaita: use neutral greys for dark
  * Adwaita: selection mode labels
  * switch: fix off icon shape
  * Adwaita: GNOME 3.32 changes
  * Adwaita: round buttons
  * Adwaita: hide close separator
  * Adwaita: squash buttons as per reqs
  * Adwaita: buttons cast a shadow
  * Adwaita: no 'chin' for buttons
  * Adwaita: increase window radius
  * Adwaita: modals also need the rame rounding
  * Adwaita: slightly larger radius for windows
  * Adwaita: move button shadows down a pixel
  * Adwaita: a *hair* lighter shadows
  * Adwaita: window radius
  * Adwaita: headerbar radius
  * Adwaita: non-square buttons rejiggle
  * Adwaita: no hardsh bottom shading
  * Adwaita: rounding of popovers
  * Adwaita: colored/darker button tweaks
  * Adwaita: remove chin from circular buttons
  * Adwaita: selection dropdown vcentering
  * Adwaita: darker active state for buttons
  * Adwaita: button-alt toning down
  * Adwaita: tone down the window roundounding
  * Adwaita: make switcher buttons' active darker
  * Adwaita: update image assets
  * Adwaita: don't do undershoot
  * Adwaita: expand the headerbar button styling
  * Adwaita: headerbar togglebuttons backdrop
  * Adwaita: headerbar buttons separators
  * Adwaita: do show labels on switches
  * Adwaita: darken dark mode
  * Adwaita: use neutral greys for dark
  * Adwaita: selection mode labels
  * Merge branch 'wip/jimmac/adwaita-3-32' into 'fix-button-icon-position'
  * Merge branch 'fix-button-icon-position' into 'wip/jimmac/adwaita-3-32'
  * Adwaita: switches with no labels
  * Merge branch 'adwaita-osd-spinbutton-entry-fix-3-24' into 'gtk-3-24'
  * Revert "HighContrast: Add menu padding"
  * Revert "HighContrast: Add style for overflow buttons"
  * Merge branch 'wip/jimmac/adwaita-3-32' into 'gtk-3-24'
  * Adwaita: selection mode buttons fix
  * Adwaita: lost selectionmode resources
  * Adwaita: circles for .circular buttons
  * Adwaita: scrolled context menus
  * Adwaita: define insensitive links
  * Merge branch 'adwaita-radii-fixes' into 'gtk-3-24'
  * Merge branch 'monday15/gtk-adwaita-selectionmode-checkboxes2' into gtk-3-24
  * Adwaita: checked buttons workaround
  * Adwaita: only tone down image buttons
  * Adwaita: focus ring radius
  * Adwaita: tone down app icon shadows
  *     Adwaita: less purple OSD style
  * Adwaita: tone down lowres icon aid
  * Adwaita: update treeview progressbars
  * Adwaita: tone down infobars
  * Merge branch 'wip/jimmac/tone-down-infobars' into 'gtk-3-24'
  * Adwaita: infobar borders
  * Merge branch 'adwaita-popover-radius' into 'gtk-3-24'
  * Merge branch 'adwaita-menubar-submenu-rounding' into 'gtk-3-24'
  * Adwaita: darken osd background for A:dark
  * Adwaita: lighten dark switch sliders
  * Adwaita: no intention to make circular buttons universal
  * Adwaita: allow flat list row buttons to be flat
  * Adwaita: subtle app icon dropshadow
  * Merge branch 'Bllue_Checks_and_Radios' into 'gtk-3-24'
  * Adwaita: make links in infobars legible
  * Merge branch 'Round_TitleButtons' into 'gtk-3-24'
  * Adwaita: increase opacity for OSD bg
  * Merge branch 'fix-menubar-menu-rounding' into 'gtk-3-24'
  * Merge branch 'adwaita-emoji-picker-adjustments' into 'gtk-3-24'
  * Merge branch 'sass-no-extend-compound-complete' into 'gtk-3-24'
  * Adwaita: update checkbox & radio
  * Adwaita: general typography classes
  * Adwaita: generate up to date CSS
  * Merge branch 'Gtk_3_24_focus_rings' into 'gtk-3-24'
  * Merge branch 'wip/fmuellner/circular-osd-buttons' into 'gtk-3-24'
  * Adwaita: dark switches/check/radios
  * Adwaita: dark switches/check/radios
  * Adwaita: work around holes in unfocused windows
  * HC: derive from Adwaita
  * Adwaita: lower glyph contrast for checkboxes
  * Merge branch 'wip/jimmac/gtk3-uniform-checkboxes' into 'gtk-3-24'
  * HC: export public colors
  * Merge branch 'wip/jimmac/gtk3-public-hc-colors' into 'gtk-3-24'
  * Merge branch 'wip/exalm/solid-csd' into 'gtk-3-24'
  * Merge branch 'theme-linked-button-fixes-gtk3' into 'gtk-3-24'
  * Adwaita: notebook legibility fixes
  * Merge branch 'adwaita-fix-gtk-3-24' into 'gtk-3-24'
  * Adwaita: revert letter-spacing for large-title
  * Adwaita: sass wasn't re-rendered
  *  Adwaita: add public color for text views
  * Merge branch 'wip/jimmac/vte-bg-color-gtk3' into 'gtk-3-24'
  * Adwaita: error labels and entries
  * Adwaita: error labels insensitive & backdrop states
  * Merge branch 'wip/jimmac/error-labels-insensitive-gtk3' into 'gtk-3-24'
  * Adwaita: error labels insensitive & backdrop states
  * Merge branch 'gtk-3-24' into 'wip/jimmac/error-labels-insensitive-gtk3'
  * Merge branch 'wip/jimmac/error-labels-insensitive-gtk3' into 'gtk-3-24'
  * assets: adjust gesture graphic
  * HighContrast: render CSS
  * Merge branch 'treeview-header-button-border-css' into 'gtk-3-24'
  * Adwaita: !global vars no longer in sass
  * Merge branch 'wip/jimmac/sass-fixes-and-render-css' into 'gtk-3-24'
  * Adwaita: make scrollbars larger
  * adwaita: disable shadows when window is maximized, fullscreen, tiled
  * Adwaita: Bring back borders of tiled windows
  * Adwaita: Scrollbar transitions and size
  * Adwaita: Avoid fine-tune scrollbars jumping
  * Adwaita: control surface for resize tiled windows
  * icons: add legacy icons

  [ Melroy van den Berg ]
  * Add CSS letter spacing to textview
  * Fix: GTK Switch crash under Windows, on exit.
  * Lowercaps Windows.h -> windows.h
  * Add define for GC_ALLGESTURES, in-case WINVER is not set.
  * Add missing Windows libs for printing - win32. During cross-compiling
  * Fix dllMain win32

  [ Philip Zander ]
  * Win32 IME fixes
  * Use native Windows API for converting keystrokes to characters
  * Formatting
  * Remove VK_PACKET handling code that has become unnecessary
  * Fix 2 warnings, formatting
  * Rewrite GdkWin32Keymap (load table directly from layout DLL)
  * GdkWin32Keymap: Be more robust against DLL loading failures
  * gdk/win32: Remove unneeded struct _GdkWin32KernelCPUFuncs
  * gdk/win32: Add licensing boilerplate to gdkkeys-win32
  * gdk/win32: Fix group parameter not being used by translate_keyboard_state
  * gdk/win32: Fix modifiers sometimes being consumed for special keys
  * gdkkeys-win32: Fix uninitialized value
  * gdkkeys-win32: Fix capslock handling
  * gdkkeys-win32: Add keysym mapping for capslock key
  * gdkkeys-win32: Fix crash when keyboard DLL failed to load
  * gdkkeys-win32: Fix handling of SGCAPS
  * IMContextSimple: Fix AltGr not working on Win32
  * gdkkeys-win32: Ignore CTRL bit for key translation
  * gdkkeys-win32: Also ignore Ctrl + Shift (etc.)
  * gdkkeys-win32: Only perform substitution as last-resort

  [ Luming Zh ]
  * Update Chinese (China) translation

  [ Matej Urbančič ]
  * Slovenian update ...
  * Slovenian update ...
  * Updated Slovenian translation ...
  * Updated Slovenian translation ...
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Updated Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation
  * Update Slovenian translation

  [ Marek Černocký ]
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation

  [ Daniel Șerbănescu ]
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation
  * Update Romanian translation

  [ Claude Paroz ]
  * Update French translation
  * Updated French translation
  * Updated French translation
  * Update French translation
  * Update French translation
  * Updated French translation
  * Updated French translation

  [ Thibaud CANALE ]
  * fix(dereference NULL ptr): Also tests "impl" in gdk_x11_device_xi2_window_at_position

  [ Bastien Nocera ]
  * test: Fix compile-time warnings
  * window: Deprecate gtk_window_present()
  * all: Don't warn about deprecated gtk_window_present usage
  * window: Warn when gtk_window_present_with_time() is passed 0
  * window: Advise using gtk_window_present_with_time()
  * filechooser: Fix crash when file has no content-type
  * filechooser: Fallback if content-type unavailable
  * colorpickerportal: Use convenience function to fetch uint
  * colorpickerportal: Simplify portal version fetching
  * colorpickerportal: Don't throw warnings on missing version
  * Add portal version checking helper
  * filechoosernativeportal: Allowing selecting folder(s)
  * colorpickerportal: Remove g_auto usage
  * gtkprivate: Remove g_auto usage
  * box: Fix guards not working
  * broadway: Quiet initialisation failures
  * inspector: Search by pointer address
  * inspector: Show app ID and resource path in the General tab

  [ Joonas Henriksson ]
  * theme: Fix incorrect border color for tiled windows

  [ Phaedrus Leeds ]
  * GtkNativeDialog: Fix a typo in the docs
  * gdkapplaunchcontext: Improve set_screen() docs

  [ Sebastian Dröge ]
  * GdkWindow - Don't call unimplemented NULL set_startup_id() vfunc on Win32
  * GtkInfoBar: Add `type Gtk.Box` annotation for action_area/content_area getters
  * GtkDialog: Add `type Gtk.XXX` annotations for return values of action_area/headerbar getters
  * Annotate sequence argument of GtkGesture signals as nullable
  * Fix event type annotation on GtkEntry::icon-press / icon-release
  * Use the proper cairo.Format type instead of overriding to gint via annotations in gdk_window_create_similar_surface()
  * Add `Since` marker to new accessibility API from 3.24.30
  * Add `Since` marker for `gdk_wayland_window_set_application_id()`
  * Add `Since` marker for `GtkHeaderBarAccessible`

  [ Lukas K ]
  * css: add support for font-feature-settings
  * document font-feature-settings CSS property
  * theme: use tabular figures where appropriate
  * GtkCellRendererProgress: use tabular figures

  [ Geyslan G. Bem ]
  * gtkplacessidebar.c: add bookmark null checking

  [ Robert Mader ]
  * gdk/wayland: Properly calculate coordinates for show_window_menu()
  * gdk/wayland: Use event window to calculate coordinatess for show_window_menu()
  * gtk: Properly calculate device offset for DnD
  * x11: Honor hotspot during drag cancel animation
  * imwayland: Honour len argument in gtk_im_context_wayland_set_surrounding
  * gdk/wayland: Add support for primary-selection-unstable-v1
  * wayland/window: Add API to add extra surfaces for frame callbacks
  * gdk/wayland: Defer processing of globals closures
  * Merge branch 'gtk-3-24-pointer-gestures-version' into 'gtk-3-24'
  * wayland/cursor: Sanity check cursor image size

  [ Marek Kasik ]
  * TextView: Don't access already disposed text mark
  * Require CUPS >= 2.0 in configure.ac
  * printing: Get PPD from original host if needed
  * printing: Don't show Rejecting Jobs when we don't know
  * printing: Fix getting info for standalone IPP printers
  * printing: Use original names for remote CUPS printers
  * printing: Create temporary queues for Avahi printers
  * printing: Show all Avahi advertised printers
  * printing: Unref old spool_io before setting new one

  [ David Hogan ]
  * Fixed OpenGL extension detection for extensions promoted to OpenGL core.
  * Prevent Quartz/CoreGraphics runtime assertion failures.
  * gdkkeys-win32: Perform keyboard layout substitution

  [ KrIr17 ]
  * make flat buttons look flat (and allow non-flat button in toolbars)

  [ Thomas Holder ]
  * gdk: quartz: fix #2102 consumed_modifiers
  * gdk quartz: add missing include
  * gdk quartz: add missing include (-Werror=implicit)
  * macOS: fix #2436 raise transient window on focus
  * gtk_file_chooser_set_current_name: fix type of name argument
  * gtktreeview: Fix child access after TEST_EXPAND_ROW
  * macOS: Fix QuartzCore linking and compiling with 10.11
  * macOS: Dock "Quit" invokes "app.quit" action

  [ msizanoen1 ]
  * wayland: Ensure clipboard handling doesn't lock up in certain corner cases

  [ Povilas Kanapickas ]
  * gdk/x11: Implement XI2.4 touchpad gesture support
  * gdk/x11: Report XI2 version on the server

  [ Jaime Velasco Juan ]
  * win32 theme: Fix levelbar and tweak progressbar
  * win32 theme: fix disabled GtkEntry style
  * win32 theme: Fix unfocused window buttons
  * win32 theme: Draw expander arrow

  [ Naïm Favier ]
  * composetable: invalidate cache based on symlink mtime too

  [ Ting-Wei Lan ]
  * configure: Don't declare functions in AC_TRY_COMPILE and AC_LANG_PROGRAM
  * wayland: Use portable sed syntax in gdk/wayland/Makefile.am
  * wayland: Use dev/evdev/input.h on FreeBSD
  * meson: Check for debug and optimization in the same way as GTK 4
  * GDK/Win32: Fix MinGW autotools build
  * Merge branch 'wip/lantw/GDK-Win32-Fix-MinGW-autotools-build' into 'gtk-3-24'

  [ Pierre Ossman ]
  * searchenginemodel: finalize search results

  [ Maxim Zakharov ]
  * fix touchscreen events processing in broadway.js
  * Adds support for Android/Chrome on-screen keyboard
  * Adds modal hint for broadway window;
  * remove incorrect flag assignments

  [ muradm ]
  * Do not require wayland-protocols as dependency in the .pc file

  [ Ronan Pigott ]
  * Ignore wl_output globals not bound by us
  * Check if size changed before hiding a surface

  [ Luna Jernberg ]
  * Update Swedish translation

  [ Laurent Bigonville ]
  * Disable the tests on architectures where librsvg2-common is not built

  [ Dz Chen ]
  * Update zh_CN po and po-properties translations
  * Update Chinese (China) translation
  * Update Chinese (China) translation

  [ Jiri Grönroos ]
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation
  * Update Finnish translation

  [ eshagh shahidani ]
  * Update Persian translation

  [ Hiroyuki Ito ]
  * accepts NSPasteboardTypeFileURL as "text/uri-list".

  [ Luiz Silva ]
  * Fix typo in `gtk_window_unstick` documentation

  [ Philipp Kiemle ]
  * Update German translation

  [ Chao-Hsiung Liao ]
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation

  [ Jeremy Tan ]
  * Fix gdkconfig.h generation for GDK_WINDOWING_QUARTZ
  * gdk: quartz: prevent titlebar events from falling to the window below
  * gdkkeys-win32.c: fix initialisation of key_state in update_keymap

  [ Źmicier Turok ]
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation
  * Update Belarusian translation

  [ Patrick Griffis ]
  * Remove Google Cloud Print backend

  [ Alexey Rubtsov ]
  * Update Russian translation

  [ Tom Schoonjans ]
  * gdkquartz.h: export pasteboard functions
  * meson: fix darwin_versions
  * meson: ensure plugins have so extension on macOS
  * quartz: fix compilation on macOS 10.10

  [ Philip Withnall ]
  * gtklistbox: Only unparent header rows if they haven’t been reused
  * gtkbuilder: Eliminate array reallocations in get_parameters()
  * gdkcursor: Add annotations for gdk_cursor_new_for_display()
  * gtkfilechooser: Fix open() references in documentation
  * subprojects: Use GLib main branch

  [ Yann Dirson ]
  * GtkFileChooserWidget: add a couple of accessible names in .ui file
  * GtkFileChooserWidget: export a11y action "show_location"
  * GtkFileChooserWidget: give accessible names to GtkStack children
  * GtkFileChooserDialog: give a accessible name the GtkFileChooserWidget

  [ Mosè Giordano ]
  * Fix value of `MAC_OS_X_VERSION_MAX_ALLOWED`
  * Hoist iterator variable definition outside of for loop

  [ Pawan Chitrakar ]
  * Update Nepali translation
  * Update Nepali translation
  * Update Nepali translation
  * Update Nepali translation

  [ John Renner ]
  * Fix extend selection behavior in ListBox

  [ Ulli Kehrle ]
  * imcontextsimple: Ignore more modifiers in compose

  [ Ondrej Holy ]
  * placesview: Always open default location after mounting
  * trash-monitor: Rate limit updates
  * gtkmountoperation: Drop the new line character when splitting a message
  * placesview: Open location even if mount was not found

  [ Eli Schwartz ]
  * meson: only build demo manpages when demos are enabled

  [ CEO of Programming ]
  * Update gtklistbox.c

  [ René de Hesselle ]
  * Fix building on OS X El Capitan 10.11

  [ Daniel van Vugt ]
  * Fix irregular gdk_frame_clock_get_frame_time
  * cssshadowvalue: Apply device scale to the offset when blurring text

  [ Olivier Fourdan ]
  * wayland: Drop cairo surfaces when withdrawing
  * wayland: check native window for crossing events
  * wayland: check native window for crossing events
  * a11y: Check X11 display at runtime
  * a11y: Check display in `*grab_cell_focus()`
  * wayland: Add support for xdg-output
  * Revert "Revert "wayland: Add support for xdg-output""
  * wayland: Use scale from core wl_output protocol
  * wayland: Update saved size when maximized/fullscreen
  * wayland: Add xdg-output v3 support
  * Bump wayland-protocols requirements
  * wayland: Fix xdg-output v3 support
  * gdk/wayland: Fix gdk_window_impl_wayland_finalize() warnings
  * gtksettings: Remove display from cache on closing
  * cssnode: Bail out nicely if there is no settings
  * gtksettings: Avoid a possible NULL pointer dereference
  * x11/dnd: Ignore XErrors from the COW

  [ Марко Костић ]
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation
  * Update Serbian translation

  [ Bernhard M. Wiedemann ]
  * updateiconcache: Sort list of entries

  [ Tim Sabsch ]
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation

  [ Knuckx ]
  * WinTab - Add support for Wheel/Rotation axis - Rebase and fix conflicts for merge

  [ Steven Calwas ]
  * Handle Wintab cursors that are recognized after GDK app init
  * Fix window unresponsive to mouse after app-switch w/drawing tablet

  [ vanadiae ]
  * gtk-debug: Allow interactive debug even without G_ENABLE_DEBUG

  [ wisp3rwind ]
  * wayland: avoid set_cursor() when unchanged or invisible
  * Wayland: ignore touch/tablet events on destroyed surfaces

  [ sicklylife ]
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation

  [ Samuel Thibault ]
  * gtkentryaccessible: Fix text-changed::delete length
  * gtktextviewaccessible: update cursor position after text suppression
  * gdk: do not deactivate surface on keyboard grabs
  * gdk: activate surface on keyboard grabs
  * HighContrast: Restore expander size
  * Revert "gdk: deactivate/activate surface on keyboard grabs"
  * atk key: Always convert control character events into key names
  * GtkPlug/Socket: add accessibility support
  * gtknotebookpageaccessible: do not fallback to child accessible for extents

  [ nana-4 ]
  * Adwaita: Fix wrong icon position in some buttons
  * Adwaita: Don't round the non-csd menu corners
  * Adwaita: Fix rounding on menubar menus really
  * Adwaita: Fix check/radio styling in menu
  * HighContrast: Add missing color to entry
  * themes: Remove remaining @extend with compound selectors
  * Adwaita: Avoid directly coloring labels wherever possible
  * Adwaita: Fix some backdrop flat buttons
  * Adwaita: Fix syntax error in cross-fade()
  * Adwaita: Fix and simplify the linked buttons styling
  * Adwaita: Stop using $button_fill

  [ Chris Lord ]
  * scrolledwindow: Accumulate velocity with kinetic scrolling

  [ crvi ]
  * Adwaita: Make treeview header button borders more visible

  [ Enrico Nicoletto ]
  * Update Brazilian Portuguese translation

  [ Andika Triwidada ]
  * Update Indonesian translation

  [ kai-berlin ]
  * broadway: Set modifier state of scroll events

  [ Sam Bazley ]
  * gdk: Fix parent relative background crash

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Bob Ham ]
  * gtkapplication-dbus: Initialise screensaver-active property

  [ Xavier Claessens ]
  * GtkSearchEngineSimple: Disable recursive search
  * meson: Fix error when epoxy is a subproject on Windows

  [ Juliano de Souza Camargo ]
  * Update Portuguese translation
  * Update Portuguese translation
  * Update Portuguese translation

  [ LRN ]
  * Merge branch 'win32-scroll-both' into 'gtk-3-24'
  * Merge branch 'win32-runtime-immodule-swap' into 'gtk-3-24'
  * Merge branch 'gtk-3-24.win.updated' into 'gtk-3-24'
  * Merge branch 'lrn/zorder-324' into 'gtk-3-24'
  * Merge branch 'win32-honest-clipboard' into 'gtk-3-24'
  * Merge branch 'gtk-3-24.ime-event.fixes' into 'gtk-3-24'
  * Merge branch 'ime-load-fix' into 'gtk-3-24'
  * Merge branch 'WindowsPrintDriverPreferences' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-w32-xsettings-defaults' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-w32-xsettings-defaults-2' into 'gtk-3-24'
  * Merge branch '324-print-paper' into 'gtk-3-24'
  * Merge branch 'w32-transient-ordering-rollback' into 'gtk-3-24'

  [ Sean Farley ]
  * Allow LPR backend to print PDF and PS file formats

  [ Martin Pieuchot ]
  * Implement ATK's scrollSubstringTo()

  [ Jan Alexander Steffens (heftig) ]
  * wayland: Fix setting geometry hints
  * icontheme: Keep dir_mtimes in order
  * GtkApplication: Fix CRITICAL on shutdown when register_session=FALSE
  * Centralize DESKTOP_STARTUP/AUTOSTART_ID handling
  * libgail-util: Fix symbol visibility with meson
  * gdk/wayland: Clear modifiers when we lose keyboard focus
  * gtkplacessidebar: Disconnect and unref cloud_manager in dispose

  [ Benjamin Schaaf ]
  * Add scaling adjustment for touch dragging a scrolled window

  [ Jan Tojnar ]
  * build: clean up .pc generation

  [ Mario Blättermann ]
  * Update German translation
  * Update German translation
  * Update German translation
  * Update German translation

  [ Stephan Woidowski ]
  * Update British English translation

  [ Iain Lane ]
  * New upstream version 3.23.0
  * debian/{control{,.in},gbp.conf,watch}: Update for experimental
  * Update upstream source from tag 'upstream/3.23.0'
  * New upstream release 3.23.0
  * m4macros-Set-a-serial-number.patch: Drop, included in this release.
  * control{,.in}: Bump libepoxy (1.4) and pango (1.41.0) per upstream.
  * gdk-x11-Check-if-we-have-access-to-GL-before-using-G.patch: Drop
  * New upstream version 3.23.1
  * debian/libgail-3-0.symbols: New symbols for this release
  * Update upstream source from tag 'upstream/3.23.1'
  * 3.23.1
  * defaultvalue: Ignore more style properties that Adwaita overrides
  * Cherry-pick test fix patch from upstream !253.
  * Add symbols from 3.23.1
  * Finalise changelog
  * Stanrdards-Version → 4.2.0 - no changes required
  * colorpickershell: Unpack the tuple returned from PickColor()
  * Merge branch 'debian/experimental' into debian/master
  * Drop changelog entry that is in the experimental branch too
  * Revert "debian/{control{,.in},gbp.conf,watch}: Update for experimental"
  * New upstream version 3.24.0
  * Update upstream source from tag 'upstream/3.24.0'
  * debian/control{,.in}: Bump Standards-Version to 4.2.1, no changes required
  * Update changelog
  * debian/libgtk-3-0.symbols: Update for this release
  * Update changelog
  * Finalise changelog
  * Cherry-pick 3c7d5e7 to fix a critical on gtk_application_shutdown
  * Add Applied-Upstream to last cherry-pick
  * Fix-portal-path-handling.patch: Cherry-pick from upstream
  * Update changelog
  * Finalise changelog
  * Fix -Wincompatible-pointer-types warnings
  * New upstream version 3.24.7
  * Update upstream source from tag 'upstream/3.24.7'
  * New upstream release
  * control: BD and D (from libgtk-3-dev) on fribidi as required now
  * Refresh patches & drop upstream ones
  * control: BD on fonts-cantarell and fonts-dejavu
  * debian/libgtk-3-0.symbols: Update
  * Update changelog
  * Finalise changelog
  * cellrendererpixbuf: Use fallback icons with icon-name
  * New upstream version 3.24.8
  * Update upstream source from tag 'upstream/3.24.8'
  * New upstream release
  * Refresh patches
  * Update changelog
  * Finalise changelog
  * d/{control,rules}: BD on dh-sequence-gir instead of using --with=gir
  * New upstream version 3.24.11
  * Update upstream source from tag 'upstream/3.24.11'
  * New upstream release
  * d/control: Bump Build-Depends and -dev Depends according to configure.ac
  * Drop patches which have been applied upstream
  * debian/libgtk-3-0.symbols: Add gtk_header_bar_accessible_get_type
  * Update changelog
  * Finalise changelog
  * New upstream version 3.24.13
  * Update upstream source from tag 'upstream/3.24.13'
  * New upstream release
  * control: Update Breaks/Replaces version for gtk-3-examples
  * Rebase patches
  * Update changelog
  * Finalise changelog
  * New upstream version 3.24.23
  * Update upstream source from tag 'upstream/3.24.23'
  * New upstream release
  * Update changelog
  * Finalise changelog

  [ Милош Поповић ]
  * Update Serbian Latin translation
  * Update Serbian Latin translation
  * Update Serbian translation

  [ Alexandre Franke ]
  * Update French translation
  * Update French translation

  [ Julien Ropé ]
  * Fix resource leak in gdk_display_close() under Wayland

  [ Juliano Camargo ]
  * Update Portuguese translation
  * Update Portuguese translation

  [ Ian Douglas Scott ]
  * gdk: update gdkkeysyms.h with ./gdkkeysyms-update.pl script

  [ Christian Rauch ]
  * wayland: prefer a manually requested size over the configure hint

  [ Casey Jao ]
  * Remember to call print_cb even if print operation is cancelled.

  [ Biggio ]
  * quartz: mimic source device axes

  [ Caolán McNamara ]
  * gtk#767 add a way to change the application_id of a toplevel wayland GdkSurface

  [ Jehan ]
  * gtk: also recolor circle and ellipse in symbolic SVG icons.
  * build-aux: search various Glib/GIO utilities in .pc file.
  * build-aux: fallback to default glib-compile-schemas & gio-querymodules.
  * modules: focus out the GtkIMContextWayland upon finalization.

  [ Friedrich Beckmann ]
  * quartz: added open capability to gtk_application
  * quartz: gtk-application - inhibit openFiles events from cmdline

  [ Benjamin Berg ]
  * container: Document that removal from foreach is permissible
  * cssnode: Don't queue_validate/deque_validate invisible nodes

  [ Alexander Larsson ]
  * Merge branch '1633-gtk-3-24' into 'gtk-3-24'
  * Fix profiling output when rendering with OpenGL
  * FrameClock debug: Log drawn_time if set
  * frame clock: Use compositor refresh rate info even if presentation time not set
  * frame-clock: New approach in smoothing frame clock
  * frame-clock: Ensure we're always monotonic
  * Fix frameclock going backwards
  * frame clock: Track if paint is caused by thaw or not
  * frame clock: Better handle non-regular clock cycles
  * Merge branch 'frame-clock-alternative-approach' into 'gtk-3-24'

  [ Yariv Barkan ]
  * gtkgesturerotate: Fix a memory leak
  * gtkgesture: Fix get-center for touchpad gestures
  * demo: Use pinch translation in the gestures demo
  * frame clock: schedule in refresh intervals
  * frame clock: adjust reported frame time
  * frame clock: fix scheduling

  [ Emmanuel Gil Peyrot ]
  * Switch to GL_ARB_framebuffer_object

  [ Kjell Ahlstedt ]
  * flowbox: Don't use a removed child after it has been unparented

  [ Neville ]
  * Adwaita: Remove .tile from checkbox style selector

  [ Christoph Reiter ]
  * testsuite/a11y: Fix missing glib schemas
  * gtk_init: Fix debug flags handling when a display is already open
  * Merge branch 'gtk-3-22' into 'gtk-3-22'
  * Merge branch 'quartz-symbol-not-found-gtk3' into 'gtk-3-22'
  * macos: Fix gdk_quartz_drag_context_get_dragging_info_libgtk_only symbol export
  * macos: export gdk_quartz_drag_source_context()
  * Merge branch 'quartz-missing-config-include' into 'gtk-3-22'
  * Merge branch 'include-gtkstackaccessible-gtk-3-22' into 'gtk-3-22'
  * Add gitlab-ci support using a prebuilt docker image
  * Merge branch 'gitlab-ci-gtk-3-22' into 'gtk-3-22'
  * Merge branch 'c-includes' into 'gtk-3-22'
  * Merge branch 'phase-field' into 'gtk-3-22'
  * Merge branch '63-regression-3-22-26-3-22-27-hidpi-checkboxes-and-radiobuttons-pixmaps-are-not-scaled' into 'gtk-3-22'
  * run-docker.sh: Disable SELinux for the container
  * Merge branch 'gtk-3-22' into 'gtk-3-22'
  * gtkstylecontext: guard against gtk_css_widget_node_get_widget() returning NULL in more places
  * ci: move docker images to gitlab.gnome.org
  * ci: update the docker image to fedora 28
  * ci: Add an optional Windows build job using autotools and MSYS2
  * Merge branch 'ci-msys2-gtk-3-24' into 'gtk-3-24'
  * g-i: Add some nullable annotations
  * win32: Don't multiply the scroll event deltas by the Windows scroll lines setting. See #1408
  * Merge branch 'win32-remove-scroll-multiplier' into 'gtk-3-24'
  * GDK W32: set default settings for fontconfig
  * Merge branch 'win32-fontconfig-defaults' into 'gtk-3-24'
  * GDK W32: Always set gtk-font-name to the active UI font. Fixes #1484
  * Visual Studio builds: update for gdk now using pangowin32. See !436
  * Merge branch 'fix-typo-win32-compilation-speedup-macro' into 'gtk-3-24'
  * Merge branch 'priority' into 'gtk-3-24'
  * Merge branch 'get-timings-transfer-3' into 'gtk-3-24'
  * treeview: make sure separator nodes have a height > 0
  * Fix the introspection build with "-Wl,--as-needed -flto -O2". Fixes #1692
  * Fix some translation domains in .ui files copied from gtk4
  * build: Fix fribidi version reqs in Requires.private
  * build: Include all generated sources for the gdk gir build
  * build: Add missing sources for the GdkX11 gir build
  * gdk/Makefile.am: dist gdkconstructor.h
  * build: remove unused check for GNU ftw
  * build: remove unused checks for sockaddr_un.sun_len
  * meson: add fribidi dep
  * meson: gdk: add missing pangowin32 dep
  * meson: check for and set HAVE_IPRINTDIALOGCALLBACK
  * CI: add meson build jobs for Fedora and MSYS2
  * meson: fix build of immultipress.c with mingw
  * meson: disable some broken immodules for now
  * tests: don't overwrite GSETTINGS_SCHEMA_DIR when running under meson
  * CI: save meson build logs
  * CI: run the tests with meson
  * meson: Install key themes
  * meson: Install im-multipress.conf
  * meson: build and install translations
  * meson: build docs and man pages
  * meson: widget-factory: install icons
  * meson: install gtkbuilder.rng/its/loc files
  * meson: install desktop/gschema files for demos
  * meson: gtk gir: depend on xlib and include gtkx.h if X11 is enabled
  * meson: make the gtk/gdk .pc files match autotools on Linux
  * meson: Install gail-3.0.pc and gtk-3.0.m4
  * meson: set interface age; pass soversion to libgdk as well
  * meson: mkenums: only write basenames in the comments
  * meson: cloudproviders fixes
  * CI: autotools: test with srcdir!=buildir
  * CI: enable broadway and xinerama
  * meson: install unix-print headers
  * meson: immodules: unset the name_prefix to match autotools
  * meson: install public broadway headers
  * meson: build all input modules; fix static build on Linux
  * autotools: dist all meson related build files
  * meson: build print backends
  * CI: Install sassc
  * meson: Don't make the man pages build depend on the documentation option
  * meson: only install broadway man pages if it's enabled
  * meson: gtk docs: set ENABLE_ON_X11
  * meson: Don't depend on meson 0.50
  * meson: statically link immodules under mingw by default
  * meson: set the soversion to just '0' everywhere
  * meson: static immodules: depend on generated headers
  * meson: fix code examples in the gtk docs build
  * CI: install dbus-x11 for dbus-launch and iso-codes (optional build dep)
  * CI: disable building with cloudproviders; breaks tests
  * meson: Various config.h related fixes
  * meson: set soversion to 'vs<VSVer>' for MSVC
  * meson: Follow gnome conventions for build option names
  * meson: simplify builtin_immodules build option
  * autotools: dist gen-c-array.py and gen-rc.py
  * meson: Also add a library version for libgailutil
  * meson: underscorify immodule name when using it as a macro name
  * meson: add a11y test
  * meson: add tools tests
  * build: Remove mingw check for SetupDiGetDevicePropertyW
  * Merge branch 'remove-mingw-SetupDiGetDevicePropertyW-check-3-24' into 'gtk-3-24'
  * Merge branch 'cherry-pick-28c40a4c' into 'gtk-3-24'
  * build: use --version instead of --api-version for cups-config
  * Merge branch 'cups-config-version-check' into 'gtk-3-24'
  * build/cups: remove checks for httpGetAuthString and http_t.authstring
  * build: only require cups >=1.7
  * meson: print disabled backends in the final build summary
  * meson: a11y tests: don't test "menus.ui", autotools doesn't dist it
  * meson: a11y tests: don't build testfocus.c, autotools doesn't dist it
  * build: always use utf-8 when reading/writing text files
  * Merge branch 'gtk3-build-explicit-encoding' into 'gtk-3-24'
  * meson: cups: fix building without colord support
  * meson: cups: use cups-config for looking up cups
  * Merge branch 'correct-install-script' into 'gtk-3-24'
  * gtkrecentfilter: handle g_content_type_from_mime_type() returning NULL
  * Merge branch 'distcheck-repeatedly' into 'gtk-3-24'
  * autotools: remove NEED_XIPROTO_H_FOR_XREPLY check
  * Drop the mir backend
  * gtkiconcache: use _fstat64 under 64bit mingw to match GStatBuf
  * build: remove unused HAVE__NSGETENVIRON and HAVE_CRT_EXTERNS_H
  * Merge branch 'autotools-also-dist-subprojects-directory' into 'gtk-3-24'
  * Revert "Merge branch 'remove-mingw-SetupDiGetDevicePropertyW-check-3-24' into 'gtk-3-24'"
  * Print a warning if GTK_DEBUG is set but gtk isn't built with G_ENABLE_DEBUG
  * meson: match autotools interface age
  * Merge branch 'lb90-gtk-3-24-patch-56691' into 'gtk-3-24'
  * Merge branch 'fix-module-suffic' into 'gtk-3-24'
  * meson: port installed tests and reftests
  * Merge branch 'gtk3-installed-tests' into 'gtk-3-24'
  * Merge branch 'ci-distcheck' into 'gtk-3-24'
  * Merge branch 'dont-hardcode-shared-library-3.24' into 'gtk-3-24'
  * Merge branch 'reftest.msvc.fix' into 'gtk-3-24'
  * HighContrast: rebuild included CSS
  * themes: remove various @extend with compound selectors
  * CI/msys2: Don't install sassc to skip CSS generation and make job errors fatal again
  * Merge branch 'cherry-pick-f431e28c' into 'gtk-3-24'
  * Merge branch 'honor-hotspot' into 'gtk-3-24'
  * CI: Disable building man pages in MSYS2 to work around docbook.xsl breakage
  * Revert "CI: Disable building man pages in MSYS2 to work around docbook.xsl breakage"
  * CI: Switch to new Windows runners
  * CI: install brotli in msys2
  * CI: switch MSYS2 jobs to 64bit

  [ Tristan Partin ]
  * Fix GPtrArray sorting function

  [ Ignacio Casal Quinteiro ]
  * quartz: do not cache the screen in the gdkmonitor
  * Merge branch 'fix-crash-osx' into 'gtk-3-24'
  * Merge branch '379-fix-quartz-offscreen-window-crash' into 'gtk-3-24'
  * gtkclipboard-quartz: remove unused variable
  * quartz/display: add back scaling factor
  * Merge branch 'wip/nobody/517-quartz-gl-context' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-fix-runtime-assertions' into 'gtk-3-24'
  * testinput: we must get the source of the source device
  * Merge branch 'wip/nacho/macos-pen-input' into 'gtk-3-24'

  [ Andreas Butti ]
  * Support for macOS Pen / Eraser input #1551

  [ Yi-Jyun Pan ]
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation
  * Update Chinese (Taiwan) translation

  [ Rene Hopf ]
  * force redraw in glareawhen buffer_age is 0

  [ Sebastien Bacher ]
  * Upload to experimental.
  * upload to unstable

  [ Peter Mráz ]
  * Update Slovak translation

  [ Alberto Fanjul ]
  * Define begin_move_drag
  * gdk/wayland: Control translate from parent geometry
  * Prevent crashes on gdk wayland implementation using offscreen windows

  [ Matt Rose ]
  * Fix quartz input method filtering Esc keypress

  [ Mathieu H ]
  * Remove the blacklist list in convert-emoji.c since now it is supported

  [ Collin May ]
  * window: Fix docstring formatting on 'set-focus' signal

  [ Javier Jardón ]
  * deprecated/gtkstatusicon.c: Fix compilation in wayland
  * 3.24: gtk/gtkaboutdialog: Add some more very common licenses:

  [ William Wold ]
  * Do not require an initial configure for custom Wayland surfaces
  * Do not require an initial configure for DnD windows

  [ Martin Storsjö ]
  * Add a missing 'extern' attribute, to fix building with -fno-common

  [ Ibai Oihanguren Sala ]
  * Update Basque translation

  [ Nicola Fontana ]
  * docs: Do not call GTK APIs if gtk_init_check returns FALSE

  [ Philippe Normand ]
  * meson: Disable X11 support on Darwin
  * gtk: Fix paste/clipboard usage on macOS
  * meson: Build fixes for macOS
  * meson: Disable --export-dynamic for clang
  * meson: Set the compatibility version correctly on macOS
  * meson: Bump to latest version of the 3.24 branch

  [ Mantas Kriaučiūnas ]
  * Update Lithuanian translation
  * Update Lithuanian translation
  * Update Lithuanian translation

  [ LecrisUT ]
  * Monitor_added signal after configure

  [ Daniel Korostil ]
  * Update Ukrainian translation
  * Update Ukrainian translation

  [ Torsten Maehne ]
  * Fix spelling of AppKit framework in `gdkquartz-gtk-only.h`

  [ Eivind Naess ]
  * Fix for issue #2497, see https://gitlab.gnome.org/GNOME/gtk/issues/2497

  [ Philip Chimento ]
  * quartz: Fix crash when realizing GtkOffscreenWindow
  * quartz: Update GL context on window resize
  * build: Avoid redefining EXTRA_DIST
  * Add Valgrind suppressions files

  [ Dorota Czaplejewicz ]
  * imwayland: Add text-input-unstable-v3 support
  * imwayland: clear preedit on focus out
  * imwayland: Fix clearing of preedit text
  * imwayland: Fix clearing of preedit text in webkitgtk
  * imwayland: Don't reset serial while text-input is alive
  * imwayland: Handle enter and leave events
  * imwayland: rearrange functions to remove prototypes
  * imwayland.c: fix formatting
  * imwayland: Suppport terminal purpose
  * imwayland: Move release handling after enable
  * imwayland: Use common function to enable text input
  * imwayland: Do not send events while text input is inactive.

  [ António Fernandes ]
  * placesview: Set .error style if unsupported protocol
  * placesview: List only available protocols as available
  * Revert "treeview: respect expander-size style property"
  * treeview: Respect expander-size style property.
  * treeview: Prevent fuzzy centered expander arrows

  [ Alberts Muktupāvels ]
  * gtkcssprovider: deprecate gtk_css_provider_get_default
  * statusicon: Create pixbuf at correct size
  * listbox: set selected_row before emitting signal
  * menu: fix critical warning
  * window: fix opaque region
  * gdkscreen-x11: update device scale also for root window
  * x11: add support for _GTK_WORKAREAS_Dn
  * infobar: fix initial window position

  [ Carlo Lobrano ]
  * Adwaita: always use link specific colors for link selector

  [ Feichtmeier ]
  * Tiny refactoring
  * Outline/focus ring border-radii fixes

  [ Stas Solovey ]
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation
  * Update Russian translation

  [ WGH ]
  * printing: Fix crash in avahi_service_resolver_cb

  [ Jwtiyar Nariman ]
  * Add Kurdish Sorani translation

  [ Alex Samorukov ]
  * Fix typo which preventing fullscreen state from being updated correctly
  * Fix was_fullscreen flag (again!)
  * Merge branch 'samm/fix-fs/gtk-3-24' into 'gtk-3-24'
  * move [NSApplication sharedApplication] after _gdk_quartz_events_init() to avoid initialization issues
  * Merge branch 'gtk-3-24-fixeventloop' into 'gtk-3-24'
  * impl_class->set_functions listed twice in the object
  * Merge branch 'gtk-3-24-fix-set_functions' into 'gtk-3-24'
  * Merge branch 'gtk-3-24-issue-2102' into 'gtk-3-24'
  * Use bundle id instead of package name for the macOS preview as filename is now changed

  [ James Westman ]
  * meson: Fix build on macOS
  * quartz: Add missing g_object_ref
  * macOS: Fix GdkScreen::monitors-changed
  * fontchooser: Fix size label not being hidden

  [ Ricardo Silva Veloso ]
  * Update Brazilian Portuguese translation
  * Update Brazilian Portuguese translation

  [ Mario Sanchez Prada ]
  * application: Complete startup notification sequence for remote invocations

  [ Michael Forney ]
  * Update wayland requirement to 1.14.91 for use of `private-code`
  * Use `wayland-scanner private-code` in autotools build

  [ Umarzuki Bin Mochlis Moktar ]
  * Update Malay translation
  * Update Malay translation

  [ Alexandr Miloslavskiy ]
  * Fix crash in parse_border()
  * gkimmulticontext: Fix crash due to leaked signal handler

  [ Carlos Garcia Campos ]
  * emojichooser: never show emoji chooser when input hint no-emoji is present

  [ xdavidwu ]
  * imwayland: Fix get_preedit_string cursor position

  [ LutzLue ]
  * Annotate GtkTreeModelSort.new_with_model() appropriately

  [ Quentin Glidic ]
  * gtkimcontextsimple.c: Use X11_DATA_PREFIX only on X11

  [ Fredy Paquet ]
  * Avoid Broadwayd - GtkEntry popup takes 35s after application startup

  [ Niklas Hambüchen ]
  * build: Don't hardcode shared_library() in meson.
  * Try building static libs on CI

  [ Ming Hua ]
  * Do not use VIQR input method for vi locale by default

  [ frederik.feichtmeier ]
  * Menu border-radius and bos-shadow changes
  * Change check and radio bg and fg color
  * Make titlebuttons round
  * Exclude appmenu titlebuttons
  * Refresh checks and radios
  * Refresh check/radio styling

  [ Victor Kareh ]
  * statusicon: Render as cairo surface
  * statusicons: Improve code readability and remove dead code

  [ Alex Monday ]
  * themes: Fix linked elements in error state
  * Adwaita: Horizontal OSD spinbutton entry fix
  * Adwaita: Improve dropdown menu buttons
  * HighContrast: Add menu padding
  * HighContrast: Add style for overflow buttons
  * Adwaita: Horizontal OSD spinbutton entry fix
  * HighContrast: Add menu padding
  * HighContrast: Add style for overflow buttons
  * HighContrast: Add menu padding
  * HighContrast: Add style for overflow buttons
  * themes: Optimize code for marks margins on scales
  * Adwaita: Fix typo (missing comma)
  * Adwaita: Replace all %linked radii with variables
  * Adwaita: Replace spinbutton border-radii with variables
  * Adwaita: Adjust entry border-radius
  * Adwaita: Fix label color on backdrop devel window
  * Adwaita: Fix selection-mode checkboxes
  * Adwaita: Drop checkbox-selectionmode assets
  * Adwaita: Adjust switch margins on headerbars
  * Adwaita: Fix switch slider border on selected row
  * Adwaita: Apply border-radius to .csd popovers
  * Adwaita: Fix padding/rounding on submenus
  * Adwaita: Emoji picker adjustments

  [ Julian Sparber ]
  * GtkEntry: Make GtkEntry: gtk_entry_grab_focus_without_selecting () behave like gtk_widget_grab_focus ()

  [ A S Alam ]
  * Update Punjabi translation
  * Update Punjabi translation

  [ Robert Antoni Buj Gelonch ]
  * Update Catalan translation
  * Update Catalan translation

  [ Ryuta Fujii ]
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation
  * Update Japanese translation

  [ Zander Brown ]
  * window: Actually emit notify::transient-for
  * Update British English translation

  [ Julius Lehmann ]
  * Add slave device option for emulated crossing events under Wayland

  [ Carles Ferrando Garcia ]
  * Update Catalan translation

  [ Lionel Landwerlin ]
  * imwayland: destroy objects only if it matches our manager object
  * gdk/wayland: remove unused variable
  * gdk/wayland: go through monitor to compute scale factor

  [ Reuben Green ]
  * Prevent Gtk-CRITICAL when unrealize-ing a GtkPaned.

  [ segfault ]
  * gtkplacessidebar: Show busy spinner in sidebar row during mount ops
  * gtkplacessidebar: Improve error message when unlocking volume fails
  * gtkplacessidebar: Add loop devices
  * gtkmountoperation: Support TCRYPT options when using proxy handler
  * Bump glib required version to 2.57.2
  * gtkmountoperation: Add TCRYPT options to the ask-password dialog

  [ Дилян Палаузов ]
  * gtkprintbackend:backend_create: avoid strdup+free

  [ worldofpeace ]
  * post-install: get absolute path to gtk-update-icon-cache

  [ Priit Laes ]
  * gdk: x11: Fill GdkMonitor manufacturer with PNP id from EDID

  [ Frederik Feichtmeier ]
  * Adwaita: few vars to adjust color & metrics

  [ Michael Gratton ]
  * entry completion: Update popup visibility on manual complete

  [ Colomban Wendling ]
  * HighContrast: Improve contrast of notebook tabs

  [ Michael Natterer ]
  * gtk: fix wheel scrolling for very small adjustment page_size
  * gtk: fix weed_out_neg_zero() in spinbutton and scale

  [ Federico Mena Quintero ]
  * (#1471): base64-encode included SVGs to avoid mis-escaped characters
  * Use g_once for all the mkenums template files

  [ Marek Kašík ]
  * Merge branch 'gtk-3-24' into 'gtk-3-24'
  * Merge branch 'cups-deprecation-warnings-3-24' into 'gtk-3-24'

  [ Ernestas Kulik ]
  * treeview: Draw rubber band rectangle more often

  [ Rico Tzschichholz ]
  * iconview: Prevent ownership transfer of cell out-param in get_item_at_pos()
  * filechooser: Add missing array annotations to add_choice()
  * gesturestylus: Add missing array g-i annotation for *_get_axes params
  * meson: Add missing files to gtk3-demo to fix build
  * Add a few placeholder documentation block to have g-i annotations

  [ Felix Riemann ]
  * GtkTextBufferSerialize: Add G_GNUC_PRINTF() to set_error()
  * GtkTextBufferSerialize: Add missing format string argument

  [ Nirbheek Chauhan ]
  * Import meson build files from an 3.22
  * meson: Sync build files with master and update to 3.24
  * gtk-launch: Fix compilation with MSVC
  * meson_options.txt: Disable introspection by default
  * meson: Add fallback subprojects for more dependencies
  * gtk: Fix compiler warning about deprecated declaration
  * meson: Disable discarded-qualifiers warning
  * meson: Don't target gnu89 as the c_std
  * meson: Fix introspection generation on Linux
  * meson: Cleanup tests and gdk testsuite
  * meson: Add wrap files for building with subprojects
  * Merge branch 'fix-meson-on-macos' into 'gtk-3-24'

  [ Chris Williams ]
  * gdkframeclockidle: Don't permanently skew frame time

  [ Umang Jain ]
  * gtk/Makefile: Add generated gtktypefuncs.c to DISTCLEANFILES

  [ Till Kamppeter ]
  * print: Check unknown option values whether they are actually custom settings

  [ Rick Yorgason ]
  * Fixed bug that prevented GTK from storing printer driver preferences in the print dialogue on Windows. Also saving devmode->dmDeviceName so the dialogue remembers which printer your selected last, and doesn't try to feed to saved preferences to the wrong printer.

  [ Brion Vibber ]
  * quartz: implement GdkGLContext for Quartz backend

  [ Kristian Rietveld ]
  * Bug 743717 - Crashes on clipboard operation, influence by clipboard ...

  [ Kalev Lember ]
  * tests: Don't add testswitch twice in Makefile.am
  * window: Undo runtime gtk_window_present deprecation warnings

  [ Tomasz Miąsko ]
  * a11y: Include gtkstackaccessible.h in gtk-a11y.h
  * Include C headers in introspection file.
  * Fix introspection for GdkEventTouchpadPinch and GdkEventTouchpadSwipe.
  * Widget: Fix doc of default ::keynav-failed handler
  * Annotate values of PRIORITY constants
  * g-i: Add transfer none annotations for frame clock timings getters
  * g-i: Add transfer none annotations for frame clock timings getters
  * gtkclipboard-quartz: Update annotations for gtk_clipboard_wait_for_targets

  [ Justin van Steijn ]
  * Update Dutch translation

  [ Martin Blanchard ]
  * wayland: Implement'gtk-fontconfig-timestamp' & 'gtk-modules'
  * menu: Fix accel-group property reset

  [ Mickael Istria ]
  * Issue #1633 - Ensure focus on click

  [ Suyuan Chang ]
  * macOS: Fix bug that entry cannot press and hold a key to input accented character.

  [ Sam Hewitt ]
  * Adwaita: fix padding and rounding on menubar submenus
  * Adwaita: fix padding and rounding on menubar submenus

  [ feichtmeier ]
  * Reduce vertical menu padding from 8px to 4px
  * Reduce vertical menu padding from 8px to 4px

  [ Pieter Schalk Schoeman ]
  * Update Afrikaans translation
  * Update Afrikaans translation
  * Update Afrikaans translation
  * Update Afrikaans translation
  * Update Afrikaans translation

  [ Orivej Desh ]
  * Zero-fill new GtkTextIter

  [ Mike Gorse ]
  * A11y: Add support for AtkTableCell

  [ Peter Hutterer ]
  * x11: get the tool type from the wacom driver properties
  * x11: don't add unknown tools to our list
  * x11: make the tool lookup dependent on the hw id as well

  [ Szunti ]
  * Add gdk_x11_display_get_parent_relative_pattern().

  [ Iñaki Larrañaga Murgoitio ]
  * Update Basque translation
  * Update Basque translation

  [ Robert Ancell ]
  * gdk: Add deprecated for macro for gdk_cursor_new

  [ Marco Trevisan ]
  * gtk-autocleanups: add cleanup function for GtkRecentInfo

  [ Simon Wells ]
  * Use -Wl for the framework linker argument

  [ Carmen Bianca BAKKER ]
  * Update Esperanto translation

  [ Uli Schlachter ]
  * Fix race in GtkPlug window creation

  [ Hugo Lefeuvre ]
  * gtkstack: fix null pointer dereference

  [ Andrea Azzarone ]
  * window: Fallback to CSD titlebar in focus-chain
  * New upstream version 3.23.2
  * Update upstream source from tag 'upstream/3.23.2'
  * 3.23.2
  * debian/libgtk-3-0.symbols: New symbols for this release
  * entry: Handle no-window events in gtk_entry_event

  [ Arnaud B ]
  * Make dashed border-style work correctly

  [ Eduard Braun ]
  * GDK W32: fix direction of horizontal smooth scrolling events

  [ Mart Raudsepp ]
  * Update Estonian translation
  * Update Estonian translation
  * Update Estonian translation
  * Update Estonian translation
  * build: Raise glib dependency for unicode 10.0 script names

  [ Marek Cernocky ]
  * Updated Czech translation
  * Updated Czech translation
  * Updated Czech translation

  [ gogo ]
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation
  * Update Croatian translation

  [ Kai Willadsen ]
  * FileChooserWidget: Don't show recent items with private hint set

  [ Kouhei Sutou ]
  * font chooser widget: Add missing build flags

  [ Yi-Soo An ]
  * modules/input/gtkimcontextthai: Remove deprecated gdk_beep
  * demos/gtk-demo/changedisplay: Remove deprecated gdk_flush
  * tests/animated-resizing: Remove deprecated functions

  [ Bruno Lopes da Silva ]
  * Update Brazilian Portuguese translation

  [ David Edmundson ]
  * wayland: Explicitly request mode for both CSD and SSD modes
  * wayland: Reset server decoration interface on window mapping
  * wayland: Fix memory leak in server decoration object
  * wayland: Respond to server_decoration.mode events
  * wayland: Use correct enums in server_decoration_request_mode

  [ Roddy Shuler ]
  * modules: fix gtk-2.0 paths to gtk-3.0

  [ myfreeweb ]
  * wayland: Use shm_open(SHM_ANON) on FreeBSD

  [ Victor Toso ]
  * gdkseatdefault: Don't hide GdkWindow on grab failure

  [ Matijs van Zuijlen ]
  * Fix reference to user styles in gtkstyleprovider.h

  [ Christian Stadelmann ]
  * GtkWindow: Handle non-square icons with height > width correctly

  [ Jason Zaman ]
  * gtksocket: Adjust X sizes by scale-factor
  * gtksocket: Adjust X sizes by scale-factor

  [ Juan Pablo Ugarte ]
  * GtkCssImageSurface: add cache for the last drawn size.
  * GtkGestureMultiPress: check event state before emiting released signal
  * GtkCssImageSurface: set device scale for cache surface
  * a11y/ScrolledWin|IconView: Connect signals safely
  * GtkBox: do not divide by zero on gtk_box_size_allocate_with_center()

  [ Björn Lindqvist ]
  * Range: Bin pointless check before emitting signal

  [ Sam Douglas ]
  * Menu: Fix broken navigation triangle/hysteresis

  [ Adrian Johnson ]
  * Add _gtk_printer_get_hard_margins_for_paper_size()

  [ Aron Xu ]
  * po: fix zh_CN translation

  [ Sébastien Villemot ]
  * gdk_x11_display_get_monitor: fix monitor number test logic

  [ Helmut Grohne ]
  * AM_PATH_GTK_3_0: Use AC_PATH_TOOL to find pkg-config

  [ Nikita Churaev ]
  * Fix the double border in windows with a search bar.
  * Fix double borders in windows with a search bar in HighContrast
  * Tidy up the search bar double border fix
  * theme: Be more selective when adding margins to toolbar items

  [ Sander Sweers ]
  * Add proper annotation for gdk_frame_clock_get_refresh_info

  [ Pavel Roskin ]
  * x11: Avoid a division by zero

  [ Furkan Ahmet Kara ]
  * Update Turkish translation

  [ GNOME Translation Robot ]
  * Update Esperanto translation
  * Update Dutch translation
  * Update Scottish Gaelic translation
  * Update Scottish Gaelic translation

  [ John Lindgren ]
  * Fix incorrect optimization in find_builtin_icon().

  [ Ivan Zakharyaschev ]
  * gtkprintbackendcups.c: fix \n at end of a debugging note

  [ Carlos Soriano ]
  * gtkplacessidebar: Rename favorites to starred

  [ Gniourf ]
  * Fix annotation for gtk_tree_view_is_blank_at_pos()

  [ Rafal Luzynski ]
  * calendar: Use the new "%OB" format if supported

  [ Alban Browaeys ]
  * Fix overzalous method annotations for drag and drop

  [ Jason Gerecke ]
  * wayland: Add support for BTN_STYLUS3

  [ Chris Lamb ]
  * gtk/queryimmodules.c: Make the output deterministic.

  [ Arnaud Bonatti ]
  * Make GtkListBoxRow GtkActionable.
  * Add test for GtkActionable GtkListBoxRow.

  [ Arnaud Rebillout ]
  * css docs: Fix duplicate border‑right‑width
  * css docs: Fix some angle brackets for percentage
  * css docs: Get rid of non-breaking spaces
  * css docs: Get rid of non-breaking hyphens
  * css docs: Ensure the first column does not break for every table
  * css docs: Fix refentry and refname
  * css docs: swap border-width and border-left shorthands, to keep going clockwise
  * css docs: remove useless <para>
  * css docs: fix some formatting inconsistencies along the way
  * gtk: remove non-breaking space, probably there by mistake

 -- Jesús Higueras <jesus@dabbleam.com>  Wed, 08 May 2024 13:55:26 -0400

